commit 95d87ce72026ac0fa564e25b1cae9a1dc88f8962
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 10 15:07:42 2012 -0500

    Update upgrade notes

commit 1ba9cf6173397f7487102838cbf2dd23a8c14542
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 10 15:00:45 2012 -0500

    Fix for #1587 (Option to leave the network&broadcast addresses of a subnet unreserved)

commit 6916b2de5de6222cd650b0ac63608ab92c22fd57
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 10 14:32:05 2012 -0500

    Remove 'make test' option

commit 23bd0fcdb267f0c30c5add7a552ab52f127ba1e8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 10 13:45:44 2012 -0500

    Set SUBNET_AUTO_RESERVE default to 0

commit f4d70909ffc0e2bc6a119c08732da58777996dae
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 10 10:36:55 2012 -0500

    Fix for #1712 (cannot place host scope within a group scope)

commit a5e99778d94a48f7b486a5b9d0bd9fd269af5142
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 10 10:34:38 2012 -0500

    Insert correct schema version

commit 092fb6bceef2588f8512f93d6b64d7943a46eadd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Dec 5 11:54:34 2012 -0500

    Update upgrade notes

commit 44ae301f044982b695db53cb100275b4c64319b2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Dec 5 11:20:14 2012 -0500

    Upgrade schema version

commit 2b380517bc950cc714593a9fec9ec5d5c7090e39
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Dec 5 11:04:45 2012 -0500

    Version bump

commit 9852f998a37de7e904b4e434b216738e075db512
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Dec 3 15:55:55 2012 -0500

    Fixed wrong error message

commit c5d7570a5fb631b2beda35617e4ce00f982e250e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 15:55:52 2012 -0500

    Require Net::Patricia 1.20. Remove code to install locally patched Net::Patricia

commit 5dae1418f96a8576dd585e89cb8896e37d0ceaa8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 15:39:51 2012 -0500

    Removed two unnecessary exceptions in Device class. Avoids noisy error messages

commit db8e51a647d6bb10966c70ed9c0ab54b41328055
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 15:11:11 2012 -0500

    Correction in printf

commit 206cc0fefea3491cfce1bd03c3a588163ef8353a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 14:59:47 2012 -0500

    Remove obsolete CLI command

commit fc8b23a3fe5f0e835da3d2d7028e9de065fc97df
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 14:59:01 2012 -0500

    Remove unnecessary third party package

commit 5926ecfc71889c3069b0c007f60041577a692d81
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 14:52:06 2012 -0500

    Added some minor comments

commit 123c5676f153bdc568a427256a770f403f16a739
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 12:25:24 2012 -0500

    Correction to meta info to deal with newer and older versions of SQL::Translator

commit 41f7b6ac708f56e76f74dd2d1c521c20270ba13b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Nov 30 12:09:09 2012 -0500

    Revert changes to netdot.meta

commit 22aecb91bcbec4179e9113a550fa89886d0366a9
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Nov 29 14:25:16 2012 -0500

    Changes towards feature #719 (RFC2317 classless reverse delegations)

commit 6edbb5c7097a3804f42c99cfa3437973dd793213
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Nov 29 12:39:20 2012 -0500

    Correction to IP ratio check

commit 54958cffa75338f6214c359a30550bfd3ed10e42
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Nov 29 12:35:30 2012 -0500

    Revert "Correction"
    
    This reverts commit 1d31ed9a3c55ae4ed26d232b5940205630b75dbf.

commit 1d31ed9a3c55ae4ed26d232b5940205630b75dbf
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Nov 29 12:12:47 2012 -0500

    Correction

commit 23da8a954b44c5d6429b08e42c83313a1c02ef9a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Nov 28 13:57:30 2012 -0500

    Update PTR record when IP address changes

commit 510b575b8e13dcb6d8b3a4867360fc4ba0ca7ab3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 27 16:00:10 2012 -0500

    Changes for feature #1709 (DHCP reservation from management/ip)

commit aef8a2a7f6561d94404d10e0f17d4cb52f5d090d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 27 15:33:59 2012 -0500

    Small fix in regex

commit 19a80b6f12e4b6cd0b992110d479f084a114a974
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 27 15:11:59 2012 -0500

    Correction in Asset search fields

commit 8b77300369da1814e26191e6880f7892406c5bf3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 27 15:05:26 2012 -0500

    Add config option to allow underscores in DNS records

commit 8909954b82ab248babebcfc6f2048f9aa63428bd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 27 14:47:28 2012 -0500

    Correction

commit aa1ea42dc645249b5158484d63c05113152a4ee1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 27 14:43:17 2012 -0500

    More checks to avoid incorrect removal of interfaces and IP addresses caused by icomplete SNMP information

commit d059b3db2894f1a2df71f544834c757593077078
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Nov 26 14:02:01 2012 -0500

    Fix for #1697 (Rancid -> 2.3.6 IOS XE flash differs)

commit 704f31958bc248a82eef7a4d5918ada06a17b5fe
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Nov 26 13:39:20 2012 -0500

    Fix for #1702: (add fwsm cli support for fetching arp cache)

commit 9988943cd44a7f94f270172cd182f8fe37ada26f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Nov 26 13:29:27 2012 -0500

    Fix for #1708 (copy 'include' field also when using a template)

commit 8483f871d417becb1ec29c98080d25e867858079
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Nov 26 13:21:34 2012 -0500

    Restoring old unmerged commit from 0.9 that included a multicast address check in Ipblock class

commit fc31c83118a916ca898011e53359ebc893f90755
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Nov 26 12:59:16 2012 -0500

    Allow user to mark DHCP scope active/inactive while enabling DHCP on a subnet

commit 5e39ef219ac2f11261456c07a778112a28d4ddfb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 20 14:29:48 2012 -0500

    Show MX records pointing to the RR being shown

commit 51f7ad02a54ad38afa917e52b6f91f1bfc97f300
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Nov 20 14:29:28 2012 -0500

    Remove MX records whose exchange RR is deleted

commit b87a3f06603b315270a327f6566bbec3660ace8c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Oct 29 08:51:56 2012 -0400

    Remove empty unique constraint arrays, which causes problems with recent versions of SQL::Translator

commit 605b499941dbcd83a95a3a5590fd3bb70835cfbc
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Oct 26 11:49:21 2012 -0400

    Fixed incorrect order of parameters in debug statement

commit 6afb057ade859521374cf958ba26f1975c29d03e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Oct 26 11:46:28 2012 -0400

    Fixed incorrect logic in vlan update

commit 452d65066b8819f8d0f98b9117a95bcd8f5b18ba
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Oct 26 11:30:24 2012 -0400

    Removed bogus variable from cacti script

commit 37a98bb3b4dc1fab1817045ce34864fb53acb964
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Oct 26 10:36:13 2012 -0400

    Fix for #1704 (incorrect check for DB connection)

commit 73619cbd0e51935b60568b01a47374d265de98f4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Oct 9 12:11:34 2012 -0400

    Bug #1696: Typo in lib/Netdot/UI.pm

commit fade16b38ed091bec903ab74bf59a613490dd3c9
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Oct 8 08:57:54 2012 -0400

    Fix for #1694: Error committing patch for Feature #1652

commit 15d7d49480c36632d18c904e159ba2f515f455d8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun Oct 7 21:36:38 2012 -0400

    Fix for Bug #1693 (population of default_data fails due to incorrect path)

commit c2596e976d483d98684d46698e3596ac3c5abf38
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun Oct 7 21:36:07 2012 -0400

    Corrections to upgrade script. Updated upgrade instructions

commit 21dec52f14242ffcacc245ae7e236d1eddd986ba
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Oct 5 13:21:05 2012 -0400

    Modified install script to deal with patched Net::Patricia

commit 384e715bce4ffd14abcb8e0b8da06fcd5a12e1c6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Oct 5 13:00:18 2012 -0400

    Remove datacache contents while upgrading

commit 36b227beb4f6d3dbb2d6b494f34df6af684bd2b3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Oct 4 14:37:55 2012 -0400

    Added config option to specify what % of missing interfaces is tolerated for automated processes. Avoids problem of incorrectly deleting interfaces, ip addresses and dns records due to a truncated SNMP response

commit a9bbbb3ed342bbd5bd3130842ff4620b9eabbeac
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Oct 4 13:09:14 2012 -0400

    Big POD documentation cleanup

commit 309772f4f3f3ea6bbe6879cc213aa1bedab9bbe1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Oct 4 13:02:42 2012 -0400

    Remove obsolete module

commit 23b8360083f6320d4afcec4419f1fd129fd99981
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Oct 3 14:57:38 2012 -0400

    Minor POD fixes

commit 6e6d514e84c3d6a63fd21fe19dc4968c9020a4df
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Oct 3 13:06:51 2012 -0400

    More corrections

commit ad84e42cf326262e77f418cee98ba97e043284ec
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Oct 3 12:46:51 2012 -0400

    Corrections

commit 4774b3cd71ba05a346fa6c12db08d755404cef06
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Oct 3 12:28:00 2012 -0400

    Corrections

commit 3c4055c6a9c7411127c749b8c3cb796b01941b1b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Oct 3 12:22:30 2012 -0400

    Updates to upgrade from 1.0.1 to 1.0.2

commit 43839fd4e95774bf0a1d97ae5f6fa4119116a2db
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Oct 2 15:23:28 2012 -0400

    New DHCP subnet scopes were created with incorrect set of attributes due to wrong version check

commit d04b9867592bb50127e847106fbe00a3b9715871
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Oct 2 13:02:37 2012 -0400

    Fix POD

commit f3272a1392707f96d70e5a243dc07770ab45bb38
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Oct 1 10:38:19 2012 -0400

    Remove the requirement for sysServices

commit 069b070d8466caffd1bdb8b9a035f1515fcd13ce
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Oct 1 09:28:17 2012 -0400

    Avoid bogus interfaces with number=0

commit 0f49d89ac502c13dd67f3978b979d18da4111140
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 28 13:53:07 2012 -0400

    Fix for #1684 (Custom attributes for subnets, containers, etc.)

commit 9e7829b86ffb9d7e1eeac5e65d775d4ef85dbe2c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 28 13:40:22 2012 -0400

    Fix for #1685 (interface description is added in wrong column)

commit ad0b90a19938caa3579bef69fa95da2e08e82349
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 28 12:47:05 2012 -0400

    Minor correction

commit 16e1a7296d9c04871e79ce07d4066b92e831ee35
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 28 11:44:26 2012 -0400

    Fixed incorrect assignment of Product type

commit 37d8ef52d1212a868fc8fb0a5b443385bdd31f50
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 28 11:23:40 2012 -0400

    Cosmetic. Wrap some excessively long code lines

commit 1f466f61c084bf75260166e4bd304eff9dfdcc86
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Sep 27 11:19:59 2012 -0400

    Fixes related to Foundry CLI interface

commit 6489894af3d875a03448a9c67348395cab635c33
Merge: 2ce0e90 9e923fc
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 22:16:34 2012 -0400

    Merge branch 'netdot-1.0' of ssh://netdot.uoregon.edu//home/netdot/git/netdot into netdot-1.0

commit 2ce0e902b062e23f15569e255eace1a7035b7ab4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 22:15:59 2012 -0400

    Several corrections to previous changes in Ipblock

commit f8b66e3ae8504fd4dd0bcc19827bf3b533c8ee04
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 22:15:33 2012 -0400

    Updated unit tests for Ipblock

commit 9e923fc2cab8bf652950772d67793b4ff2ed863b
Merge: 8b78d04 c985e9f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Sep 26 13:10:02 2012 -0700

    Merge branch 'netdot-1.0' of git+ssh://netdot.uoregon.edu//home/netdot/git/netdot into netdot-1.0

commit 8b78d043f1fdd8517e2ef6a718a4fcdd87f6e04e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Sep 26 13:09:37 2012 -0700

    Included aliases in Site label

commit c985e9f187378d9248b4cbc8ef0f73fd6030ce38
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 16:07:02 2012 -0400

    Change order of Asset display fields

commit 93b478701dce0f3a2449cc45296715289ef570b8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 13:20:33 2012 -0400

    Fix for 1691 (DeviceModule duplicates problem)

commit 235463eab295c93269829a81ec04dead2c0b07d3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 13:19:16 2012 -0400

    Ignore em* interfaces from Juniper devices

commit 98f0802ecfe801a675f41304e6c81de79fa99b78
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 11:32:56 2012 -0400

    Avoid trying to match specific errors from DB. It doesn't work in other locales

commit 99600a640106b1836b7ff414ff52b88d4ebf0860
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 26 10:51:17 2012 -0400

    Fix for Bug #1675: Netdot 1.0.1 with localized PostgreSQL

commit d073fb95d00541a0519ee837d6554cc176074925
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Sep 25 15:53:58 2012 -0400

    Avoid errors from Pg when value for varchar field is too long

commit 458bfa4e37760caa8924e76f1c1d75ad2d3d65fa
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Sep 25 12:29:33 2012 -0400

    Use bigserial instead of serial with Pg

commit 5791ea18e60c50a8d4bd6c5677b5f1feb6da680f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Sep 25 10:21:06 2012 -0400

    Fixed bug in asset search

commit a5a073f2042608c06ee30a9f45a0f784e21348af
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Sep 25 10:07:42 2012 -0400

    Small fix in SQL statement that affects Pg users

commit ccb6aec224a0ea1c2c97912da1e0d6752aca40ce
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Sep 24 10:46:45 2012 -0400

    #1689: Site Type Model Report showing Unknown instead of the manufacturer

commit 7774c7189f85da20d64b433413219be52268ec20
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Sep 24 10:38:00 2012 -0400

    Fix for #1690: Wrong name when adding same manufacturer with different sysObjectOids

commit 10cea65420273d1ddc8d1bb69fef8443d25d11f4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Sep 24 10:26:12 2012 -0400

    DNS name validation for regular users was applied in wrong places. Added '*' as a valid character for DNS names (only admins can add)

commit 26d440b956fb42b84f0081161007130a5eb433ed
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 14 20:54:55 2012 -0400

    Avoid alias RR to show as main record after adding in host.html

commit 81a6f0cf91654c261bfecdb25717661af368a041
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 14 20:14:17 2012 -0400

    Correction

commit 345566acc2a056e9ad103db59b64b2695a1295df
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Sep 14 16:21:41 2012 -0400

    More corrections

commit a307390c3cd545ae77135a13c6b967d6f66cd3ab
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Sep 14 16:15:16 2012 -0400

    A few corrections

commit d7b426a579a2bea82fc1f8d59c29294e3d033f1c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Sep 14 15:58:54 2012 -0400

    Make sure that SUBNET_AUTO_RESERVE option also works if updating status to subnet, not just inserting a new block with subnet status

commit c100a8930c6ae41a9d6b50f2f040888372595c62
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Sep 14 15:33:48 2012 -0400

    Fixed problem with javascript path in IP recursive settings window

commit 0ce6701f9547503842314c0bc4cffa6427e7b689
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 12 11:09:43 2012 -0400

    Deal with incomplete ipAdEntIfIndex info

commit 0f07eedbd74027e6401461ea9f9d87f32b8534c3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Sep 10 14:01:57 2012 -0400

    Fix for #1688 (unable to add PTR record after upgrade)

commit c4d749c8c09ddbf84c994d58cbc42050398cca8b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Sep 8 16:01:06 2012 -0400

    Minor correction in Device query

commit c190e04250455380efa8e705f4b96c56398a6cda
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Sep 8 15:19:03 2012 -0400

    Correction to previous change

commit e79199784abc9146e992b0dc2ad9bf243b3cf2c1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Sep 8 14:56:18 2012 -0400

    Added patched Net::Patricia to package

commit b0c0dff168accd4fc5d9515ba950ce2d95f3c117
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Sep 8 14:03:17 2012 -0400

    Deal with vlan id == 0 from SNMP (#1687)

commit ba9c87e2b6b3fb259d494a1d303f613e35a72ca8
Merge: a8812f8 0f94064
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 7 10:54:04 2012 -0400

    Merge branch 'net-patricia' into netdot-1.0

commit 0f94064ba097f1e963d7b15064b3f29fcf7adf89
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Sep 7 10:53:46 2012 -0400

    A few corrections related to Net::Patricia use

commit a8812f8d88119611e6fa35607d4cab7f6fd7cd04
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Sep 6 15:09:04 2012 -0400

    Remove unnecessary call to Class::DBI's _default_attributes()

commit f467c71cae7a527aeb8a0d7153b4303c9898d628
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 5 16:14:48 2012 -0400

    Fix incorrect number of columns in subnet block view when masklen == 31

commit b955709448b87af43aad8b511eb75a85a9f6e4cd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 5 15:33:16 2012 -0400

    Fixed bug affecting Pg when inserting ARP info in DB

commit 8611b5c60f2bc229c13d75152f641aba84356144
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 5 15:02:34 2012 -0400

    Fixed bug in recursive edit of Ipblock parameters which caused unintended changes. Added option for 'used_by' field too

commit 36202329f239e2aec6490cda2c98050d2aafe071
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 5 14:19:06 2012 -0400

    Moved a check that was in the wrong class. Affected IPv6 ND discovery on ASA firewalls

commit ae62eb5b7300fafd96edefb536ada43608893720
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Sep 5 13:27:12 2012 -0400

    Use faster Net::Patricia instead of Net::IPTrie

commit f8f5d8d11c616d63da1dc839f74f444ca658be54
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 30 11:46:01 2012 -0400

    Existing but available addresses not offered to regular user in manual select option

commit bfeb8535177008a142598d3da064667f0ab0f89f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 30 11:38:22 2012 -0400

    Fix for #1673 (Problem with permissions on more specific Ipblocks)

commit 2df37c82f01c656b2d917d32b517f8d93eea5a33
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 30 09:35:07 2012 -0400

    Support case insensitive searches when using Pg

commit ee07498c519404257ad874334ec2dece69daf4e4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 30 09:34:39 2012 -0400

    Updated manual to include PTR in list of supported DNS records

commit 599ddac8f21a44b33e8e042a6c513a658f16b26d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 29 15:57:18 2012 -0400

    Find module asset from manufacturer different than device's

commit 465c369e4b044bf7730a2931e1f738bc30b751d2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 29 15:07:08 2012 -0400

    Avoid duplicate errors when inserting Juniper modules

commit 49f07b92a37210f9c5c8f0850e03795502db1adf
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 29 14:03:18 2012 -0400

    Fixed problem when setting device site

commit 68162a7c7646141acd270701aa048cdf11290b07
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 29 11:40:53 2012 -0400

    Fix for #1683 (Subnets not created on initial device discovery from web UI)

commit 853dcd79d2ba5803e2f94829a467dae345980bb1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 27 14:42:51 2012 -0400

    Show warning about deleting asset when deleting device

commit 081042bb714aa3e01c823f99e569121815713b0d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 27 14:19:08 2012 -0400

    Fixed typo in POD documentation

commit c26c316f4c58328aac2c118cdf9e6220f5bbe3a0
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 27 14:15:30 2012 -0400

    Be selective about which IP tree version is rebuilt after importing DNS records

commit c7e5f10e3f543615fc6e1ab7d5ef8076da79016e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 27 12:49:09 2012 -0400

    Fixed missing  value in host.html

commit 10e2c9a440c0329878a084ad2b59bf0974ae712a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 27 12:34:48 2012 -0400

    Changed how FWT and ARP tables are rotated. Copies of old tables will no longer be kept in the DB.

commit c6f167d5bef1864f7f4b3dbb6322ba3da03e2c65
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Aug 21 20:18:30 2012 -0400

    Fixed incorrect comparison operator in Ipblock::get_roots

commit 71d6073cb36396e50894173afb86efe6e06485c6
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Aug 21 03:49:10 2012 -0400

    Allow insertion of new A/AAAA record from ip.html page, even if name already exists

commit 9c1ec8ebcc7b9bcb7ef259d456e4eb34390357de
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Aug 21 02:39:49 2012 -0400

    Fix for #1676 (DNS Name Problems with suspicious characters #2)

commit 333a7b88f4249ed9d6c6abfe27f7b970f83ca330
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Aug 21 02:30:59 2012 -0400

    Fix for #1678 (Latest OS warning false positive in Model/OS report)

commit e15ad561bb08b3fa480108dcc9504d0b1aa15555
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Aug 21 02:27:03 2012 -0400

    Fix for #1681 (Netmask for default IPv4 Link Local ipblock is wrong)

commit 8fe5a3e0928cf7ed63e0d4f1b19acc51f2c0bf9a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Aug 10 09:44:55 2012 -0400

    Fixed bug in DhcpScope. Moving a subnet within a shared-network complained about invalid IP version

commit 8344306be753d818734fe8db948075df49563aec
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 9 14:36:48 2012 -0400

    Fixed syntax error in Netdot::LDAP

commit 47cb6a464ccd40a4ee660a478917707b23a20fd1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 9 12:40:52 2012 -0400

    Minor fix to the user manual

commit 271aa76afa511992846c1ce4ff18ef1f465d4b35
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 9 12:39:09 2012 -0400

    Use apt-get --no-install-recommends to install the least possible amount of packages

commit 821c9c3e27d1fce80ad313dd6c1bf1b671b4d465
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 9 09:32:36 2012 -0400

    A few minor improvements in cable plant UI

commit e4d661097d02c343bbe17c2e2f26f65de6af8ed1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 8 22:23:07 2012 -0400

    Correction

commit 27e74988a4b100229d5be0b1eb67d02e081aaafb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 15:52:33 2012 -0400

    Updates to the manual

commit 8471c5e29554fdd32d929961282e809ceb3305d9
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 13:18:59 2012 -0400

    Corrections

commit 05a668f0e9a166869df432d83a3e83d7ae41abc1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 12:02:13 2012 -0400

    Corrections

commit e1a06c122596bca4182b593b4df373f10e55c7b3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 11:37:20 2012 -0400

    Avoid duplicate subnets in list of blocks for user

commit dc9a90fe743a5cd908d19858cc72ce6802740fb1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 11:19:01 2012 -0400

    Corrections

commit e21b5df8316d89e797e902323c741a569d93f31f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 11:16:48 2012 -0400

    Corrections

commit 8cfb81368f51d304e9195a1e34ef2e833714326c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 10:24:00 2012 -0400

    Correction

commit 2af0949fe89a2efde748ddaa72f6bf4b04af079f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 10:20:47 2012 -0400

    Allow user to specify installed, not installed, or all in Asset search

commit bb5a70db394e184775d0b73eaeb0e8a9f8028639
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 09:45:53 2012 -0400

    Corrections

commit b8d116ff8532abfb3e09b737e549af0e88265834
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 09:40:10 2012 -0400

    Correction

commit f051e1a39ad30d1ff4dc3983b4806e24fde0f982
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 09:35:58 2012 -0400

    Updates to the manual

commit 96704b5a2326e3c57c6d6342cf1f82980368d3f5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Aug 7 09:12:47 2012 -0400

    Remove obsolete delete warning from device.html. Assets must now be removed explicitely

commit fb83d6e4b785e63d9bddc73b9268fd75804c0723
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 16:42:21 2012 -0400

    Corrections

commit c9223c6c5fb8a7d42afc580861533bcaed047152
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 16:35:40 2012 -0400

    Warn user when deleting object which would cascade delete other objects

commit cc52c521834dd14b9be1ed1573f4dadb24f9d448
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 15:41:04 2012 -0400

    Do not load reports automatically. Use button to submit

commit 647ae3ea5c876f9218ab0e51b0b8a817f3a6d8fb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 14:23:26 2012 -0400

    Make Site search simpler in cable plant section

commit 1154a0f25b5e37704510a30064c456599ef6212b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 13:55:07 2012 -0400

    VLANs were not being assigned to VLAN groups automatically

commit 18dde13d310f2542521801098e5ca2d194ce65ff
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 12:58:29 2012 -0400

    Corrections

commit 68f69443e121ef96f2decb306d0a498a626c783d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 12:11:30 2012 -0400

    New VLAN mismatch report

commit 2553db6227bc61e88a436c855ab06abc72f97102
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Aug 6 11:04:44 2012 -0400

    Fix for #1671: Warning on IP assignment without selecting any interface

commit 4b1488835fb7d520ba0a8a0134370a81e3c52aab
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Aug 3 14:38:48 2012 -0400

    Add specific-purpose page mappings in UI.pm

commit e527d5504b20497fb454f6cd503e8bd7568459c8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Aug 3 14:30:06 2012 -0400

    Add small section about VLANs in manual

commit f39a31b1aa2bb5569804b3934709a5a11b036b46
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Aug 3 14:04:29 2012 -0400

    Show all sites if no search criteria given

commit 462317b7659db767215510ee1a54dd880be9e043
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Aug 3 13:44:46 2012 -0400

    Updates to the user manual

commit 3f5aea20c8ad22de0073e0fe4f9594ceadc470aa
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Aug 3 12:53:45 2012 -0400

    Fixed infinite loop in Ipblock::add_range() when last address is the subnet broadcast

commit 1531acb0e1e4ec34db760f9d406fe1004f2b4638
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Aug 2 11:08:34 2012 -0400

    Correction

commit 688e4d8bc95ce3ed24a3b93b863987eaaaf908cf
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 15:21:02 2012 -0400

    Allow multiple edit on result set from DNS record search

commit 0dcfec40b232855715088f9d2d3503c7e9dcffb7
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 14:59:13 2012 -0400

    Corrections

commit 37887dd329d399aac6a2e480e3a7bb0f2bbcedfe
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 14:36:52 2012 -0400

    Fixed bug in backbone cable search. Simplified code in the process

commit dd214ac51210a52fe0285a7805bde39c35b62452
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 13:40:32 2012 -0400

    Fix for Feature #1669 (Display circuit ID on the backbone cable strand page)

commit 7fe4d28978246101781e266f932d4b3fb48cec17
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 12:42:55 2012 -0400

    Added config option to enable/disable automatic display of root blocks in Management -> Address Space

commit b5d979c5cbb2b8a3977a4ec1bc04067abce61dfc
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 12:15:05 2012 -0400

    Rewrote several pieces of the cable plant code to use graph algorithms instead of series of SQL queries

commit 8ffe9ca84ba0e5a3aab981b22ad847cb409606e1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 10:48:19 2012 -0400

    Do not show [add] interfaces button in circuit page when already adding

commit 7507d28d2e04b21e2fc363a58697f109705a499e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Aug 1 10:47:00 2012 -0400

    Show all circuits if search string is empty in Circuits UI section

commit cfab8afc47723aaa997b6833f0b570c4012610d6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 30 18:36:25 2012 -0400

    Fixed problem when adding IPv6 address in unpriv user interface

commit 6dc17e3308d5963494b212eaabd12d751206424f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 30 15:14:15 2012 -0400

    Added report for devices in snmp_down state

commit 6d6bcbabc666e1596db44c6a3123d93cdeabaf25
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 30 14:21:27 2012 -0400

    Add configuration item to limit number of root blocks to be shown in Management -> Address Space section

commit 499f78d48733748d33e37416130920d5459a8c57
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 30 12:21:31 2012 -0400

    Do not fail any delete operation because of a constraint in a history table. Just delete the history records that refer to the deleted object

commit 573fd34644250552f77ba4587d7679cb398278f5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 30 11:23:58 2012 -0400

    Clarify debug message

commit febb3d5e7f2104d255041ea7833f97c19176041f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 17:10:06 2012 -0400

    Corrections

commit e219cd2fff036bba9baa2355109521baebeaa953
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 15:35:58 2012 -0400

    Default config should be to discover link local addresss, not ignore them

commit 7a8997e2c301915d414fcf51f0a22f193e8c78a0
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 15:27:38 2012 -0400

    Correction

commit 0bdb01b0f2a672e136488cfc82ba6337b81c960a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 15:13:53 2012 -0400

    Fixed broken global search

commit fea4587d5f0958318007bf46d703b98c135b6748
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 14:56:31 2012 -0400

    Link-local v6 addresses where being inserted even when configuration was set to ignore them

commit 0fe559dc9e1ed44f6bbd469e81518f0b2c7c513f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 14:54:51 2012 -0400

    A couple of fixes related to PTR records

commit 4ae8c6d68f070324a96011999bda2687b8c4c82a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 27 12:07:08 2012 -0400

    Factor out method that validates ARP entries from CLI/* classes

commit d0c5b1c652679002ecfa26beab1c47502b4db4b2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 21:56:29 2012 -0400

    Fixed bug when adding access right to subnet

commit d7419ea6c261179b06f5947ab071922c159b35f2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 15:18:10 2012 -0400

    Correction

commit 12494cd13bd12125ac2efd2294d0ed3542e7f4c4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 14:40:29 2012 -0400

    Corrections

commit b08bff910f7cedd3b1a141bb33c4cf0dfec00d4d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 13:52:23 2012 -0400

    Revert "Do not use <pre> tags to display comments in <textarea> boxes. Instead, replace newlines with the HTML break tag"
    
    This reverts commit 43ceacb4cfcc22b633c54480e8fa55e6abd6c2b3.

commit 51e6476808a772be91c427a05b461a9a8f9beede
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 13:51:58 2012 -0400

    Revert "Correctin"
    
    This reverts commit 19be86294307870674b9a5c93ec981010e9816ba.

commit c57c7e9766c50fccd74e56a249a50fb8e9e1af26
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 13:17:07 2012 -0400

    If a base MAC is not provided by BRIDGE-MIB, use the first available MAC from interfaces. This helps creating a unique asset record for devices that do not provide serial number or base MAC

commit 49414860d8d5c24d6847a49647446b20d7131d5c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 12:47:59 2012 -0400

    More deterministic sorting for sub-records in exported zone

commit 9e4e0cd7e8619a32811267fb893f58dba38c52b8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 12:09:36 2012 -0400

    Hopefully faster approach to previous commit

commit 40f8d5473506c7ddc4a5dbb4a1a564d92b7b611f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 12:02:22 2012 -0400

    Changes for feature #1668 (more columns in IP list)

commit 23432a5695e1e4fb18283979a71b43d816938898
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 11:34:00 2012 -0400

    Fix for #1667 (System error in IP Tree view)

commit fe02d28d7cda42223f2faf7d3e2f3f37ba6ba921
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 11:14:50 2012 -0400

    Fix for #194 (In Backbone cable page, make it easier to 'unsplice' a group of strands)

commit f55deea649ed5115f02024debae70f535e7198d3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 11:14:27 2012 -0400

    Correction

commit f73c9f72340d8ed9c1051be5be028ddb5d8601a6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 10:26:29 2012 -0400

    Fixed problem adding strands to circuit when strands belonged to single backbone connecting start and end sites

commit 0850dfda1b7fdf3396cc381d98a13e5b7df2c2eb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 10:24:29 2012 -0400

    Could not select circuit interfaces if list was under max list threshold

commit e26f8c4ae975697b5cfb94ab4ee68988eba6d65f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 26 10:23:23 2012 -0400

    Fix incorrect path for error component in circuit page

commit f63973b338656ff9c0f83a73e74e4a991392ff31
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 16:50:29 2012 -0400

    More corrections

commit 465954ad59d53fb75f21e11690d33c3d4d7675a7
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 16:24:14 2012 -0400

    More corrections

commit 4aae6888f49cbfe391a00084567b20e310b81d32
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 15:57:51 2012 -0400

    Corrections

commit 4c218539eaf13a707e6085bd45ea9e6026ed9035
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 15:57:14 2012 -0400

    Remove unnecessary carriage returns from transaction error message

commit 40c56b90b7c7b336ecd377122737bef74c3dbc72
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 15:32:45 2012 -0400

    Do not stop exporting other zones if one zone has errors

commit e3192b87e054360cce2f1177e592178989436210
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 14:56:46 2012 -0400

    Corrections

commit 3ab586b7af95345362dffe6516b6fa3550cd6e02
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 25 09:27:15 2012 -0400

    Correction in device report search for asset undefined

commit 19be86294307870674b9a5c93ec981010e9816ba
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jul 24 15:07:32 2012 -0400

    Correctin

commit 43ceacb4cfcc22b633c54480e8fa55e6abd6c2b3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jul 24 15:01:05 2012 -0400

    Do not use <pre> tags to display comments in <textarea> boxes. Instead, replace newlines with the HTML break tag

commit 481b0c53eb24ac12d705d4b3ebdbf437c80b02db
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jul 24 14:44:58 2012 -0400

    ip.html was showing too much information to regular users

commit 4432b6b224567a0cb4972b8564646b7cf594d66a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jul 24 10:29:07 2012 -0400

    Add check for ipblock parameter when adding a subnet dhcp scope

commit 29819393c52be598536dabdca509dd2395a758bb
Merge: 396ff47 7e9fd90
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jul 23 20:23:47 2012 -0700

    Merge branch 'netdot-1.0' of https://netdot.uoregon.edu/git/netdot into netdot-1.0

commit 7e9fd90c2d015cdd056194121f82f9c26e323253
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 23 23:23:00 2012 -0400

    Do not add interface ip addresses or subnets if admin status is down. Check was there but code was in the wrong order

commit 396ff47c87be71fa16e867b35f56dc3ee0fe4655
Merge: dddcc66 6209831
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jul 23 20:07:44 2012 -0700

    Merge branch 'netdot-1.0' of https://netdot.uoregon.edu/git/netdot into netdot-1.0

commit 6209831765524d1c665578b761fa013586a4868b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 23 23:06:49 2012 -0400

    Deterministic order of NS records in .arpa zones

commit dddcc66af85c5af9d850c1d284cefc707694edbd
Merge: 91c37ba 00cd3bb
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jul 23 19:46:03 2012 -0700

    Merge branch 'netdot-1.0' of https://netdot.uoregon.edu/git/netdot into netdot-1.0

commit 00cd3bb5aab1561ab3ab0319499893b3374010e0
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 23 22:45:02 2012 -0400

    Avoid crash when updating one of the fields that composes an object's label

commit 91c37baf09bf15509c150be409f2919a20706abf
Merge: c9d892e 0277037
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jul 23 19:28:23 2012 -0700

    Merge branch 'netdot-1.0' of https://netdot.uoregon.edu/git/netdot into netdot-1.0

commit 0277037e8f3790f224f4fccca7d94b86c70e20e5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 23 22:11:41 2012 -0400

    Correction to previous fix to #1642. Removed rotation option for Pg. Needs to be properly implemented later

commit c9d892e1d36ae29d9642e2fb68efc5c40a6d8e2c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jul 23 07:41:27 2012 -0700

    Correction

commit 12cdebd260b5434e2075e468fd010824a06e32ec
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jul 23 10:17:54 2012 -0400

    Corrected regex in topology discovery code

commit 8e78f0e8038e44a2f08b28774d8b7ea5e53e6c65
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jul 23 06:55:20 2012 -0700

    Bug fix in REST throw exception method

commit c99b1b74d6abbd8cee378f5fef65d3ca9c1869ac
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sun Jul 22 18:18:48 2012 -0700

    In REST interface, make inclusion of linked_from objects optional and default to no

commit cfb18434df24ec0bcad6eaa03d430a28354f85c4
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sun Jul 22 17:51:04 2012 -0700

    Correction

commit 4d0746b7df150f137b6c2af26b199adf6c73bdaf
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sun Jul 22 05:53:03 2012 -0700

    Corrections

commit 7044bcf944be3c4a93717f1ca9b96c3dee41e3dd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Jul 21 22:28:24 2012 -0400

    Remove incorrect index addition in upgrade script

commit f11f8dc0ab44b01f324e8bcf017983689d4012b5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 23:30:23 2012 -0400

    Avoid Perl warnings in Rancid export

commit 3cc9bf52e839543ffd178618acf45be37102fa6e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 22:40:04 2012 -0400

    Check for value length was too low level. Moved to UI code

commit a4ed7c216b1bf5a07bf22708a04c6c189d613590
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 16:36:46 2012 -0400

    Correction

commit 9f5fa4df247fc18f56a17dc071061f0b7089d9b9
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 16:35:30 2012 -0400

    Correction

commit 6636952a00affaaca48ea566d64e6e38481c5792
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 14:34:01 2012 -0400

    Correction in SQL query

commit 095e62f86d4faa156032d64ab231d1840fc3ab39
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 13:55:55 2012 -0400

    Fix for #1661 (Value for field 'name' (max 64) is too long during device import/update)

commit 6d3b2637f0cbf4bf17224373bc2bba0041a21e52
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 13:40:52 2012 -0400

    Fix for #1657 (Cannot manually set Device Product)

commit 076858e6d643213587d7f39409ac00e71e6929eb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 20 13:25:23 2012 -0400

    Correction in on_delete actions

commit 78f29224640a29cb8685ff7ebf450d85024c0997
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 19 14:45:34 2012 -0400

    Fix for #1659 (Site and Used By choice not remembered when adding a new device)

commit 4fcd04499cbaec552b49e46c37406237c6d91c39
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 19 13:54:28 2012 -0400

    Fix for #1660 (Error deleting a site)

commit f3e68da7eb173be5f96521df8d0c40e31ccbf697
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jul 17 05:35:27 2012 -0400

    Remove unnecessary variable assignment

commit dc9703ab6de48c40d125a412a24e24ca05612921
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jul 17 05:31:46 2012 -0400

    Remove unnecessary carriage return

commit 0c5e9c08cf089bc7a4d19baad6a3c7a741848a16
Merge: 90f0d15 a4d2fb7
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jul 17 02:56:22 2012 -0400

    Merge branch 'netdot-1.0' of https://netdot.uoregon.edu/git/netdot into netdot-1.0

commit 90f0d1528cb66945ccbaf6c6f37ab8f903337973
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jul 17 02:50:46 2012 -0400

    Fix for #1658 (REST interface is broken)

commit f5a14527b893d877e76b34f4247e895dd19ef60d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jul 17 00:45:03 2012 -0400

    debug instead of warn about too long value

commit a4d2fb757791bb8d28ec7c880d50dad8f0db5708
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Jul 14 21:45:51 2012 -0400

    Improved way to avoid dulpicate product inserts while upgrading DB

commit 2b18294e6a34f9e794c49a83ba0e53b553806188
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Jul 14 11:41:03 2012 -0400

    Improved way to avoid dulpicate product inserts while upgrading DB

commit e807aee30fb9aa017f1d89cf270f56894b94dad0
Merge: a21e7b8 00fd9c3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 13 13:34:56 2012 -0400

    Merge branch 'netdot-1.0'

commit 00fd9c3e7fa92032a7b903be2d83b6bc9c54d28f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 13 13:34:36 2012 -0400

    Fix for #1620 (Juniper link detection)

commit d29cd6be4d4c78367394b35a1c0d56d00b1e38e7
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 13 13:34:08 2012 -0400

    Fix incorrect handling of module numbers in Device class

commit e2e530838140ae3353ac101504945693357bb56e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 13 11:08:26 2012 -0400

    Fix for #1654 (Cannot use 'use lib' in Apache configuration)

commit 742d7ed65c19923f63a97bf1b6015f301afe6e8c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 13 11:04:03 2012 -0400

    Fix for #1654 (Cannot use 'use lib' in Apache configuration)

commit 710375225f8a1c38e8c89fa5c6e329c5f8767c0d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jul 13 10:47:04 2012 -0400

    Fix for #1655 (First login after Apache restart fails)

commit 346446078be87630df6410d98d0d202bf35418e3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 16:10:23 2012 -0400

    Feature #1652 (Add support for LDAP over TLS)

commit c6db2539ba8426ac997d7ecdb48462ea80531215
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 13:45:22 2012 -0400

    Fix for #1653 (unable to enable dhcp on ip block)

commit c4542b39aeeb8fdb44d65282cf0b9b5bad47067a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 12:35:27 2012 -0400

    Fix for #1648 (Error when adding backbone cable strand)

commit ecd0081c15a2458538ef11f56bab9cb02c12d443
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 12:34:55 2012 -0400

    Remove unnecessary Mason section

commit 76ba068b58409e4ca9e9ddff8fa1abf6c19fd8b5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 12:20:16 2012 -0400

    Fix for #1650 build_topo_graph.pl - missing default variable

commit ddd451824e9989e2b132db0fcdb0206cec5fe3f8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 12:19:43 2012 -0400

    Avoid Perl warnings

commit 019ed86990e7e9c32654771d4b11f5b51a3e7b75
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 12:03:12 2012 -0400

    Avoid Perl warnings

commit 0891da61ec345f27c7fca68e9f12407c7e41358a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 11:59:19 2012 -0400

    Fix for #1647 (Database upgrade failure). Script needs to retrieve existing products before inserting new ones

commit a21e7b8322f8e1162461db03048bd8e98e4ac273
Merge: e155543 2c3377e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 11:21:56 2012 -0400

    Merge branch 'netdot-1.0'

commit 2c3377e7736f1c40d4a0d16837de5c85d25c8852
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 10:22:51 2012 -0400

    Correction in ARP/FWT collection logic

commit 11fb5d91ac97354724662aa3fbbe56a6075b209e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 10:22:24 2012 -0400

    Correction in SQL query

commit ae0888e6a4d96282b8cc89ff7232c8eb91712f0c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jul 12 10:11:15 2012 -0400

    Added Mysql commands to speed up upgrade

commit c5a6b685efa3ce50b2d1ee87245a610f446b659c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 11 17:33:49 2012 -0400

    Deal with interfaces without a name when generating DNS records

commit 986b1d3c6dd4c887216e45384419c600184daaca
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 11 17:05:02 2012 -0400

    Fixed typo in Topology.pm

commit 035dd5477c35ff5ace3be31b6ad239c90f86933a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 11 16:39:38 2012 -0400

    Disable RRMX validation when importing a zone

commit 2ff4893897eb96632cd2a3fa217f9fa7c94f3ddd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 11 16:39:03 2012 -0400

    Allow underscore also after a dot in RR label

commit 88164501772a55b70547d9f0c26ed215d1c98e55
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 11 16:37:22 2012 -0400

    Deal with CIDR addresses properly when calling Ipblock->insert

commit 83ab739c76dce5c21668a4c1c032e841e7ddbdde
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jul 11 16:20:23 2012 -0400

    Added missing colons in host page

commit 5cb54250e0508a7d4d0c04e970087c140f6233f6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Jun 23 21:55:38 2012 -0400

    Ignore values with non-ascii characters when retrieving module info

commit 05bfd9c3f4a49a67f00a2638d59b3bd60d8453be
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Jun 23 21:51:46 2012 -0400

    Ignore values with non-ascii characters when retrieving module info

commit e155543b549d2f0bfefd0fa71784b059b7685620
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 22 13:49:58 2012 -0400

    Minor changes to manual

commit 10a5d4c13eb5adb50934676fc6d8d1e16c5283f4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 22 13:49:42 2012 -0400

    Improved installation a bit. Debian-based systems should not need to use snmp-mibs-downloader, since the netdisco-mibs should suffice. The only missing piece was pointing to the right place from snmp.conf

commit 5b29dd3f57041e2dd80d733f7c824b1520ff6f9d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 22 13:49:58 2012 -0400

    Minor changes to manual

commit cf066e261c8e9f504158343a523e67c863f9d84a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 22 13:49:42 2012 -0400

    Improved installation a bit. Debian-based systems should not need to use snmp-mibs-downloader, since the netdisco-mibs should suffice. The only missing piece was pointing to the right place from snmp.conf

commit c4e1b353af9071416a2dbf7e71037431e28a6829
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 21 21:48:43 2012 -0400

    Updates to the user manual

commit 7e5cfa12837cd50d12bc6901df98a5bc39eb9fcd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 21 10:09:43 2012 -0400

    Fix for #1644. Changed Nagios notification command names to match names in Nagios package

commit e283da480824b958edae30646e96696293d55221
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 20 15:09:01 2012 -0400

    Fixed issues that affected Debian Squeeze installation

commit 055314ba08376eb9a4acf5bcec86b8c9af51bd9b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 21 21:48:43 2012 -0400

    Updates to the user manual

commit acdd1fbc09becb64cd3e6fb596d6b9c9b8716ff1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 21 10:09:43 2012 -0400

    Fix for #1644. Changed Nagios notification command names to match names in Nagios package

commit aa0a4a7c98ffecc13329966d5dc56e1db2fb148f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 20 15:09:01 2012 -0400

    Fixed issues that affected Debian Squeeze installation

commit d3786afe4583192f86db8135fe164d9f54eb5771
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 18 11:30:57 2012 -0400

    Bump version

commit 328fbc69b1c802620224755e7fb10da0dc9f398d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 18 11:30:42 2012 -0400

    Fix incorrect column type in schemainfo

commit f0b4048ee76bb614e0edb8772d2774750a97a070
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 18 11:05:51 2012 -0400

    Added IPv4 link local prefix (169.254/16) to default data

commit 1c8fdb77eb343e8504db6e9ba880375a874078e7
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 18 10:57:28 2012 -0400

    Minor POD change

commit b8d2f137c766099d4c6ad74f3bbd0235cf683af5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 18 10:51:48 2012 -0400

    Updates to the user manual

commit 57ef10e02517316c07c7e8d9949f9e1d19157024
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 15 18:51:26 2012 -0400

    Minor corrections

commit fc949eeaa423961861396542b499d1bab4197b6c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 15 18:47:21 2012 -0400

    Add option to only update devices matching a given name pattern. This helps split the update load among several machines

commit b540960baa83a0951baa79b70c4a5cab0f1f0d59
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 15 15:20:52 2012 -0400

    Avoid retrieving all MACs and IPs when updating ARP and FWT

commit 843d8cfc008cf7ec091f29d92c0064260ecbc923
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 15 11:41:51 2012 -0400

    Small bug fix

commit 0f0778a1ab463e3ef2d205af400aa598ca86c6b4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 15 11:31:18 2012 -0400

    Corrections

commit 4d272198aa512bd06648c0613078a39b430c3b67
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 15 09:34:30 2012 -0400

    Correction

commit bcb90f5d201be810518e307dbc5bc7094b0d2921
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 16:55:05 2012 -0400

    Added option to keep audit trail of user actions. DB operations are registered in a new table called 'audit'. The previous 'hostaudit' table is kept, but is now simplified to avoid duplication. Old audit records can be pruned periodically with prune_db script

commit d94ee14b390f00284d9da715147e32665922494c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 13:47:54 2012 -0400

    Make sure that user is set when prunning DB

commit ebd510467e6e56de21c3654208bc953f27971f90
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 13:42:19 2012 -0400

    Correction

commit bee1aaae2f9080361458d0feb75d1447b606a809
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 13:37:53 2012 -0400

    Avoid unnecessary DB searches when deleting objects not related to access rights

commit 0223090460120f71fcfe07daa5ef980e897a442b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 13:03:33 2012 -0400

    Avoid additional DB operation when inserting new interfaces

commit 09e807b23c5d908fe3d22d39dedd40283029136e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 13:02:34 2012 -0400

    Correction

commit 75a39a6cbd18bdd5853522b2ab34fde041dbc636
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 11:27:04 2012 -0400

    Correction

commit a93c57efcd8401bb77fd0705aa656012aaf214d1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 11:15:47 2012 -0400

    Fix for #762. Ignore non-ascii characters in CDP/LLDP iinfo

commit 7f66de4916a0fb3f0b32ea6f41f2384225a2f98c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 10:35:21 2012 -0400

    Correction

commit 00d3370f9a93426dfd0b2104624b78385e8e3f55
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 10:21:20 2012 -0400

    Remove logic in which a device link would be kept if one of the devices would be left out of topology. No information is better than bad information

commit 1d409fa199a557b4d113fdec22f25b6d357e7c7d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 14 09:44:53 2012 -0400

    Corrections

commit a9ba64fadf6c891a2cfe434615fd25b2092e3890
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 13 15:11:15 2012 -0400

    Various corrections

commit de4e4312ea0c26d54f97d10fbf0d75c752a00515
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 13 10:35:29 2012 -0400

    Try to find remote DP port by MAC address in topology discovery

commit 87738216e04e8aa03685c5c80f8ae92eb562c913
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 13 10:34:28 2012 -0400

    Avoid warnings

commit 306cbbc653e79d868d4e1b7ff51279b65c58cc58
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 13 10:31:27 2012 -0400

    Add fe80::/10 as default data

commit 002c1ec727609f2c9f760f82889228add068166a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 13 10:30:49 2012 -0400

    Avoid warnings

commit a637f4c94f83fada92612aed225d7b4ff8a1efa3
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Tue Jun 12 12:50:40 2012 -0700

    Correction to Ipblock parent updates

commit beab01ddf6730b1021e0100d869977858149fa31
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Tue Jun 12 12:49:40 2012 -0700

    Cisco ASAs do not yet provide interface ipv6 addresses, so remove the check that verifies ARP entries against connected subnets

commit 40aa9215812b71a1352c665c6a90044778d4db36
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jun 12 14:08:33 2012 -0400

    Corrected handling of IPv6 addresses learned from IP-MIB

commit 5680af0ca751e1500779745a13fea29a146fd300
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 17:26:54 2012 -0400

    Correction

commit d8744f17830f35e0cad1c81958b7cd7ed829bc47
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 15:56:56 2012 -0400

    Collect IPv6 neighbor table from Cisco ASAs

commit efd99c204410926f2885aed184dc59284258db4f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 15:56:18 2012 -0400

    Add option to enable/disable collection of IPv6 neighbors

commit 48691d575245e22420022069625a69168a5e9797
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 11:31:17 2012 -0400

    Fix for #748 (Browse all devices)

commit a7afc255cf32204555ae31c0a648c35f6484876f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 11:02:36 2012 -0400

    Deleted obsolete directory

commit 90c55d0cfafd9cde8357b04868d3d146323b8e50
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 10:30:26 2012 -0400

    Corrections

commit 35ad4ec3e3b3d400d969b53f68e88a93435ff935
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 11 10:25:13 2012 -0400

    Site number unique index

commit 8ed1f7911bdb238584d3231fe479bab8a164a3e6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 8 17:24:44 2012 -0400

    If subnet has sites assigned, only allow user to choose from that site list for a host location

commit e88d00cd33182067609674c3a25ca2567b90f39b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 8 17:07:09 2012 -0400

    Added config option to let regular users enter host-specific part of IPv6 address

commit 7f765fbf759ab025d3177019246deb6e5d180119
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 8 14:29:19 2012 -0400

    Correction

commit a13d5b08cadc0f83193279a95d12f74420a17d17
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 8 12:39:02 2012 -0400

    Fix for #784. Users now have the option to change their passwords

commit c7cb2154237f6cd5caa074745524f89dcc260790
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 8 10:57:19 2012 -0400

    Fix for #1578 (Ability to specify a different prefix for <<Make:NAME>> replacements)

commit 6737b7e11ba3b2543e0f113eb85c08c963a1896d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Jun 8 10:43:16 2012 -0400

    Make product_id NOT NULL in asset, plus bug fixes in upgrade script

commit 48468f606067f5992003c65f92f96ce51e9975a5
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Thu Jun 7 21:07:46 2012 -0700

    Small bug fix

commit 47faf9a24a3f8048a2700952553960fd5e817405
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 7 23:59:28 2012 -0400

    Small perf improvement in device topo graph

commit a72df48fc4ee67454d4ed9e07ef170abd6ea100e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 7 23:20:49 2012 -0400

    Do not establish SNMP sessions for every VLAN in a Cisco Catalyst with MST. Only onece per MST instance should be enough

commit e465e23b566361023dbe23ef58c74d79113bcb4f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 7 15:21:04 2012 -0400

    User with rights to choose IP can now select from available addresses in graphical window

commit 7dfdedac2fce38610c6a568a5a6a0fa167240482
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Jun 7 15:14:08 2012 -0400

    Manufacturer should be NOT NULL in product table

commit b24bbca8c5dd12886050a9d1847fefdb196c0cff
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 6 15:51:50 2012 -0400

    Manufacturer should be NOT NULL in product table

commit 13b319a9767cd5b15ea8c79be4a31ccd1be38a87
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Jun 6 14:38:47 2012 -0400

    Fix for #1642 (Bug in prune_db.pl while trying to rotate arp and forwarding tables)

commit f7bece7ecc40265c141764acd794b96c02a23eef
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jun 5 14:48:41 2012 -0400

    Hopefully less confusing option to choose a specific IP for regular users

commit 0e14f19dd0852980b25d481efa0a725403730d53
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Jun 5 14:40:02 2012 -0400

    Small correction

commit d53afe9f30c0dcae78bf589db83eeb1dc00717af
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 4 15:29:00 2012 -0400

    Minor aesthetic changes

commit 740ed441ac8e7a8e23927f84646a38591f16d131
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 4 15:21:24 2012 -0400

    Corrections

commit e65d893ba6f08bdc96a36556c79b0c9dad355abe
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 4 14:16:39 2012 -0400

    Move cache method to the super class Netdot.pm. Use caching for some more repetitive tasks

commit db018fc16ff194ba924d4de6340b85cfb35deeae
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Jun 4 11:17:47 2012 -0400

    Added option to specify depth of topology graph in both directions using a reference root

commit fd313d76352e2071abe6cba8ee0363080242391a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 31 09:48:47 2012 -0400

    Remove invalid characters from interface-derived DNS names. Thanks to Moe Kraus.

commit b019747700a9eba37d0866c776eab7b7fe577e69
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 31 09:39:06 2012 -0400

    Added show all/hide all buttons to contact list page

commit fafe816b049328602aa082dc46fb04cf8f4be340
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 31 09:10:29 2012 -0400

    Correction

commit 3c60ec91a4ca2586c64b4e976db9ea15e4a9f62b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 30 15:53:17 2012 -0400

    Corrections

commit f599857db633ac0e9586e171c8b293d69bff25be
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 30 15:42:33 2012 -0400

    Corrections

commit 4322eee02507d7d3b22c0675bcc4b547d4520140
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 30 14:53:25 2012 -0400

    Corrections to contact list searching and viewing

commit c9bcd7b8bc187ae0bdbde68de05f59e58549658d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 16:08:33 2012 -0400

    Minor fix in sortresults

commit af7a6764d75bcb4b600763961749dd27708254db
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 15:59:40 2012 -0400

    Correction

commit 60c2c460d0f544d71988636d644351e827cff260
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 15:54:18 2012 -0400

    Add buttons to expand/contract elements in a contact list

commit 8fe8f50ff58ee28892099104d364c312ddf62260
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 15:53:46 2012 -0400

    Corrections

commit 2e07ca4b47da12b8203dfc535d798f2fcd777b48
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 13:48:39 2012 -0400

    Added Contact list search in contacts menu

commit 6137bd1e2d0a637adc0e663a9e705a59d19f8e5d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 13:09:40 2012 -0400

    Corrections

commit d25adaae3536212bf836dfc3dcf69e411d92b10d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 12:34:51 2012 -0400

    Added a sub-menu to IP block page

commit cdeb53304ccbb43201ba837f2bcbf1036f8583b8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 29 10:24:48 2012 -0400

    Small corrections to access rights form

commit c18ea7341a3cd6a4ad50acbbea9914a25e59c5e0
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat May 26 08:10:38 2012 -0400

    Minor fix

commit 8f4e2fd887c51babe32bfdf2350dad9e35dba384
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 25 14:56:41 2012 -0400

    Minor improvements to device discovery performance

commit db10f9b58edb7ce1c7744a93a3a2ba0e42d9f792
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 24 17:38:33 2012 -0400

    Forgot to add file

commit 30f44cdc8f082c1417f7c98873e3f45defc3d6c3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 24 17:34:13 2012 -0400

    Allow user to manipulate permissions for Ipblocks and Devices via their respective pages

commit 07a204d7a2fb704c6ad88862abfa2256e0b6c731
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 24 17:26:56 2012 -0400

    Correction to ip regex search

commit 99b0061401bae16413ead6baba9350a4a85787d6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 24 17:26:10 2012 -0400

    Cosmetic

commit b944eb9ed16a8776776ac57da6dbae9e61c71ec3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 23 14:45:22 2012 -0400

    Added help information on DUID for DHCPv6

commit 006cdf39073e9b83b23b15697d5dfaf70234e4b3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 23 14:44:52 2012 -0400

    Make dhcpscope type field not nullable

commit fe553ec97efbce5a16f2ba14bfb112521005e048
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 23 12:22:39 2012 -0400

    Fix for #1600 (Multi-level hierarchical access rights)

commit bfcc7a172b6c782c39578d289f83496db63f52b1
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 23 12:20:16 2012 -0400

    Fixed incorrect return value in Ipblock method

commit 373e31bd3abd189fce3b4b87ea7cb23ef6d1a1a3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 23 12:19:43 2012 -0400

    Size of textarea too long

commit 804d032cc25b207963f17ee98697d09a3d9bd951
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 22 13:32:25 2012 -0400

    Correction in regex

commit 7cd5dcfdb9e288f92a9aa49212d7123c57a34cdb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 22 08:21:00 2012 -0400

    Fixed bug in IP range operations

commit 353a3c721a500a4ea80f8d25f2e46aeab7b18326
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon May 21 16:26:29 2012 -0400

    Correction

commit ef40fa544ecc6db3489eabe15c73528fbb88cbcb
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Mon May 21 07:55:19 2012 -0700

    Correction

commit ec89b55d00c0bae17c5b6678978c076bd6d3c252
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon May 21 10:24:25 2012 -0400

    Correction

commit 4c0f05b653ca84080b7f6ee6920557c7b92c0a2e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun May 20 09:37:57 2012 -0400

    It appears that Pg support was previously not good enough, so Pg upgrade code was irrelevant and has been removed. In addition, the upgrade script will now continue even if SQL commands fail. Errors are logged to a file, so it will be easier to fix some errors without having to start over

commit 7121905339f136a6549526334b12574c831728f4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat May 19 15:00:06 2012 -0400

    Added missing checks for admin-only actions

commit 528b0b0a2f8bde8d66e2a83f7674bab66acd1459
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 18 17:02:00 2012 -0400

    Enforce uniqueness of username and e-mail in person table

commit bf480654c54db3e2b3f5307734b798a2b1d9a856
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 17 17:19:39 2012 -0400

    Fixes related to adding new hosts

commit 2fb2c09c3aa0953a3571cef41d039527ca480ffc
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 17 14:10:54 2012 -0400

    Corrections

commit 6963c0caf09ba14995aa059396d278ef43f9af39
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 17 13:15:23 2012 -0400

    Fixed bugs related to DHCPv6 host scopes

commit 0d897a3d64c724f99cb2495c601f270045e9c66c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 17 11:20:34 2012 -0400

    Remove the requirement to have an IP associated with a host scope

commit 2d65c6aca5c9fc0d7824c4c78afdcd8dd57e9399
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 17 11:06:06 2012 -0400

    Improve DUID validation

commit 3e2fe76c350a59c0dda5bfa1e26ff9111637fee6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 16:47:38 2012 -0400

    Much better handling of IP addresses in numeric form. Save a bunch of DB queries

commit 536e9c35680a8b9800faa6527e4d6d960740e541
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 16:46:23 2012 -0400

    Small correction

commit 7ac47defb901519df43905baf8f135204c653575
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 16:46:02 2012 -0400

    Small correction

commit d8073cdcd85bf894ee1b006d7d483b924e10f8fe
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 16:39:45 2012 -0400

    Improve IP sorting in lists

commit 2a2491c575b930c157efb40f44b3f65f1b2a40c4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 15:17:45 2012 -0400

    Fixes in asset handling

commit 6830c891fd22da3cf8ece9fa8f9ec6ee4a7da253
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 12:29:12 2012 -0400

    Minor fixes in upgrade script

commit 6d8a4954e83579b09e2b292b826aa85a856330be
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 11:43:26 2012 -0400

    Small change in manual

commit 83f21926482ab9f6b9d481c01457b5cba018160c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 11:24:46 2012 -0400

    Added upgrade notes

commit 45528fdeb6b498c2ac181aea1c969f7f214f7905
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 16 10:51:16 2012 -0400

    Simplify MIBS path

commit c881d3c06ddb9669cba965b9acfe05cf675cefa2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 15 12:02:24 2012 -0400

    Fix a previous fix

commit 5c6f5855b8241aab18f5dc5009def7d2ca6c93f8
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Tue May 15 08:36:47 2012 -0700

    Fixes in perldeps related to RHEL

commit 5f4735e3057a8695297aa0e937071b2f1f548199
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon May 14 12:15:32 2012 -0400

    Updated manual

commit b386790e9be7006cd0aaaa22f2e0e52379bdb245
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon May 14 12:15:23 2012 -0400

    Fixed usage msg formatting

commit febd4247b94209ebf4a8119dfd719c80ca062d2d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon May 14 10:52:30 2012 -0400

    Fixed path problem

commit d1e26df50ef4fb28fea2549ed791e8d3ecb4529b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon May 14 10:51:37 2012 -0400

    Remove junk

commit 76275939ff8228c99c99e0e00eb4270b72f5851a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 11 17:26:49 2012 -0400

    Updated Foundry CLI class

commit 93a333f4296b763576d70fbcb51a701614930f72
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 11 15:14:21 2012 -0400

    Increase size of interface name field. In particular, Windows machines have awfully long ifDescr values

commit 96654bbfd5bc8cca885c17bf29af6ca3bcb15fe3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 11 13:43:45 2012 -0400

    Explicitly enabled local_infile in mysql connection. Fixed invalid DB_TYPE condition

commit 66bcea9b9576c27996a30fbe7956b6cfa5945c0a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 11 13:18:11 2012 -0400

    Fixed bugs in upgrade script

commit 973e1a3a58a230671d54cbbeda9dd0d40768990c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 11 12:33:09 2012 -0400

    Do not check for layer3 in sysServices before collecting ARP. Only do so when discovering device the first time in order to set collect_arp flag appropriately. Clarified debugging messages

commit 98820050523ccfbdce26287441d857e992af2c2b
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun May 6 16:36:48 2012 -0400

    Fixes to install script

commit e6694dceb0a25d71c9379e1ebdd72003d9055d15
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun May 6 10:14:40 2012 -0400

    Fix unique index in device

commit 30dc654c5fc49df32cb7bd4fa691d6b6ebe41cf3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun May 6 09:50:19 2012 -0400

    More fixes to upgrade script

commit bee8a5229de09099933a7c7d6abedfd7d278c442
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sun May 6 09:03:03 2012 -0400

    Correction to the previous changes

commit 56170250bd243af96fa6b03a884c16d994bfc5c8
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat May 5 09:40:12 2012 -0400

    Fixed some bugs in upgrade script

commit 856e705f22ecfcd01387c10a3e0deb3ce86fa47d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 4 14:20:25 2012 -0400

    Fix for #1604 (Dimensions for a site)

commit ac2d0ad50881dbc848845571b98f88d9ff3ec4dd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 4 12:13:38 2012 -0400

    Remove custom reports menu item. Feature does not exist

commit 9d847da616df76378d5f2ee99ebe486e6a251214
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri May 4 09:20:37 2012 -0400

    Use apt-get --force-yes when installing from temporary apt repo

commit 4051ad8f6356b76457606048c42c4ed4e465db79
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 16:11:39 2012 -0400

    Fix for #1607 (Do not allow existence of RRs with only an MX record pointing to itself)

commit 535807bc23f4afed3e136234140e4d22eaa7a33f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 14:29:33 2012 -0400

    Fix for #1610 (Container objects shouldn't have unusable addresses)

commit 6232569b2fc1203203693d31aa4c9abecadfffe4
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 13:42:10 2012 -0400

    Fix for #1633 (Error while editing interfaces)

commit 8193cc29333f349d326a2fbc27f45530ad59c3b0
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 13:38:34 2012 -0400

    Fix for #1638 (Reserve first few IP addresses at subnet creation)

commit 9cd6fcab35c07041c787e473b7d0392c5e5a0b6d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 13:20:06 2012 -0400

    Remove asset from devicemodule if serialnumber and model not defined

commit 27b7e431b593fb3d6672f38a589678df44d9c7bd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 12:40:08 2012 -0400

    Added extra debugging code for module updates

commit b592c40630c22c54565f3ff7fd692c8a82b18337
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 11:18:57 2012 -0400

    Rename method 'arecords' to 'a_records' for consistency with other method names

commit e0b510b310c0105d997df5c3b1b564c8f6da537c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 11:03:24 2012 -0400

    Fix for #1635 (Do not allow unprivileged users to delete NS records

commit 1915770a717879ec256709f5a5845ea5ad2a443a
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu May 3 09:56:16 2012 -0400

    Patches for CLI interaction with Froundry Ironware. Thanks to Vincent Magnin

commit a3f4aef7ad0231fb7214ba8aa11d1bad8f087662
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 16:34:38 2012 -0400

    Add or update PTR records when zones are added or renamed

commit 2179b827de2b512cd94d1a1422afb2c69ec2a6ef
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 14:11:37 2012 -0400

    Shorten insert code by using the objectify method in Zone.pm

commit 4ab7d00884c9a0814eedbe7e03e590da422c03ec
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 13:55:32 2012 -0400

    Update PTR records when forward zone name changes

commit 1e45405bcf6b7b0334f5177149785ba226772785
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 13:37:09 2012 -0400

    Fix queries incompatible with Pg

commit 58dff1155045060ec13edc7de1b677243221d92e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 13:34:42 2012 -0400

    Correction in query

commit 49faff0d18f027d6413bb93e5444c31dd1ce0e37
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 12:54:07 2012 -0400

    Fix SQL query incompatible with Pg

commit 4b5302e545e40270ab09befd5089032259f57d78
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 11:39:13 2012 -0400

    Added some information on setting the DBA account on Pg

commit 200e25ce97ae16ae42f9a0bdae0685aa513c5dd5
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 11:13:45 2012 -0400

    More flexible regex for IOS FWT parsing

commit 88f83ea7b628650b6e81bfae2f33024b753006dd
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed May 2 10:58:31 2012 -0400

    With Pg, use eval trick to detect duplicate MAC and IP addresses on insert, and update if they exist

commit 92464d994675fb9e04a333ea941e60461b6d15df
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 1 16:10:52 2012 -0400

    Fix asset/product creation from existing modules when upgrading

commit 661018f2d46847760faa2f6065102c55fde7c0ad
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 1 14:34:18 2012 -0400

    Schema upgrade fixes

commit b5e1ee802ae25e4bfc71b26a475b74467a9ca178
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue May 1 13:11:01 2012 -0400

    Missing word 'code' in DHCPD export (thanks to Vincent Magnin)

commit 986cc9d138a95573e62630dd629df171fb0a61c3
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Mar 29 11:36:22 2012 -0400

    Updated sample crontab file to: a)comment out prune_db script, which should be enabled with care and b) Use simpler schedule for discovery, while providing an alternative for large networks

commit 8c31a8c1c8341069681e1842dd95173dd3880a16
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Mar 7 09:28:05 2012 -0500

    Instruct user to install database first, then netdot

commit 77c2b9c5deafba1bf1057b96e25b27b0d45371fe
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Mar 6 13:49:29 2012 -0500

    Another attempt to factor out devicemodule information into assets. Upgrade script needs more testing/debugging

commit ab833926a1031270adc1b9e174904a2f057e0a35
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Fri Mar 2 10:51:14 2012 -0500

    Updates to the user manual

commit 10a0695e47b43f0d60918d1f42f37e24e30ee708
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Mar 1 14:23:13 2012 -0500

    Slightly better assets report

commit 6523458f568e2d0a82596bd687cea980ce7ab9fb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Mar 1 14:22:54 2012 -0500

    More upgrade bugs

commit 36f758e0881751dd363cd27dd6132eaed035a8d9
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Mar 1 13:23:08 2012 -0500

    Fixed bug in upgrade script

commit 541003073b8c3614d10daa5ad03324ff0b5e205f
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Mar 1 12:56:09 2012 -0500

    While migrating data from a production server, it was clear that tying devicemodule
    records to assets was not going to work, despite it being a nice idea. The problem
    is that module serial numbers learned via SNMP are very unreliable. Vendors have
    been seen using the same serial number in two completely different hardware modules.
    Other vendors put stuff like "Fill in this information" as a serial number.
    
    The other problem we face is network device virtualization. Different virtual
    instances of the same hardware can share the same serial number.
    
    For those reasons we have made the following changes:
    
    a) Changed devicemodule table back to what it was in 0.9 (except for two new indexes)
    b) Removed NOT NULL constraint from device.asset_id.

commit a6c006ead7b138c0e39447ffccdb3891158bd826
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Mar 1 08:50:24 2012 -0500

    Remove new NOT NULL constraint from a few columns where it wasn't necessary

commit aed0e472c1ac5106a1d3b9d2769a98738d1b4bdb
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 21:49:33 2012 -0500

    Fixed more recent bugs in topology discovery

commit ec660f7f7a2d3a5e6666b907cde8271da0e933d2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 16:05:34 2012 -0500

    Deal with duplicate devices and devicemodules while upgrading

commit 5e348531b9d9e49707c8276e05e6a72fb716dca2
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 13:48:53 2012 -0500

    Fix bad table headers in device page

commit 1a985ae6b6d8cf29352f3c6a8eaaa2fff107b03d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 13:48:13 2012 -0500

    Die if script cannot connect to DB

commit 27a8bbcf15057a29a66dcc47428924f70d800530
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 12:43:23 2012 -0500

    Check for empty string in addition to NULL in upgrade script

commit 84ad77f5b88b327b39d7bab26cdec1d5deb952ef
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 12:06:18 2012 -0500

    Many improvements in circuit page, including easier way to assign interfaces

commit 82aecfe921af1fa7c169c8551ee11d28f2df8674
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 12:05:23 2012 -0500

    Fix incorrect criteria for when a field is marked as required

commit ebd1fcf4528f3470d8ef838c5d950b6e65ef843c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 12:03:30 2012 -0500

    Made select_lookup method slightly more readable

commit 04af96e2f629ff556ab2a7dd380549e510b19b05
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 29 11:18:35 2012 -0500

    Added missing makefile

commit c40889c060a5e6e25dd0ef5f717976af622cdee3
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Tue Feb 28 00:18:12 2012 -0800

    Ok, now it actually works. Removed debugging and realized that the sql command is CAST, not TYPECAST

commit 46c2a6829bbf067e1d59fa1c26724d7bacf6d9fd
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Tue Feb 28 00:06:39 2012 -0800

    Fixed pg code, cleaned it up a bit

commit 094b53cbd8f99da1d028afb44dbadbc1f218e649
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Mon Feb 27 15:39:17 2012 -0800

    Working on a better fix for Pg code, not opertional at the moment

commit 6914ad5ebe1509c1fa60ba4ef837d02c3621c21d
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Feb 23 00:48:53 2012 -0800

    Initial Pg fix for search like, untested

commit f8a84e469fca42124a39957d2a6d3ed863cc745e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Feb 28 13:31:11 2012 -0500

    Updates to the english manual

commit b6fbac5b6b03e8a370f1b6a5ebbfa38fbd6d9e66
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Feb 28 10:36:29 2012 -0500

    Added missing new field in upgrade script

commit a23696ab108ea4eb50cb960efe68e6675bf5ca4e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Feb 28 10:36:00 2012 -0500

    Make localhost the default NMS_DEVICE in configuration file

commit 2cbfc34946d4bb772cbdecd60df19445f87c1f71
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 17:22:21 2012 -0500

    Add default strand type

commit d86bb3ec2480531dcf56cee3c7842b2a8ae17c36
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 17:13:17 2012 -0500

    Add default strand status

commit c92d18dcebd7b620a68b37f56b634f5a524ec069
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 16:31:04 2012 -0500

    Hide stack trace from DB errors presented to user in the UI

commit a2e95f60a8c0dc1ddd334537c394be016aabd3ce
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 16:30:38 2012 -0500

    Fix previously introduced bug

commit 99b4f8aeeb25866b2987c79736eb0b41c59ad827
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 14:53:08 2012 -0500

    Changes to reflect new meaning of SOA minimum. It should be negative caching TTL per RFC 2308. Default value lowered to 10 min.

commit 69f410622317d1d072412e73bd9dc237d1ef0d4e
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 14:36:47 2012 -0500

    Do not show backbone cable graph by default, but provide a button to show it instead

commit a0b003b58d7c0a8a208ff91051371aca27060394
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 14:27:59 2012 -0500

    Avoid broken site nodes in GraphViz backbone graphs

commit 60b5d2d177aba303aeb457a889d4eae755555349
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 13:48:00 2012 -0500

    Move all upgrade stuff to its own dir

commit d832eae0cc56f63f1905bef5df2528e109479fda
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 12:29:37 2012 -0500

    Cosmetic changes

commit dd62c50f89c9327e920c5a4dabc16d2462f0e3e7
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 12:26:04 2012 -0500

    Reverse the order of lastname,firstname

commit 804bc274e3c9d561588c5cb119e72c3deacee547
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 12:11:08 2012 -0500

    Fix NOT NULL constraints

commit 0e0aa76f24db86e4e9df163e13007fd203db8b7d
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 10:45:19 2012 -0500

    Fix bug in upgrade script

commit 5bc863f7e47784961f9d17b83d6c4dfc5509db91
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 10:12:58 2012 -0500

    Added missing file

commit ca2f81076d3d3420bad018106e9485431c03b788
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 27 10:12:08 2012 -0500

    Added missing file

commit 33e89870fc763bc0a32a9a0ece4ee73e599e1342
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Feb 25 15:02:24 2012 -0500

    Added missing items for Smokeping exports

commit cc5a268e5d1e9cc7ab3a9f2e22334cfc966a3c79
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Feb 25 14:05:15 2012 -0500

    Document the use of new 'Choose IP' user right

commit 42cf1a85ad41d3b492ca537d592ff1d3e4857994
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Sat Feb 25 11:02:37 2012 -0500

    Made REST interface available to regular users with permissions. Created special-purpose REST resource '/rest/host' for simpler and controlled manipulation of DNS/DHCP records

commit 55469500e24e4db2240218b3048540cf54cfe7af
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 22 08:04:02 2012 -0800

    Fix validating hostnames

commit a72335ff9ffe7aceafee14e3899c4929967e928c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 22 06:32:44 2012 -0800

    remove old REST component

commit 53c2af14fab7f64f77904b38abb228d7e401472c
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 22 06:32:17 2012 -0800

    Rename REST component to better reflect its purpose

commit 6fb44f6b1792b40b563daa51cd1b201b30115c76
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 22 06:31:24 2012 -0800

    Provide full path for add_host page in subnet display

commit 0f8e8d02ba4824ebb288b9ab4f65dc22896c1853
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 22 06:01:34 2012 -0800

    Store DNS record contact info in RR's comments field instead of in TXT records

commit 1be30ca4056310ddf7e43e2ae6c0806ef84681fa
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Wed Feb 22 06:00:22 2012 -0800

    Include class name in error msg

commit 524ea568ef9938ec92d385a6f5b491e1b9a8fc96
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Tue Feb 21 07:13:55 2012 -0800

    Added 'active' flag in DhcpScope. Inactive scopes will not be exported in configurations

commit 6909b066070861c339d7681922369bc71a89e252
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 20 13:04:08 2012 -0800

    Fixed buggy get_next_free method in Ipblock

commit 09068b96dcc840dcd18ebeb410878afc299d79d0
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Mon Feb 20 09:59:12 2012 -0800

    Updated helper script for installing dependencies. Now uses our newly created debian packages

commit f7e318ca6f9b9c21ecc3e47f01ebabd7a65a10f6
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Feb 16 10:53:23 2012 -0800

    We will no longer include a set of MIBs with the Netdot package. Users are instructed to install the latest netdisco-mibs package

commit 23ab69b0c81d88f7dce06405f7c7d830c9019129
Author: Carlos Vicente <cvicente@cpan.org>
Date:   Thu Feb 16 10:42:02 2012 -0800

    Update the Spanish version of the manual

commit 40428d5e04f4f6f43787bf680aa54df2c3db6e86
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Feb 7 06:47:58 2012 -0800

    Unprivileged users should not be able to enable DHCP on a subnet

commit 80820f6945747b6ec6e05baa0d7dd09f10d03e37
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Feb 6 19:59:05 2012 -0800

    Unprivileged users can now be given permission to 'choose_ip' within a given subnet

commit 70e4dc02e3c59bcea0bd81f426fa0af39a0a9871
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Feb 6 12:01:43 2012 -0800

    Make cable strand operations slightly less confusing

commit 98fc09df26ca4f7b858cca7f5b4899550d92b904
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Feb 6 11:49:13 2012 -0800

    Assigning strand sequences to a circuit now works

commit 2837acfdf0181d5aa22424d990b422c94665af73
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Feb 6 08:20:53 2012 -0800

    Fixed error in device.html when assigning site

commit 7d05b69e8a44708c4b09665ed2b868f1a5a04ed5
Merge: c34aead 2fbc53a
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Fri Feb 3 06:10:58 2012 -0800

    Merge pull request #5 from yeahwhatever/patch-1
    
    Sorry, I still don't think it was quite right. $ints[0] was still an int...

commit 2fbc53a947699e7fe5488f4eb43768678d33fd07
Author: Joe Pletcher <joepletcher@gmail.com>
Date:   Thu Feb 2 23:33:39 2012 -0800

    Sorry, I still don't think it was quite right. $ints[0] was still an int, not an interface...

commit c34aead916f5bd6610897f50b651523395580d3e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Feb 2 18:50:26 2012 -0800

    Fixed bug introduced earlier

commit e53cdbf76bc5d39b6ebeeefabfe128f65139c980
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Feb 2 18:39:14 2012 -0800

    updatedevices.pl -T was not using given communities (-c)

commit 8e04f04ef6398df987bda647011b60a8ee0ab698
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Feb 2 08:46:50 2012 -0800

    Revert "Updated automatic topology discovery so it gets the communities out of Site.conf. This makes it much more usable"
    
    This reverts commit 90513537955aeb57c4ad904546cf77d038915ee2.

commit 4c13fab4f207eb8acce46eca57185074bb1db0b7
Merge: aa09369 9051353
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Feb 2 08:46:44 2012 -0800

    Merging changes

commit aa093699a010af6cd11d1669a62f4c279614f8e3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Feb 2 08:38:22 2012 -0800

    Wrong search in Topology.pm and some performance improvements

commit 90513537955aeb57c4ad904546cf77d038915ee2
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Feb 2 01:33:41 2012 -0800

    Updated automatic topology discovery so it gets the communities out of Site.conf. This makes it much more usable

commit 0cb1593b5b082dc135fcb7bb270c561e0127cf84
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Wed Feb 1 22:53:55 2012 -0800

    Fix to bug in topology discovering

commit ac6eeb3dac2f0355ebe3b9ce2e1f4298c3103cbe
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Feb 1 11:29:32 2012 -0800

    Change error message to omit reference to Person table

commit c87a58a4cca91ad019e156be096abb0be5ac9c14
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Feb 1 08:20:27 2012 -0800

    Discovering a router failed to insert subnets the first time. Also improved CLI command to allow user to enable/disable some flags, instead of just enabling them

commit fe324e5bea1887ba8566795513ba555593856170
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Feb 1 07:10:37 2012 -0800

    Correction to previous fix

commit 2bf98cf21c6e48835628f947500ae1d9225965bf
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Feb 1 06:33:26 2012 -0800

    Deal with duplicate serial numbers coming from device modules

commit 75463c8e7feb68b0f57c23a465eb0135f94d5d27
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sun Jan 29 19:47:04 2012 -0800

    Fix for #1630 (RANCID device type in database)

commit 103c7a47a54789f2a68f4b291618ea7dc437fa91
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sun Jan 29 19:46:03 2012 -0800

    Remove dicovery of neighbors from Device class. Unknown neighbors will still be inserted while discovering topology. This should improve speed a bit

commit 73e1f6b065afe066530dc376b9a7f6a91917bc55
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sun Jan 29 19:27:19 2012 -0800

    Fixed typoes in comments

commit fc226e7bb53baa84cc811dcc6d95e722b1aec297
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Jan 5 07:22:55 2012 -0800

    Temporary fix in Rancid.pm to detect different flavors of Cisco device types

commit 0d0b69bc8e517058730ef6b0a00eeac195a0672e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 27 18:32:10 2012 -0800

    Better fix for backbone graph sizing problem

commit 9ae696384e402d91a026a655905e0f2de784c8f4
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 27 14:15:04 2012 -0800

    No need to set default communities when using snmpv3

commit 613cf2ceeff5a042f9936dc0b920479c4489af14
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 27 13:14:36 2012 -0800

    Make valid VLAN range a configuration option

commit 436b3d1332405209633973f69db14cda35e98d37
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 27 07:39:48 2012 -0800

    Improve how vlans are shown in interface list

commit 91d5e48d6171b1a78c9b078107b62dce89ca49d8
Merge: 5782ecd b41037a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 27 07:27:53 2012 -0800

    Merge branch 'master' of github.com:cvicente/Netdot

commit b41037aad4eec7f3c9a2fdce83d8b0d66e6f042d
Merge: 51e3016 ebb7599
Author: Carlos Vicente <cvicente@uoregon.edu>
Date:   Fri Jan 27 07:16:59 2012 -0800

    Merge pull request #4 from webgit/master
    
    bug fix for htdocs/generic/sortresults.mhtml

commit ebb75994ee9fe2a5d1166fba20745518abad6f92
Author: webgit <web@umich.edu>
Date:   Wed Jan 25 14:03:08 2012 -0500

    Update htdocs/generic/sortresults.mhtml

commit 5782ecdbe9f32818cd4d17476bd579829ad59d7d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jan 24 12:30:19 2012 -0500

    Make cable plant graph stay within window width

commit bb9bf0ea71836806074954f17e037574dc080d20
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jan 23 21:39:20 2012 -0500

    Fixes for #1615

commit e5964ca9ebfda978f69538e98e08d37484e80749
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jan 23 19:01:10 2012 -0500

    Fix query in Rancid.pm to reflect schema changes

commit 51e301683e171fbdbedc5b9f407ee5513f8ccdb1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jan 23 18:42:53 2012 -0500

    Added Smokeping exporter

commit dfdc617842fc7cebefdfb98bb5666b9bc57aa30a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jan 23 14:00:57 2012 -0500

    Added simple command line script to list available IP space within a given block

commit f06c76de450cd975196ed57b6af413a905093246
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 20:20:56 2012 -0800

    Revert "Small fix to rev 067ba911"
    
    This reverts commit 1a6d4469af4598787e5b0e2e48f6444781d81294.

commit 9253b1a1f976a45452beacbf51acee2c80755cde
Merge: 234d3a2 9ad9a5b
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 20:09:57 2012 -0800

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit 234d3a2fbd5246cd905937fc3b02f63d09fe8f9b
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 20:09:06 2012 -0800

    Allow user to select zone when creating an A record for a given IP address. If the subnet or its ancestors have a forward zone assigned, it will be selected by default

commit 9ad9a5b7f326c2cb330bae14092daf86eabf870c
Merge: 1a6d446 bda7531
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Fri Jan 20 16:08:13 2012 -0800

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit 1a6d4469af4598787e5b0e2e48f6444781d81294
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Fri Jan 20 16:07:40 2012 -0800

    Small fix to rev 067ba911

commit bda753143a245b255a1c3c91b91b57bcc3c79c9c
Merge: ae67808 497881f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 09:58:23 2012 -0800

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit ae6780819a17ee08d2a40c03749c972adcd31778
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 09:57:30 2012 -0800

    Restoring a change

commit 49ee1e1505cfec0aaf82c83b8382a014fa4c23f3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 09:49:52 2012 -0800

    Added parameter no_linked_from in REST.pm to avoid retrieving objects pointing to the main object. Fixed some other small bugs

commit a63e7b0417925557d15c8ef73d576adbaaf1bdc8
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 09:47:50 2012 -0800

    Revert "Added parameter no_linked_from in REST.pm to avoid retrieving objects pointing to the main object. Fixed some other small bugs"
    
    This reverts commit 2c76b205bd2fac6bb27c70fee3e2970d4685380f.

commit 2c76b205bd2fac6bb27c70fee3e2970d4685380f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 09:43:02 2012 -0800

    Added parameter no_linked_from in REST.pm to avoid retrieving objects pointing to the main object. Fixed some other small bugs

commit b48ce6ddf4ce74e8ca37efe7beed009edf8e54bc
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 20 08:08:36 2012 -0800

    Create product object for assets created from device modules. Improve reports and other minor things

commit 497881f297eaf73aab5e822abcf2754968803f7a
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Jan 19 17:27:47 2012 -0800

    Wups, actually fix #1608 for real.

commit 75e6471f67dcd6af7b71bb5fbb09fd6e05c0e3b4
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Jan 19 17:20:10 2012 -0800

    Makes the favicon actually install. So it, you know, works.

commit 73de4269cba67a688d7b0d58a7284024b6f05d6a
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Jan 19 17:12:57 2012 -0800

    Fix for #1608

commit e3ed610565adf92669174429f5038d794da4b422
Merge: c287098 560f9cf
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Jan 19 13:47:02 2012 -0800

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit c2870983b3e2dc32f4ed69d13f2c670a16373925
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Jan 19 13:44:52 2012 -0800

    Small fix for pg compat.

commit 560f9cf0254ce4cea5dfa1c25c1ab1ae00562667
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Jan 18 08:09:36 2012 -0800

    Add more interface name patterns to be avoided

commit 91657a06a5468fe71ff6842a81e26d4772292a08
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Jan 18 07:22:29 2012 -0800

    On text input from browser, convert CRLF and CR into LF

commit e94ec396562fa9fd3f93fd490e51ff50fb478e35
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jan 17 13:15:40 2012 -0800

    More work related to asset handling

commit e2698b32bc76f5688a144fe8eb4e370beb16a79d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jan 17 13:14:49 2012 -0800

    Fix UI listings with no link to object in first column

commit 0c931272062a3f2761bcd81980ade5689d96f807
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jan 17 12:53:22 2012 -0800

    Fix incorrect test for IPv6 loopback

commit ccb3875c985ec4841152a01f3211649ca957a198
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jan 16 19:43:02 2012 -0800

    Improvements in UI for assets

commit ba35f892556582c8da4a627a282eac3f1b6e2b1c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jan 13 13:15:20 2012 -0800

    Clear reservation info when asset gets installed. Correct asset indexes

commit 08fbad0c9b9c0d4168cfaed8d73b9df2fb523f71
Merge: 067ba91 7ff1282
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Jan 11 18:02:10 2012 -0800

    Merging

commit 067ba911358db8260ea3b158b5f973f1c9b6b56e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Jan 11 17:30:28 2012 -0800

    More work towards v1.0. Changes mostly related to Assets

commit 7ff12820b21d63d64d0de5f870fbff527185dc52
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jan 10 18:45:10 2012 -0800

    Typo in cacti export script caused devices to be added even if they had snmp_polling flag off

commit 52970e2705170a7cbb5c77788f083a624e6640c4
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Mon Jan 9 12:02:56 2012 -0800

    Fix for #1627, update cacti scripts

commit 5a686882b19ed1ee0824f4f3467ea320a971fd51
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Dec 13 10:24:11 2011 -0800

    Nagios exporter failed to set valid group from device entity if subnet info incomplete

commit c75217879738c86953dd67440b489c207db8e451
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Wed Dec 7 21:25:45 2011 -0500

    Fixed typo in prune_db.pl

commit 96c54e1ed999881612140b34fea99300d3bae5f1
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Wed Dec 7 03:21:34 2011 -0800

    Small fix for utf coverage

commit 2f6f85a39dbc176b5668e6178c76b6fee413dde8
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Nov 16 12:12:54 2011 -0500

    Improved add_range and remove_range methods

commit 0083ea18d26533f416103cce2f6f77bb13853f0c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Nov 16 01:26:18 2011 -0800

    Added config option to choose shorter interface names from SNMP

commit b5ee1f4a1ed39268733faeda389733a00aa301f4
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Nov 16 01:25:19 2011 -0800

    Do not throw exception for exceeding field length when user is 'netdot', which is used for automatic updates

commit 8a1481838c98ef234f50f7dc0a5d622c6a0082c6
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Nov 15 10:47:30 2011 -0800

    Convert interface speed to bigint to properly show 10G and higher

commit a69133928ba67b497a8d954d46c20f4e4d866198
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Nov 15 09:08:28 2011 -0800

    Do not bother creating device in Cacti if snmp_polling flag is off

commit 16a00c6c37df324188942935e3c860890e7116c7
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Nov 15 01:30:52 2011 -0800

    Small bug fix in logging line

commit 7b10fbe9fff05ed419c467dba8423da30437b6ac
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Nov 11 09:25:32 2011 -0800

    Option to set overwrite interface descriptions flag incorrectly asked for confirmation when setting to NO

commit c90dfa79b8eaf10a4f452af7e9dd10442d41aa4e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Nov 11 07:26:06 2011 -0800

    Fix incorrect counting of devices and models per site in report

commit 61925a7a4a597784ac54baabc86e673d1f05f4f1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Nov 9 17:52:31 2011 -0800

    Fix for #1618 (DHCP shared-subnet scope management too simplistic)

commit f0ca85208fb4ef2591cc8fd11ab15a9b9cf0ef32
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Nov 9 07:48:26 2011 -0800

    Fixed query for shared-network subnets

commit 27eb741d333badc3ff18bdcaae90cfed85dae6a7
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Mon Nov 7 12:30:16 2011 -0800

    Small fix for #1617

commit 4deb471390e107a4e8983e79f47931c744b73c33
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Tue Nov 1 16:54:38 2011 -0700

    Better solution to #1606 and fix #1613

commit fcfc842e8f5f6878862e190b07fb446c99963a39
Merge: 624ba99 4948cb8
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Oct 28 18:09:16 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit 624ba996bfa882f51f8c6a180a440e866e4df38f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Oct 28 18:07:48 2011 -0700

    Fix for #617 (Tree View for higl level container produces no graph)

commit 4948cb80b6b867aa526dbc1726b07a4a55b7a3eb
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Tue Oct 25 15:35:14 2011 -0700

    #1606 - fix duplicate tree bug by updating _tree_find and _update_tree, also a small update to the UI for prefixes

commit 1cee2439db6aafbc98f211c69cd4776924f7714b
Author: Joe Pletcher <pletcher@ns.uoregon.edu>
Date:   Wed Oct 5 14:43:58 2011 -0700

    Added DBD::Pg to install deps

commit 6c1ebe69e2e28043631fa54ffdbe6fadf7df3707
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 29 10:21:54 2011 -0700

    Do not alarm for BGP idle state (Nagios plugin)

commit 1b5595660500f662204a4d570d6064df25a36c6a
Merge: 351bc8b ff4e47a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 29 08:36:50 2011 -0700

    Merge branch 'master' of github.com:cvicente/Netdot

commit 351bc8ba15604be78181cd2d8ccd5bc9ade28f16
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 29 08:25:38 2011 -0700

    Fixed incorrect return values in Nagios plugins

commit ff4e47aff5b06e010571bdfb85bae36bfaec7b62
Merge: c62bfd2 07a921d
Author: Carlos Vicente <cvicente@gmail.com>
Date:   Thu Sep 29 08:12:34 2011 -0700

    Merge pull request #3 from abenea/search_fix
    
    Fixes for Zone::search and Zone::search_like.

commit c62bfd2fbaff04e1d11cc50a0b5d2053bec3a963
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Sep 28 11:25:27 2011 -0700

    Fix bad regex in RRPTR insert method

commit 29babddf4c45840df638f06e2a8bae40f4d676c1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 27 19:42:25 2011 -0700

    #1609 (assume host address if no CIDR mask specified)

commit 07a921d6d2232b39dbd98796a7243b0a91f6e1fa
Author: Andrei Benea <andrei.benea@1and1.ro>
Date:   Wed Sep 28 18:28:57 2011 +0300

    Fixes for Zone::search and Zone::search_like.

commit 139c6c7d8f5296846093851461db2722a1641f25
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 27 08:46:18 2011 -0700

    Mapping of device names to device types with DEV_NAME2TYPE did work when sysname fallback method was triggered

commit 6f6f499064aa009572a391151fa6726e479bbcf7
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 27 08:46:55 2011 -0700

    Variable check to avoid Perl warnings in RR.pm

commit 7390f022130ff1862c18f57c004d5d3b564ba2a3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Sep 26 09:19:15 2011 -0700

    Show recommended OS in device inventory report - OS Mismatches

commit 078a08b68b893b9de5addfe877871ae276373421
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Sep 26 09:09:59 2011 -0700

    Highlight devices with non-compliant OS in device inventory

commit 55f189e7e87ddf1a17af795a228dbf030018a12e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Sep 26 07:35:46 2011 -0700

    Fixed incorrect query in device inventory report - Site/Type/Model

commit 5e08afb0cd17f7bb128515dfc3fc06735beecdf6
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Sep 26 07:21:51 2011 -0700

    Do not append zone name to CNAME RR if user adds a dot at the end of the alias label

commit 746edb9011176f43d0cf14430e53f8f0b552612a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Sep 23 07:55:53 2011 -0700

    Small cosmetic fix in Help section

commit fbe384d8651cc23ab44edfd8f97953d009b1028b
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Sep 23 07:39:22 2011 -0700

    Make graphs fit screen width

commit 9ba4d30642b936e4631a20b1528ff6b61b221a8d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 22 08:06:12 2011 -0700

    Fix some bugs in IP handling

commit af0cbef738bcade519e4caf1a022e6bf006b079e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 20 13:15:24 2011 -0700

    Make name foreign key field in device table NOT NULL

commit 33d5f7be2d9a2a2721eeaf42b7b6117b8f9d74e1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 20 10:12:00 2011 -0700

    Fix and enhance the Site/Model device report to include product type and counts per site

commit c666ebe5f702eedeb47d762e7b330be56266755f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Sep 19 10:57:16 2011 -0700

    Use DBI's bind_param attributes to specify type of value for address in Ipblock search

commit b3203f27632ae634f0e911344a267be8185d8784
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Sep 17 20:11:39 2011 -0700

    Fixing previous changes to error page

commit 7c11e2ccacb88e8743a528aeabab99a19d05c033
Merge: ef769ea bb86a18
Author: Carlos Vicente <cvicente@gmail.com>
Date:   Sat Sep 17 20:02:55 2011 -0700

    Merge pull request #2 from abenea/check-vlan
    
    Validate VLAN ids

commit ef769ea14114d5520cf91fae6ab818a4a59ff128
Merge: df0aeac 158d401
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Sep 17 19:57:47 2011 -0700

    Merge branch 'master' of github.com:cvicente/Netdot

commit df0aeacdc5e84246461d36c5d8d30bae5b4dc915
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Sep 17 18:49:55 2011 -0700

    Added variable checks to avoid warnings in Topology.pm

commit f0094c0f3f1af8d721f1524145e4ebf5f865d4ed
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Sep 17 18:21:25 2011 -0700

    Fix for #1602 (Undefined value as a HASH reference running updatedevices.pl when no IPv6)

commit 51220c60da46db149f5529288b89cf8e614a4b2a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 15 20:06:43 2011 -0700

    Fix for #1601 (Creating a new address block from Address Space tasks)

commit ef0978da36673b7ee51599aa6b2655c519b69fe9
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 15 19:53:13 2011 -0700

    Corrections to previous changes in device checks

commit cab7a88413d820ff045d153948858340b0aff575
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Sep 14 12:10:24 2011 -0700

    Bumping required version of Net::Appliance::Session

commit 636774c339fd8b711cc762028c7e5fcca8939d4c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 15 12:46:58 2011 -0700

    Small fix

commit 45658c3dd6988d840ef3e33c9077642db3e81fb9
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 15 12:35:25 2011 -0700

    Add option to include newly discovered devices in device report

commit 2e2af5f1936c3657b42b47fb9f5119a0ee77003c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Sep 15 08:26:53 2011 -0700

    Changes related to Device CLI subclassing

commit aba54d6d7ec34e691f62ce81bf841bdf8417e32e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Sep 14 11:41:58 2011 -0700

    Refactoring methods and classes related to Device CLI interaction

commit d34c298fe1e719d6651d3252cbad58120bfcc63e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 13 10:05:12 2011 -0700

    Ask for confirmation before creating new IP address or block when clicking on available item

commit cc4875fd31a101b3ccbd1abda8ff1208043b494e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 13 08:57:11 2011 -0700

    Tell CPAN to install required modules by default

commit 025760d281a5791dc4d86ae25af55833250ff639
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 13 08:37:42 2011 -0700

    Fix for #1583 (Add confirmation question when changing overwrite description flag for all interfaces)

commit 07bc6c90e552352967268166afb2da9c4f0f96e7
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 13 05:53:17 2011 -0700

    Fix for #1586 (Override default apache mimetype for filetype .html)

commit e50359ef431fd66c546b3a8b2389b8651a0ca3a5
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Sep 13 05:42:43 2011 -0700

    Fixed typo that affected zone import from UI

commit 4cb680e21f01e4ba42dadbd694f44c5a62a3ef70
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Sep 12 13:09:39 2011 -0700

    Removing duplicate entry in default data

commit 236e3403094482e2ec9f1a7f8866a5b4949aeb8f
Merge: a5990b9 aa82022
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Sep 10 13:43:27 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit a5990b99976500f9e0bbb36f611819c54a209874
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Sep 10 13:39:56 2011 -0700

    Fix for bug #1593 (Creating a new group contact)

commit aa820225fa10cf2b03ebca6b5be0b5d583de42f2
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Thu Sep 1 13:48:58 2011 -0400

    Correct and add dhcp statements (#1597)

commit a52c15880842c4cb75fd658599811bfea1c70ff0
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Thu Sep 1 13:02:26 2011 -0400

    Set snmp_polling flag to 0 on new device if monitored flag is being set to 0

commit 655763db3619f9bd9b71f4b1e23d0e16872f0a24
Author: web <web@umich.edu>
Date:   Fri Aug 26 17:10:08 2011 -0400

    allow for more than three (3) VLANs per interface in Management->Devices->Interfaces screen

commit 8c46297a27e1211bb4277c8667780e5b2c3b934f
Merge: e990d84 158d401
Author: web <web@umich.edu>
Date:   Fri Aug 26 17:02:27 2011 -0400

    trying to get back to normal

commit bb68c22fed489fe488df307c9b321ccacfc675d4
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Aug 25 08:48:41 2011 -0700

    Ignore duplex status 'unknown' when finding duplex mismatches

commit 624aa407f4447e5fb4e11eae37ba0cbc703a4448
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Aug 25 08:46:59 2011 -0700

    Fix for Bug #1589 (uri_escape issue after CPAN update)

commit 592e2f438dc7acfe4d0b9620f43d2aa6a3805ae1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Aug 22 13:19:22 2011 -0700

    Do not delete room when deleting person

commit bb86a18b1a7c3202cb00267d4e71edba193f5dbf
Author: Andrei Benea <andrei.benea@1and1.ro>
Date:   Fri Aug 19 16:37:20 2011 +0300

    Validate VLAN ids.

commit 158d40120fd65b7abf0a1e0c8cbd7415218cca2e
Merge: f34287c 98e0021
Author: Carlos Vicente <cvicente@gmail.com>
Date:   Thu Aug 18 14:42:43 2011 -0700

    Merge pull request #1 from abenea/check-length
    
    Check the length of the varchar fields

commit f34287ce99c76aacc7e5d63c14e9969b8b57e5d3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Aug 18 14:27:02 2011 -0700

    More fixes to previous changes

commit 7f84c0835e18b2956deecc63223f9e6b8c31d0fb
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Aug 18 14:14:17 2011 -0700

    Correction to previous changes

commit 98e0021b648920fc97d23c843ba20ad9db52d067
Author: Andrei Benea <andrei.benea@1and1.ro>
Date:   Thu Aug 18 22:15:32 2011 +0300

    Check the length of the varchar fields.

commit 5a82d5aecf541d81ff7c2f6b112743cdbe8bd226
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Aug 16 12:03:29 2011 -0700

    Removed stale upgrade file

commit 4aea6dcf99eeb58963ff5af1ac571f005e558098
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Tue Aug 16 10:54:11 2011 -0400

    Fix for Bug #1596: Nagios host name includes the '@' sign if DNS name is zone apex

commit c83b0bd08583458346dc3bd3bedc780c0c95188d
Merge: e63ca3a 3816df0
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Aug 15 11:28:55 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit e63ca3a468ee90977951e4e2bd66ff60a6ef1bdd
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Aug 15 11:28:40 2011 -0700

    Move product and physaddr fields out of Device table

commit 76ccf8043b5bbd540b331e6992f47cb817d98737
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Aug 15 08:45:11 2011 -0700

    Fix for Bug #1594: Source URLs wrong

commit 3816df0532b19e2351c8ffe456449b0858b1d0b4
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Wed Jul 13 23:48:07 2011 -0700

    Some bug fixes related to accessrights

commit 20651681d5dceac95fdcc4ebff4bed52f1bd78e1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Jun 23 11:38:15 2011 -0700

    Fix for Bug #1588 (Operator user without privileges can change status of IP address in subnet) and other related problems

commit 480be60989d0fbca44e06ed403f661f839a153cc
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Sat Jun 18 14:39:53 2011 -0700

    Changes to adapt to new Net::Appliance::Session API

commit 6adf34b4a3700247a13d45192822ad4f9b831169
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jun 17 13:20:58 2011 -0700

    Removing duplicate line

commit 8b026923db8f993af8fa704d5ac8e110fa26f1a4
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jun 17 11:56:36 2011 -0700

    Fix for Bug #1585 (make installdb does not work with certain mysql sql_mode settings)

commit 75b479d376a9b2cc43af0b0d613eec7018030925
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jun 17 11:35:28 2011 -0700

    Small fix in RRADDR.pm

commit a1f79a1fe426cb1d94abef09b36bfb6b2373ed12
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jun 17 11:35:06 2011 -0700

    Make generated DNS names shorter for IPv6 addresses in dynamic ranges

commit 19416cef38b87715ab379f4e1838664c0deae8bc
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jun 17 11:33:32 2011 -0700

    Small fix in DhcpScope.pm

commit c83cbe2ecead6c2bcde70fa1d8c44b7e6429574f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Jun 17 11:25:18 2011 -0700

    Fixed bug in generation of DNS names for interfaces

commit 2c6b5bbdaaa91d0b4ab8df414cc8157a5ecc9bf7
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Jun 16 12:09:23 2011 -0700

    Remove incorrect link to header in IP list page

commit 8798ad918fa785b013ad8a050f079bb45ed76e43
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Jun 16 12:08:41 2011 -0700

    Fixed bug in IP page that showed comments edit field in wrong context

commit 631691c5f1dd9de233758d581596738e046eae3b
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Jun 16 12:07:52 2011 -0700

    Removed duplicate line from default data

commit c9081b8731f5085a4b4be8ca623d2e2928a0823f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu Jun 16 12:07:29 2011 -0700

    Fixed recent bug in install library

commit 1dc357fee46d7e1f9657f85a96044d63f6bc9fa1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Jun 14 17:37:17 2011 -0700

    More work towards support of DHCPv6

commit d33188c41b514582326a2f701b51bbdd1ab646aa
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jun 13 18:38:23 2011 -0700

    Backend changes to support DHCPv6

commit 6813a9cef73a8c011d5ab1ee0af846d89cb67ecf
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jun 6 16:16:41 2011 -0700

    Removing unnecessary reference to feet in cable length

commit 30aadc4c59dc4e309241f6d3361d42b87b46564d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jun 6 14:51:37 2011 -0700

    Added configuration option for default DNS name prefix and suffix in IP ranges

commit c495c1ed4b749777e25b75e4824a8ac719081f85
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jun 6 14:02:18 2011 -0700

    Small fixes in BIND exporter

commit 44953ba84a6e56bb5c2d2b0fc450cadc999c0d73
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Jun 6 12:26:01 2011 -0700

    Added configuration option to decide whether Netdot should ignore IPv6 link-local addresses or not

commit 964921e2222e58872ff31169f303a3024132c2c2
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Jun 1 15:55:48 2011 -0700

    Include interface column in ARP entry listings

commit 2a6ad2874ac3c31cc27aead38dc065dfa9514bf2
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed Jun 1 15:53:14 2011 -0700

    Small fix in CiscoIOS.pm

commit 13070af801379666157fa30c9593aa8bdf443baa
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 31 17:02:22 2011 -0700

    Allow user to rebuild IP hiearchy from within UI

commit 84945c976419708e8b52e1b5eb2006c13fa9e509
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 31 16:10:49 2011 -0700

    Fix for Bug #1580 (IP hierarchy updates bug)

commit e722ce050edb6b12715f5c504f685977ba329dfb
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 31 10:19:11 2011 -0700

    Fix for Bug #1579 (Ipblocks are inserted even if an error occurs during _update_tree)

commit c9d2d082d8675060eb1feddb21141329d74fe74a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 27 14:47:42 2011 -0700

    Fixed asset report

commit 023d10f869c4c11d13ab33dd9218ba0115dc0c15
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 27 13:13:49 2011 -0700

    If IP is in 'Discovered' status, set to 'Static' when adding an A record

commit 70a04fb3a1d7f2a09d925d4a19e8db7516365a43
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 16:36:42 2011 -0700

    Fix dhcpscope fields incorrectly defined as NOT NULL

commit 01f2540b433f111c9801b05b513abdd66b8899f3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 16:23:25 2011 -0700

    Fixed bug that prevented user from re-generating DNS names for IP range

commit 7ca0b0fa3486413368ff3d21df46122494ceee67
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 16:21:59 2011 -0700

    Added missing character in allowed list for DNS names

commit dff7755e1d9667bce04137185a5aecacd6728b0c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 15:13:24 2011 -0700

    Fixed bug affecting detection of shared subnets for DHCP. Code was not distinguishing between IP versions

commit b976586b1132e2df5990372a6eaacd1ae61fd36d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 15:05:56 2011 -0700

    Fixed bug affecting IP hierarchy updates

commit 78338b3642f896963b6224c0e21fd51acb15f592
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 15:04:13 2011 -0700

    Small fix in Interface.pm to avoid warnings

commit 9e957c357c25a07f175c6eaeb767d2b2721c5402
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 26 11:14:00 2011 -0700

    Fixed bug in handling of ipv6 addresses at device discovery

commit 8a58d2406070cbf89cfc34320b97286dc6eef98a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 25 16:46:30 2011 -0700

    Small fixes in CiscoIOS.pm

commit 2c157f7deb66484683bc88dc7c9889deb8de0b22
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 25 15:28:59 2011 -0700

    Enforce valid DNS names. Enforce that exchange of MX record has A/AAAA records

commit 08299c67267af72f50049efc3a85034d7fa69a1a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 25 15:22:52 2011 -0700

    Removing unnecessary use of int() function

commit e944788d696beda5bcb2b5b63659a4583a17f105
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon May 23 15:55:34 2011 -0700

    Fixed collate mode in updatedb script

commit d0e66f477dd2c42855e211e344c64ac1ea6efbf1
Merge: e7534aa d16abef
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Fri May 20 22:57:47 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit e7534aa9afd90e86b2c2c203db423c68b84ceb45
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Fri May 20 22:57:13 2011 -0700

    Require newest version of SNMP::Info

commit d16abef09e58bfa36cd9a5b5136a1c4bbe23196e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 20 16:17:20 2011 -0700

    Remove unnecessary use of int() function

commit b31a8f1305c001bbed69fa5472a96e4ecedd5cca
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 20 15:06:55 2011 -0700

    Small fixes to manual source

commit f0785c7a82ab0655b9819251dfd1fc1414c64b74
Author: web <web@umich.edu>
Date:   Fri May 20 14:05:54 2011 -0400

    directory name is "doc" not "docs" plus capitalize RADIUS protocol

commit e990d84856c5cb166baff06233337305c5340de5
Author: web <web@umich.edu>
Date:   Fri May 20 14:05:54 2011 -0400

    directory name is "doc" not "docs" plus capitalize RADIUS protocol

commit 027e0f074bafbbc1ccb81a110f9441655db2c291
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 19 16:15:57 2011 -0700

    Improved html source of manual

commit 7b5ac175dcaf42e01eaa7585327c5a80553957aa
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 18 16:17:03 2011 -0700

    Do not allow unprivileged user to edit an IP address with Discovered status

commit 2b04686ee0a2ca9272d43ae1057f61bc533cd379
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 18 15:46:09 2011 -0700

    Made the manual in htdocs/ a synlink of the file in doc/manual/. Updated version number

commit 33c35f1374dcdccfab3d353e69b235d3b0a41d8d
Author: Brian Candler <b.candler@pobox.com>
Date:   Fri May 13 16:28:35 2011 +0100

    Convert manual from docbook to pandoc markdown

commit 7354bb797154ec514a6d4af9438148e0e6f64502
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Wed May 18 11:03:22 2011 -0700

    Finished removing dbix deps

commit f607a6c9fc7e70afd6b8dd7aa88590e391ad97bc
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 17 16:56:35 2011 -0700

    Correction to previous change

commit 8c2ef731a342b638a53e6bb15a77bcfd9b52b42a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 17 15:08:05 2011 -0700

    Fix inefficient get_roots method in Ipblock.pm

commit 0cb00331d6929559c39c9adf0674ae3b824a071d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 17 12:05:43 2011 -0700

    Added a copy of the GPL license

commit d5804f22f9f001edd634941d12ce5ab6001600f3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon May 16 10:33:28 2011 -0700

    Minor cosmetic code changes in device.html

commit 359f9e83b7946111dd101bda4d23304c74c40377
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon May 16 09:47:39 2011 -0700

    Removing unnecessary used of int() function

commit a1694c5a72ef9708056195e918990bd7202666a9
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 13 14:31:23 2011 -0700

    Small fix in code comment

commit 4594d1c784f95dce27093fa1462347f67ec2368e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 13 13:49:08 2011 -0700

    Fixed typoes in error messages

commit 2c09df9afae7f4d8d948f4ae472c4fc7615d16c3
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 13 11:55:37 2011 -0700

    Fix to Nagios exporter code to include Container blocks for device grouping

commit 84442a5c2efc69d00ee4d2ef7a17d0f3011a5199
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 13 11:44:46 2011 -0700

    Fixed small typo in POD documentation

commit 44f0f3c0dabd63e994ab45b7d1abce50e8e54358
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri May 13 11:42:12 2011 -0700

    Merged small fix from 0.9

commit 91ec1c82c5425fdb686662e03db293c31488b0fa
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 12 20:00:04 2011 -0700

    Working on more UTF8 support

commit 607de85bb0e51eb71f926c2c7c8e81b988ef6125
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 12 19:16:36 2011 -0700

    add alter database

commit 265151f4ba468f4b9cf0f221dda305cb63092972
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 12 18:53:40 2011 -0700

    Oops, minor typo

commit 18bd0e4c5c48e1f3e703b69c2f2ab40a26edede0
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 12 18:33:11 2011 -0700

    Initial UTF8 support

commit 035b2812cff845af7d6262d6ac10e0d0549b3e50
Merge: a3ae78a 9b5fd8d
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 12 12:19:55 2011 -0700

    think this works, testing...

commit a3ae78af0f84a10c19f109ccf95306745b0edca8
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 12 12:06:04 2011 -0700

    Included origial mysql code. Could be done more cleanly, but it should only be run once

commit 9b5fd8d9719e2076548b7a46edc61cb4d3fbb50c
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 11 13:28:36 2011 -0700

    Do not allow export of zone file unless NS records exist

commit 929ef70f22fc20473d55cd6f1db447133e81f015
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 11 13:18:15 2011 -0700

    Try to use sysname when assigning device name, if main IP of device cannot be resolved

commit e05764f120cc93067b86d3426b4a2872cebee16d
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 10 11:37:37 2011 -0700

    Fix for #794 (errors on insert into HostAudit is not caught/handled). HostAudit object now uses name strings from Zone and DhcpScope, instead of foreign keys. Also included some fixes to previous commits

commit 72dee51643217b8db943c2640813b0bbd166e0e3
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Mon May 9 15:45:42 2011 -0700

    Update updatedb to make it better for postgres

commit 1bd85f8880d2e81595ff298bd42e819a1fdeeb8d
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Mon May 9 15:29:02 2011 -0700

    Updated pre_updatedb to make it postgres compat.

commit 2b1a055baafffd202ecc0027a8e645f73cc1068f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 5 21:04:02 2011 -0700

    Fix for #753 (Allow selection of forward zone for subnet)

commit 52bddcb3ea3e9d3c19bc325fe36a6f52b0dcb1f9
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 5 18:45:35 2011 -0700

    Fixed small bug in device discovery

commit 3a670b902a483cb60b717e16dcf0cd79bad691cc
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Thu May 5 18:04:27 2011 -0700

    Fix for #775 (Add option for storing MD5 key for BGP peers). Also added integer fields for maximum allowed number of IPv4 and IPv6 prefixes

commit b39fbe9039865a9abfe6cce2be0902887021c65e
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 5 16:25:09 2011 -0700

    Another git test

commit a90151ec9812b3927dfeca8b76ffafe888691b87
Merge: 5c209a4 9bdb056
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 5 16:19:36 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit 5c209a4b0c433bdf75c7e24f6a16f66738094636
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu May 5 16:18:25 2011 -0700

    Fix pg outer join syntax. #796

commit fd60c75a5255a18cbaed7bdfb61eb87854649ae1
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Thu May 5 15:03:45 2011 -0700

    Updates to manual

commit bef27fa92299698f03c652807935d4facc17abd4
Author: Carlos Vicente <cvicente@nsrc.org>
Date:   Thu May 5 09:54:39 2011 -0700

    Fix for #805 (wrong syntax in examples)

commit 9bdb056a6e5f3461d8efaf9a98ca60bb29bb86fa
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 4 19:42:50 2011 -0700

    Update copy of manual in UI

commit a92e700d270bd3f40621a94b387c676d83b6a558
Merge: b5d2eee fd60c75
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 4 19:41:58 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit b5d2eeeadc7e612b7fb6e6740129314c3a742014
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Wed May 4 19:23:08 2011 -0700

    Give option to recursively discover unknown neighbors seen via discovery protocols. Previously, only directly connected neighbors were discovered

commit 510b1a275d09bb70655356ff04eb7f30b7e21f98
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 3 21:44:19 2011 -0700

    Partial fix for #515. Added extension field to device table in preparation for IP phone support

commit ce043cd8af1753de2b1ebd4ef3d0c065f016b77b
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 3 15:05:43 2011 -0700

    Fix for #785. User can now create new subnets or containers when partitioning a given container into smaller blocks of given size

commit e82fab7555f7f1378cc49959760e8557fa4273bc
Merge: 51c02ea 489521a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 3 11:12:56 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit 51c02ea4bed87f9fedaec368d08c229c68a5782e
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue May 3 11:11:51 2011 -0700

    Fix for #792 (Add owner and used by on single IP addresses)

commit 489521a4f370f16e022c90045ac65c423d216901
Author: a <a@hydrophobia.cs.uoregon.edu>
Date:   Sat Apr 30 01:09:52 2011 -0700

    Start updating updatedb script, still need to take care of user -> username changes

commit 360403097b1ffc5ed608cd35a6ccac2bf4f77d3f
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Fri Apr 29 16:01:02 2011 -0700

    #779 (Include IP addresses in global search)

commit 05e97110ff228ae44f5540dd2c3d7de14b96378a
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Apr 12 10:38:18 2011 -0700

    Added back line removed by mistake in previous commit

commit 82430447e9959bfb7b6b14c3debc31fa056f9eba
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Apr 28 16:27:48 2011 -0700

    Fixes postgres schema issues, #786 and #806

commit 309f06a97023ee4dfff676f68e6158553ae85987
Author: pletcher <pletcher@ns.uoregon.edu>
Date:   Thu Apr 28 16:12:44 2011 -0700

    Quick test

commit e123803c1fcd45997f70b38049d545ee5eb30f30
Merge: 748325a 77ab2a3
Author: Joe Pletcher <joepletcher@gmail.com>
Date:   Thu Apr 28 15:56:42 2011 -0700

    Merge branch 'master' of https://netdot.uoregon.edu/git/netdot

commit 748325a06254f408886f5bd7db30143736f7d8cd
Author: Joe Pletcher <joepletcher@gmail.com>
Date:   Thu Apr 28 15:55:56 2011 -0700

    Finish code updates for #793

commit 3fd5a4bc3824a6de458846d60d6012f55300998d
Author: Joe Pletcher <joepletcher@gmail.com>
Date:   Thu Apr 28 14:12:28 2011 -0700

    Fixed up default data, #806

commit dc5953a70aa370ebc496b923fb2ed8a9903345b3
Author: Joe Pletcher <joepletcher@gmail.com>
Date:   Thu Apr 28 14:07:37 2011 -0700

    Fixes #795, change GROUP BY to ORDER BY

commit 77ab2a3f467c37e3622def9abb93a8a592c42eae
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Apr 12 07:25:43 2011 -0700

    Bug fixes related to asset handling

commit a6d2b1848784519ff5f00e7d77499337581c49bf
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Apr 12 06:22:10 2011 -0700

    Changes for #791 (Make rowsize configurable, preconfigure SNMPv3 options)

commit 1cbe33cb0f9b5ff0ef7bf4619b55c2129824c803
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Apr 12 04:59:13 2011 -0700

    Updated mibs to match netdisco-mibs version 0.8

commit b7b94df574051c5b8629e2b42b6769d1ecf34dfe
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Tue Apr 12 04:47:09 2011 -0700

    Fix for #809 (Unable to discover SNMPv3 devices from CLI (updatedevices.pl)

commit 6fd8f3d441a3f15419ac6b53a874f33ee94162c1
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Apr 11 08:31:44 2011 -0700

    Fix for #1569 (Netdot DB schema version mismatch message is wrong)

commit 36d860cc70522211ec51cffd480e47a90861b303
Author: Carlos Vicente <cvicente@ns.uoregon.edu>
Date:   Mon Apr 11 08:28:41 2011 -0700

    Fix for #1570 (make installdb regression)

commit 4c7effeba0cb2056fe95de1f851965e0f0b5ca39
Author: pletcher <pletcher@uoregon.edu>
Date:   Tue Apr 26 16:47:52 2011 -0500

    Testing commit hooks

commit 6af78a54bed2c39aecc85d0ebe25b5fc55b74ef2
Author: pletcher <pletcher@uoregon.edu>
Date:   Fri Apr 22 18:40:01 2011 -0500

    Revert the last change. Commit worked

commit ff899d4e93918ca627dad76c9256c964eed1451b
Author: pletcher <pletcher@uoregon.edu>
Date:   Fri Apr 22 18:39:20 2011 -0500

    Test commit to git

commit c9c106c64430d70a49132ffa222ea38586e4fb99
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Mar 21 15:35:26 2011 +0000

    Fixed typo

commit 057e1a36de297d93dc8bb5b4f914f414e933f57e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 15 22:15:59 2011 +0000

    Added schemainfo table to improve upgrade procedures and also to detect mismatches between code and DB schema

commit f6314a3e927ba97452bbf38de3103a4b3beb0fbb
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 15 22:14:10 2011 +0000

    Fixes in test cases for Netdot::Model

commit eef9fad7db2face0c95132724f73a5f0cb48a4f8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 15 17:05:58 2011 +0000

    Merging fix from 0.9

commit 9f7dbd5b8a27cd0e37364597ac623225e6a0de99
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Mar 10 00:30:50 2011 +0000

    Slight improvement in Ipblock hierarchy updates. Added test case.

commit 98cff37fc94c610895ad312a49622393d77c73fc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 9 00:29:30 2011 +0000

    Merging fixes from 0.9

commit 334786f1733cf4de2a8593f3a05725bfa3d00874
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 8 17:32:13 2011 +0000

    Fail over to local auth if Radius server is not reachable

commit af30a386e0cedf59d158255680aa8005fde47fba
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 8 17:30:00 2011 +0000

    Fail over to local auth if LDAP server is not reachable

commit c37269ba233abbcb93e468103e24f571dc91919f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Mar 3 17:44:07 2011 +0000

    Fixed bug in metadata

commit 8dbe468e986e6635aac927864c760480ac601ce2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 2 20:53:01 2011 +0000

    Fixed bug in generation of Class::DBI classes

commit cb3b0f40908dfc563c96c4c0459ed492c7736c84
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 2 20:22:58 2011 +0000

    Added ability to retrieve IPv6 neighbor discovery tables via SNMP and CLI

commit b4a630feca53753012a2fb60f6fa081d38e263c3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 23 17:43:47 2011 +0000

    More bug fixes

commit 977fceb116174ae79faab7ee27f0d84e59854390
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 23 05:49:34 2011 +0000

    Fixed bug in Netdot::Model introduced in recently

commit a85ad8b2809a5dea6165a21523e20e0ab6eb67f7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 23 05:05:13 2011 +0000

    Fetch IPv6 addresses and subnets from L3 devices

commit cdc495c332580eff4588a170f4051ad0ae7784ac
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 22 18:24:24 2011 +0000

    Fixed bugs in ipblock_list.mhtml

commit 51c34e257063994710652950626c0e985d11218d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Feb 21 17:17:07 2011 +0000

    Merging fixes from 0.9

commit a89076df1f507854bd5ceaf1f2bd47ac25cfbccb
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 18 20:23:38 2011 +0000

    Merging fixes from 0.9

commit d223a37e01f929ad4bd0c8dc3a2ea2d65f7c136b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 17 23:27:31 2011 +0000

    Keep list of derived classes in one place only

commit d8de17afbda941277925167b4f9ba30a26b56072
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 17 00:01:57 2011 +0000

    Fixed various bugs introduced earlier

commit b214cef96ed4dd798e84aab8f9c6a0c22d5e755b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 16 21:15:34 2011 +0000

    Improved display of DB schema graph

commit a65256eb83debec00aab2c83b3181aa20cd3259a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 16 19:22:28 2011 +0000

    Adopted the use of foreign key constraints at the DB level. Refactored some code in the process

commit 17f8353609fbe50cbb9c79f73dc67d8673d4c310
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 15 22:09:51 2011 +0000

    Merging missing changes from 0.9

commit 81d2a93d89e49ed7fbecdce75c135b8d360b12e9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 10 02:24:36 2011 +0000

    Merging missing change from 0.9

commit 8de32b05ce66375a04ad11f1f1246364b7c86377
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 9 00:51:04 2011 +0000

    Change display fields of IPblock listings based on status

commit cd79020fdb231c71ce992e33c178c3795bc0b250
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 8 21:01:21 2011 +0000

    Merging fixes from 0.9

commit a8c0d3aa85e42e055d72d0a9a8bcf185bfa22b1b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 8 20:37:33 2011 +0000

    Merging fixes from 0.9

commit 5a890d2b6d43493f3c3b84ed57eb4bf9ee1da20b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 8 19:19:40 2011 +0000

    Changes for #713 (description for DNS record and include text for zone exports)

commit db723d44fe0b7460838272b8ae9f464dcbb115c1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Feb 7 23:50:57 2011 +0000

    Commiting property changes

commit 9cfd0e85e406dd40766737889e60a041893b74a8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Feb 7 23:49:30 2011 +0000

    Merging changes from 0.9

commit 9b73e618e6759818b475a28579cecbb6c677023b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Feb 5 00:05:57 2011 +0000

    Ignore id field in global search

commit 436c2da200fc8d585cf05dbf08ae969811b00198
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 4 23:58:09 2011 +0000

    Fix for #778 - allow user to specify labels in global search

commit 6a7f76efe2515a3e09a2cff8652df74a6f2211e4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 4 20:11:13 2011 +0000

    Correction in regexp

commit 19bde1997ea54783521228c9944f90418d4d9855
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 4 19:58:59 2011 +0000

    Remove leading and trailing spaces from search strings

commit 9b25c04c3116a2de557b08732b6ad6116b1441d7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 3 21:11:34 2011 +0000

    Merging from 0.9

commit c7e4ff859fcfe1017c9240ffc7e59a01b0fdaffa
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 3 18:48:02 2011 +0000

    Merging from 0.9

commit ac00773a4ad9aa6315fa2932556300fe7a393606
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 3 18:33:24 2011 +0000

    Merging bug fixes from 0.9

commit f8fb102510254f4b7b0785239bbdbf7df315ad6c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Feb 3 00:08:03 2011 +0000

    Fix for #737 (Mark devices as down after retrying a number of times)

commit 5184190a27e035d59771bdfc2932f8fff325ec35
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 2 18:18:34 2011 +0000

    Fix for ticket #737 (Change all table IDs and foreign key fields to bigint)

commit 820b47a36da1deb11affc9e5e034cd7bb4fe156f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 2 17:02:45 2011 +0000

    Merging from 0.9

commit 0141520906de0e3bf88807a495488c5b38972742
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 1 22:29:19 2011 +0000

    Merging changes from 0.9

commit 56954caec5be08ced20b849d424e5e542c97341a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 1 00:14:36 2011 +0000

    Merging from 0.9

commit c54d0b76df7efc380fecf0a6345b218e4f4018d6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 1 00:06:09 2011 +0000

    Merging changes from 0.9

commit 16e7d563702c96816f3616ce41c8c4d9648e035a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jan 24 23:13:43 2011 +0000

    Use portable version of Storable's freeze function

commit abc044397b8d4f45f538fe3304cc48bee8686769
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jan 24 23:12:49 2011 +0000

    Correction to last commit

commit f15afcbbb5fa67361f3afbc950b5c4df96b0d8c5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jan 24 23:02:30 2011 +0000

    Fixed bug and improved zone listings in IP page

commit 47b1271abb24a072b54c97b8a28bde7d991edc3c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jan 19 19:39:32 2011 +0000

    Merging fixes from 0.9 branch

commit 36db280dd794ad48dc108297ac630af552474027
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 4 16:45:00 2011 +0000

    Merging fixes from 0.9

commit 5eb215f2a584253580cdc2ae4223d870cac89a37
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jan 3 16:21:39 2011 +0000

    Merging changes from 0.9

commit 08ae3f7116392ebe2e13b6102ffdb7eb763c3164
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 1 00:13:16 2010 +0000

    Merging changes from 0.9

commit fdd49d92ba9dc1a0d33f4ba78967f66b869e4a5a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Nov 25 05:08:26 2010 +0000

    Merging fix from 0.9

commit 2d6c7809ca3e0007651eddecc8e03e8c7dd3ca6f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 24 22:06:22 2010 +0000

    Merging fixes from 0.9

commit 843fe259d2a06ecdb245fb73beed17e3c59a08b1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Nov 18 19:42:53 2010 +0000

    Merging fixes from 0.9. Also improved automatic generation of zone names for existing IP blocks

commit 7407f4c2a89b3b5e5249a67d5e2cda642e2feadd
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 10 22:54:07 2010 +0000

    Merging from 0.9

commit 5fdb0f4bb593d61c97d455dbaa706d4d126fb02c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 10 21:59:57 2010 +0000

    Merging from 0.9

commit 23da6c7edaa20d0d2ebd2a3042e6686b2429377a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 8 21:49:30 2010 +0000

    Merging fixes from 0.9

commit 39935427eb56cda98a1e399e7c9c2563556493cf
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 8 17:24:01 2010 +0000

    Merging fixes from 0.9

commit 9616eba94565cba51d2918433008612dbf16004f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 8 15:11:32 2010 +0000

    Merging fixes from 0.9

commit 73c9b6aea9fb3a512ad2f51acd31f2f0f8355488
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Nov 5 21:38:10 2010 +0000

    Minor typo

commit 0cb7252eb34da4834d5f22a11902d3227ace52bf
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 23:42:01 2010 +0000

    Merging changes from 0.9

commit d3a1e0c686b589867d3690e859fd0016710f8c08
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 23:32:14 2010 +0000

    Merging changes from 0.9

commit 7e6d1b958d108e75b046be0fa8c00aee96d992ac
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 23:22:37 2010 +0000

    Merging changes from 0.9

commit 4b4a06b30f3d07c703eae1a5336afc498266f9c9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 22:26:53 2010 +0000

    Merging changes from 0.9

commit 3f2bfdf4c46005834a63958449b5116b5aa9e544
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 18:40:05 2010 +0000

    Merging changes from 0.9

commit afeb2e071dcddb92b516e325a19bbf96700bd583
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 16:27:43 2010 +0000

    Fix for ticket #276 (Checks for duplicate devices using S/N and base MAC should be configurable)

commit 5c757c6b4a40621a1cc247273e3c6c5d855acdea
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 3 00:00:33 2010 +0000

    Small correction

commit 3fbb5f87ab0b77fe615a65549c8fe16cf2b543e0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 23:44:39 2010 +0000

    Fix for ticket #733 (Ignore 127.0.0.1 in _get_main_ip)

commit 2b7a7158b42e81dd7c417b4f2b5964e591991575
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 23:43:17 2010 +0000

    Fix for ticket #733 (Ignore 127.0.0.1 in _get_main_ip)

commit 0b382276393aa607b30771218e749ef0882f8abe
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 23:31:06 2010 +0000

    Fix for Ticket #734 (Live MAC address search fails unless entered in UPPERCASE)

commit 2929fbb896bd747106e81bfddf0718920d11be75
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 23:14:11 2010 +0000

    Fixed bug related to the IP tree. The datacache table used to store the Net::IPTree object had a wrong field type in its timestamp

commit 280399eddb19d7276e12ba303aa13fbd91182039
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 18:49:28 2010 +0000

    Updates to the user manual

commit 3fd7380182bb74c0909c959ba5d749d40033270b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 18:05:56 2010 +0000

    Merging changes from 0.9

commit 62ee823c4016ee77fbe5ae6a216ac210f14b6fe3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 16:20:47 2010 +0000

    Making import_bind_zones.pl executable

commit 8fcf4050eb780ca129dd957abdb3e8ff66dd99c1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Nov 2 16:02:50 2010 +0000

    Added ability to create reverse DNS zone based on current IP block. Also, new zones can be created based on template zones

commit dd361642cba9fbccdc2b5195d77db2302e86c1b4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 1 16:47:53 2010 +0000

    Changed default order of Device naming methods to most expected behavior by users

commit f9fa15473dde8d4c142d89eb8c9de94385b125a1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 28 17:27:52 2010 +0000

    Do not stop cisco discovery when failing to establish SNMP session with one VLAN

commit c1b4591776f8839b4765770f4ddacfbc807053d3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Oct 22 16:22:03 2010 +0000

    Improved asset listings

commit f575c1948045ca799c1a133322c884b2a68db4ae
Author: Joe Pletcher <pletcher@uoregon.edu>
Date:   Wed Oct 20 21:52:25 2010 +0000

    URL based adding of IPv6 blocks now works, also removed redundant permission check

commit 1988b0867eee9b40d6fb160370f2e7b03103dae6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 20 21:34:51 2010 +0000

    Asset objects related to DeviceModules now point to Product associated with Device. Asset unique index changed to serial_number+product_id to avoid potential problems with colliding serial numbers from different manufacturers

commit 13cba1adc3590f57a5ac8dc95deaf7ac1fedc242
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 7 16:34:25 2010 +0000

    Bug fixes in ipblock_list

commit f2455e9d0a8ce0735602e0547fc48954d4d7ffc9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 7 16:27:37 2010 +0000

    Small fix in ipblock_list to better handle invalid status value

commit 3a784d7f7a2a40efc9ab7e0fef601da727f538d2
Author: Joe Pletcher <pletcher@uoregon.edu>
Date:   Wed Oct 6 00:44:37 2010 +0000

    Added a favicon.

commit 0b5e1f5d10544446d67ef634332e44f82883d824
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Oct 5 17:16:03 2010 +0000

    Remove trailing dots in RR names

commit f6f2579c08c9619f4fdc32dd094a29187c93d510
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Oct 1 16:40:33 2010 +0000

    Show IPv6 addresses in lowercase, per RFC 5952

commit cd394daa9922c59bca416aa8a0f283a6fe6d1f5b
Author: Joe Pletcher <pletcher@uoregon.edu>
Date:   Tue Sep 28 23:32:12 2010 +0000

    Changed oui.txt import from INSERT to LOAD DATA and COPY FROM for mysql and postgres respectively. Postgres untested.

commit 677fad84bcfe1da885c5d3ac997877e4ba5626f6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Sep 28 16:53:53 2010 +0000

    Better alignment in dependency test results

commit 725eb4da6d577e455aa0c175da3d224ba250d92d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Sep 27 21:33:49 2010 +0000

    Minor bug fix in check_ifstatus.pl (Nagios plugin script)

commit 77f13cad5e0718b7c4ed75470b53a454fe98a409
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Sep 27 16:03:26 2010 +0000

    Fix for #717 (Editing a CNAME record in host page can be confusing)

commit 668306ae4305977f068ff108726adc212ee9cf74
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Sep 25 18:19:47 2010 +0000

    Fix for #718 (make installdeps-rpm points to missing EPEL RPM)

commit 2ab46ebf89c6d486ba0054eb49de70ef9d3b8c84
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 23 23:05:44 2010 +0000

    Fixed bug in IP space hierarchy code. Changing the address portion of a prefix yielded incorrect results

commit cc4d5923fff273bd05f9915fd00b09f4367e6579
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 23 17:57:27 2010 +0000

    Fixed bug caused by merge in ipblock_list.mhtml

commit 8accb79e98430af8fd269577e4e53c905d2efbe0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 23 15:26:42 2010 +0000

    Corrected field type for asset.date_purchased

commit 4f70a8fd10964b3776d504c5f1705d79943beb64
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 22 18:10:33 2010 +0000

    Fixing bug in duplex mismatch query

commit b0d6c9cbb40a2760bfca04d8d3e2050274cd7ab6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Sep 20 20:45:01 2010 +0000

    Improvements in asset report

commit 44979ad0dde72b418867cdb8c3ed5f3633c025d3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Sep 18 00:04:35 2010 +0000

    More work on ticket #600. Simplified schema update. Fixed and improved asset UI section

commit cb000ad8e7ba85bc8cebd05088b04186f05dc650
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 15 21:23:40 2010 +0000

    Fixed incomplete merge

commit d589ff2fa8c27e8579f52ce8d0429e97af4bcd75
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 15 21:18:25 2010 +0000

    Fixes in asset metadata

commit 719b1134b3aa8c84c8d6ed037edb1a77ecd42f53
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 15 20:59:39 2010 +0000

    Modified makefile to fail over to default OUI database if IEEE site can't be reached. Also updated default OUI database.

commit 97599abd3aa74f6ea288cd3e6b5d841cdee66fa4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 15 20:58:50 2010 +0000

    Fixed merge conflict in meta file

commit 799db86c7f92f47df13f71a5c957b018c4878ec5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 15 18:44:43 2010 +0000

    Merging fixes from 0.9 branch

commit 91aa123cd153cd0621c553b015c7db2523fab9b1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 24 18:49:39 2010 +0000

    Merging changes from 0.9

commit 4126fe273aba92630b94006483175ba415be3248
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Aug 20 22:25:10 2010 +0000

    Changed the behavior of creating containers.  Now you click a button that creates the container.  If you click on freespace in the tree (green area) it will zoom in to that sector.

commit 6fce32ba7f09b5d3a6d07e4d5fa22b6d74db7168
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 18 22:34:20 2010 +0000

    Changing columns in the schema that should be unsigned integers

commit 4cc72d23557bb12e0fc963b21d34132ab7f12f78
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 18 22:22:03 2010 +0000

    Fixes for #711 and #712

commit 21148a28def16ae844146e66060e9f48a31c045c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 18 22:19:07 2010 +0000

    Merging changes from 0.9

commit a75810214d6e255d5067b6b43583660d5c9ddb71
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Jul 13 20:15:42 2010 +0000

    added more error checking.  If an entry in sub is less than or equal to zero, the system will hang until restart

commit 3be36df1d24eaa009588162c9a99240f917395f7
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Jul 13 19:52:03 2010 +0000

    Added some error handling

commit 7a44932867ea36a12a091dea68ee36d3f45cce4b
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Jul 12 21:05:06 2010 +0000

    removed 127.0.0.1 from the "return link" argument.  It wasn't nessessary in the first place

commit 8dbdf1d2788b286070d8ce31bbb567245754b4ff
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Jul 9 22:08:41 2010 +0000

    Checking in the ipv6 visualization code.  I think its at a point where we can do some serious testing.  It currently skips ahead 16 bits at a time when zooming in, but this can be changed with little difficulty to have it zoom in to the Maximum Common Prefix of the input addresses

commit d56cc30b488d039061c076597bc0d3375978453b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 30 21:40:10 2010 +0000

    Merging changes from 0.9

commit cea0a3f9e510e67f2b871f01d1c43c197e8d9873
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 8 20:27:45 2010 +0000

    Merging from 0.9

commit 1a0acf3a7746da0db4758f9ff13dd55f069e6543
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 7 22:03:25 2010 +0000

    Merging changes from 0.9

commit 363dd2a984f428c4fb5e0defc932c0cda34efdd2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 3 20:43:24 2010 +0000

    Removing old file

commit 366f5dbd62a7f58b391012811caecb44b657449c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 3 20:32:38 2010 +0000

    Merging fixes from 0.9 branch

commit 5d4561e7212a90db29bf9436580eb4a1d727ea29
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 3 20:25:52 2010 +0000

    RESTful interface improvements

commit 1d1df2d313856cb42e51fa54c766be670402c099
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed May 26 16:35:38 2010 +0000

    Add oper status in interface list

commit ddd71f0530cd86bed860e720d63e7a31feee88ac
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 25 19:59:52 2010 +0000

    Fixed small bug in device page

commit db9e8253d50f531b449c280b1bdd5b9176d85b8d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed May 19 22:45:32 2010 +0000

    Make TXT record longer (255)

commit 96e7b9c2af7fb02ed3f5577f57ef8c1945bb79a9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 7 22:39:26 2010 +0000

    Adding RPM name for XML::Simple

commit 868ca4849fddcb68a9f2484929ee1bc005511caf
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri May 7 21:53:07 2010 +0000

    added xml::simple, required for rest output

commit 08b093442452750ac84f3c29fe917c52da10f87d
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri May 7 21:44:06 2010 +0000

    removed hardcoded lib path

commit 3cf83457eee9802d63f5cbea4ec2ec6622a6d42d
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri May 7 21:36:45 2010 +0000

    And here are the actual pages... (sorry!)

commit 819a781a225942b669cf46a5c2b5109930d25ec3
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri May 7 21:33:57 2010 +0000

    Added a basic REST interface for basic viewing and searching, as well as a version of the host.html page
    that outputs XML and takes an ipadress as a url argument.

commit c7fd246c8b6272b5a0702bc72b9d9c4fd62cfd00
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed May 5 00:04:17 2010 +0000

    Merging changes from 0.9

commit b3f69eb0a42c0084c5b7a252e3b4593a78a6acb9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Apr 27 20:34:28 2010 +0000

    Merging changes from 0.9

commit 35076b12d46cd026e9d75941929291f847d244c9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Apr 22 23:59:03 2010 +0000

    Merging changes from 0.9

commit d3b9c65d2a256fd292966a031ab57209ca8b30a1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Apr 1 20:41:02 2010 +0000

    Merging changes from 0.9

commit d7c286fd0c0b772e777714a058ede99131db473c
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Mar 2 22:34:03 2010 +0000

    cleaned up the appearence of the form a bit

commit 9b23158362cf24eba5f98f067fdec86196e7b889
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Mar 2 00:04:00 2010 +0000

    modified updatedb to convert the database from 0.9 -> 1.0

commit 7c1ae5c08134bee8c0efc8f7a0a2c075673be016
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Mar 1 23:51:26 2010 +0000

    Big update.   This adds asset tracking as requested by ticket 600.  It has been tested, though I am positive
    there will be some issues.  A few things still need to be done:  Asset entry page still needs to be cleaned up,
    the css isnt there yet so it looks a bit ugly, and the date field has to be in xxxx/yy/zz format (identical
    to the mysql format).  Also, I would like to add real rollbacks to updatedb.pl, so if the process fails
    no changes are made (MAKE SURE YOU BACK UP YOUR DATABASE BEFORE RUNNING, IT MIGHT ERASE DEVICES AND DEVICEMODULES)
    
    Anyway, this code is in a working state now, so I figured I'd check it in so people can look at it while I continue
    cleaning things up a bit
    
    Parker Coleman

commit aec6f49cda24c28190fd84c42ce71a6d6a00d3b8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Mar 1 23:17:49 2010 +0000

    Merging from 0.9

commit 447e5f4eaf7cfb642e3105f4bc78cbcd85be53de
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 19 21:45:23 2010 +0000

    Merging from 0.9

commit 177bb6c09f0e434dd1b855d6fce86ada7f2900b9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 19 19:36:20 2010 +0000

    Merging from 0.9

commit ac20d15f322b7cbff5cda2f0649619508d8f37e4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 19 17:36:03 2010 +0000

    Merging from 0.9

commit 4e7cc37a7ab55b3e62f54ef453fe7ea62190de14
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 17 17:13:12 2010 +0000

    Merging from 0.9

commit 70c74ecad8b9c9d5b3f8c71ad0baa17cbd93544c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 9 20:07:39 2010 +0000

    Merging from 0.9

commit f2461a73cedb96be64862b2a32f317a2e8e2805f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 9 19:03:30 2010 +0000

    Merging from 0.9

commit dbcb3b541e3477dea5a2865a388df2fb36514684
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Feb 9 00:55:35 2010 +0000

    Merging from 0.9

commit 43f2c62d736b1247cee545e2c0a2f459d84e04ed
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Feb 6 00:00:24 2010 +0000

    Merging from 0.9

commit 83e301141362d6ca3c117821b3e16b5b2ee57135
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 5 18:56:18 2010 +0000

    Merging from 0.9

commit 6b980b90791978b42333cf530f20e35483749d7f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Feb 5 00:29:30 2010 +0000

    Merging from 0.9

commit e1039a77742248b915fc40276a132e83e8786cc5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 3 15:46:10 2010 +0000

    Merging changes from 0.9

commit d878b35462354c530b8c19d85d894d47e9db50c5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jan 29 18:43:43 2010 +0000

    Merging from 0.9

commit 5843b7fae4c46c5e91a8b0ff1a598c0f9d0c02fc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jan 28 04:47:19 2010 +0000

    Merging from 0.9

commit 65ea054faf6dea8b290b7466cd308135e1bc6374
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jan 28 04:05:55 2010 +0000

    Merging from 0.9

commit 7c1515beb8f2e60eb10096922c166f7283632eaf
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jan 28 00:59:28 2010 +0000

    Merging changes from 0.9

commit 7f5306063c610cabd6e334d742ef823f4769135a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jan 27 18:38:37 2010 +0000

    Merging changes from 0.9

commit f6a13edecbf86d4b5a026d7c03682190c854880d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 26 19:47:29 2010 +0000

    Merging missing changes from 0.9

commit 3af3f89e7aecaa3d80f87234ca5e287c81b86b73
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 26 19:44:41 2010 +0000

    Merging missing changes from 0.9

commit 20d68707a2dfca865cd4223028217692d4ba2283
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 26 19:30:44 2010 +0000

    Merging changes from 0.9

commit 26c21c68d511aa7cca984d5a60ced46181bb8b6a
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Tue Jan 26 00:10:11 2010 +0000

    Merging changes from 0.9

commit 635d36d4620191aad253bf0df0b1f0dc4e540126
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Jan 21 16:11:22 2010 +0000

    Merging changes from 0.9

commit 0094b9d6077abb7d9eee4c801527a07cdbc2e1b3
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Jan 20 22:11:04 2010 +0000

    Merging changes from 0.9

commit 36761c5dd78c68f9d96d2cbdbf828b80a436a7d3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 19 21:44:34 2010 +0000

    Merging changes from 0.9

commit f74a5c7a71b8df3ee6c9c8214c8d1fb353b67569
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Jan 15 02:02:16 2010 +0000

    Merging changes from 0.9

commit fdb900eaad47d8968e4925859b9009f152e4c385
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Jan 14 02:38:49 2010 +0000

    Merging changes from 0.9

commit 47977f62ba3f04cf65594aa56120099c38dddf0d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jan 13 21:55:28 2010 +0000

    Merging changes from 0.9

commit be51e49705713680266dfb6844087be89884443c
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Sat Jan 9 00:53:46 2010 +0000

    Merging changes from 0.9

commit 704484c0fbf6cc87299b43e27a32b15946b910b7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jan 8 18:57:51 2010 +0000

    Merging from 0.9

commit c6133341290d47c75dc011d0088b2e5f25704fe3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jan 8 01:39:44 2010 +0000

    Merging changes from 0.9

commit 7b750597fbf9b6ce14b47bcace5cfa293dbbd72e
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Jan 8 01:12:29 2010 +0000

    minor fix for #609

commit 6fca29e0319b2153024b7b2b271e251e9b00ae79
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Jan 7 01:42:49 2010 +0000

    fix for #609 csv now works in raw sql output

commit 5917a0c3cc5fc3e9ceaa39f3cfab8fd3edf8fe55
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Jan 7 00:06:13 2010 +0000

    Fixed #602 make csv output also sorted

commit 7d82315c6f68b51acbb0452cdc8a224b69eaca26
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jan 6 21:26:09 2010 +0000

    Fixed multiple bugs

commit c8aeae3ef8f0608d12751cabfdd0761fdf4c5cd7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jan 6 18:01:00 2010 +0000

    Merging changes from 0.9

commit e628737101a4a87e8e900346a51f1f47a0e91cc6
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Jan 6 00:38:02 2010 +0000

    Made variable names more consistent

commit 15d6c2ed52e4bfdb6a52622eafe1866ecdb2a402
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Jan 6 00:11:48 2010 +0000

    Improved search_like function in Ipblock, should be faster now

commit 6b3cd74f0e5bcf8c5c3685facde2d5aafd0172f5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jan 4 01:45:12 2010 +0000

    Merging changes from 0.9

commit 8ec84c3f3c60600cfb555e779905e437ad1afd9a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 23 23:29:45 2009 +0000

    Merging from 0.9

commit d1781f068695aefbd8cd704a6cc2a6e81bfc33b1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Dec 22 01:04:47 2009 +0000

    Merging changes from 0.9

commit 5a86da87dc8e9c3eaa1c2f8116995f95bd82c3dd
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Dec 21 07:04:43 2009 +0000

    Merging changes from 0.9

commit b86e295a2b68790ee222112c60415f08ead93c9f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Dec 18 23:53:40 2009 +0000

    Merging changes from 0.9

commit 3fb4fea273599d4694ae71de6b3ab50045535c9f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Dec 18 19:20:30 2009 +0000

    Merging from 0.9

commit 8e32c84813b465beb645f88437d5e9d8dfea8201
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Dec 17 22:46:11 2009 +0000

    Merging changes from 0.9

commit 763e315c4a85faa6b5fcd4bacbf8102375c1f7ab
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Dec 15 22:23:18 2009 +0000

    Merging changes from 0.9

commit 737d360f823314a45526bd09a0e2b6a91c9a1600
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Dec 13 21:12:54 2009 +0000

    Merging changes from 0.9

commit 2fd970d6d6d8bd0c791092f824a0480354721604
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Dec 12 21:54:38 2009 +0000

    Merging fixes from 0.9

commit 3e293c11e75878c3d3b9b3fe642dd4aca26b85a1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Dec 12 00:06:47 2009 +0000

    Merging fixes from 0.9

commit 6bae2d167f4bc396294c78e5499e84715637374b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Dec 10 18:53:36 2009 +0000

    Merging changes from 0.9

commit cfa7454db0daa92fe5c4e4b60704037b1c7b35c0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 9 22:48:50 2009 +0000

    Merging changes from 0.9

commit c5e643216b33d3b0899fa81064b4cea2f04e0978
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 9 00:56:58 2009 +0000

    Merging changes from 0.9

commit 5079b7446d7caba5512683ff8378ddb14a5c4621
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Dec 8 21:31:25 2009 +0000

    Merging fixes from 0.9

commit 97cab7f1c993349c22f8190e344ab8e53ee2905b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Dec 7 22:54:07 2009 +0000

    Merging fixes from 0.9

commit 1d4eb393703a4a52d2a8e2055d8d2ef30c51e235
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Dec 7 21:29:02 2009 +0000

    Merging fix from 0.9

commit 94cd94b5fccd8edc9efaa1f4214ade6171a65ff3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Dec 7 21:10:54 2009 +0000

    Merging fix from 0.9

commit 79d78100e3cec2e9a5ea2df7be90d5468dfdcf08
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Dec 5 00:26:56 2009 +0000

    Merging changes from 0.9

commit cb73596ca2711c68c6553cdd0de8574063c2793f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 2 19:24:27 2009 +0000

    Merginf fix from 0.9

commit 456cc82cf5086515e48df6fa3fe1f9b627586cac
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 2 17:56:15 2009 +0000

    Merging fixes from 0.9

commit bf0991f9ee32e60c81beadc674cd7c77434c460e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Dec 2 17:29:01 2009 +0000

    Merging fix from 0.9

commit 2b6c561956b0a53c01d10efe91a6071da8cd40bc
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Mon Nov 30 23:28:05 2009 +0000

    fix in user side too for schema change of device/room/closet relationship

commit 71d3154280d20c568b303edb52be420bd0210147
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 30 23:13:09 2009 +0000

    Some more fixes related to js searches

commit 5242ab36f1fe52e18d3b482cd62d51a4060bb389
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 30 22:16:09 2009 +0000

    NOTE: ***SCHEMA CHANGE***.  Added finer control over the generation of DNS names for device IP addresses.  User can now enable/disable auto DNS per device and per interface.  Also, made sure that records are created in the right zone, based on SubnetZone relationships

commit 8d5c05ecae843899c5d5323277b73396b97086fa
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Mon Nov 30 22:10:04 2009 +0000

    fix for #592 add neighbor dialogue, also fixed searching for PhysAddr in Device, and a fix as a result of device/room/closet schema change

commit 79ab922e8acdfba09548aff581a1ad7976ed8942
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Nov 30 17:12:43 2009 +0000

    Allow user to remove individual A/AAAA records

commit f22f6689f27c07284eeb5f529a491df6518f20c3
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Nov 26 01:01:07 2009 +0000

    updated makefile so you can use it to install the perl modules with apt-get

commit db031c9372efc20c398b5cb9d06f6d4af06a37e3
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Nov 26 01:00:37 2009 +0000

    Moved over the manual from 0.8, updated the install instructions

commit abbe26f0e33de650c7cddfa69fd0c1e0acd07a6f
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Nov 26 00:37:15 2009 +0000

    Added support for apt-get.  This option is invoked with perldeps.pl apt-get-install (I'll update the manual in a bit).  Also made it so after the install
    was finished, the testdeps code is run so the user can see what is installed and what's missing

commit be4d2e3ec6c9866a8726c611347589356c61e162
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 25 00:11:03 2009 +0000

    Minor bug fix

commit 85796fd298aa6d9bdd61b5ebca3a84e599f2759d
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Tue Nov 24 01:47:04 2009 +0000

    Revert unindended commits just earlier

commit 1822ef9b7f870e584652951dbbf069c68cb68bd5
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Tue Nov 24 01:43:18 2009 +0000

    minor edit: this line already exists elsewhere

commit f2ed28082723d8de9a3ec1ffb2f774562c678bc1
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Tue Nov 24 01:16:52 2009 +0000

    fix for #598 top right search bar had two bugs

commit 0b660ffc0f4b31156777f1039f628d670872c1da
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Nov 13 23:52:14 2009 +0000

    Fixed a bug that caused some queries to be truncated.  made the sql form field a textarea to allow more room for editing.

commit db659946a3ddeb77a00b32a9f6275386f10aa133
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Nov 13 22:58:11 2009 +0000

    When discovering device, make sure device is searched by name first, before attempting to do an SNMP fetch

commit 645770f488d75a45778312212c2dd254586eb4bc
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Nov 11 19:18:35 2009 +0000

    Bugfix for issue 587 (sorting devices made bad links)

commit fd953cf5691bda363d839234a837ba530c8d82c3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Nov 11 17:47:31 2009 +0000

    Merging fix from 0.8

commit bf841be9174c543b2451daa52baa93b1745f792c
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Nov 10 22:19:19 2009 +0000

    includes new savedqueries table

commit 463094d70135ae9be125f57af3fbef944a0e3d71
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Nov 10 22:07:44 2009 +0000

    updated meta file related to issue 590 (savable sql queries)

commit 1f8afd4e5cd03c67012c2ef0173ff51841e34710
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Nov 10 21:52:25 2009 +0000

    (see issue 590) Modified to allow users to save queries.  Saved queries will be displayed in a select box next to the "go" button, selecting a saved query will
    use javascript to populate the sql text input field, allowing the user to look through saved queries rapidly.  If the query executed sucessfully
    and the query isn't already in the database, the user will have the option to name the query and save it.
    
    The user can also add and remove saved queries via the database menus on the same page.

commit 617fa7b3e818eccf34eae9098331cb657d89b734
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Nov 5 00:13:43 2009 +0000

    Fix for ticket #591 missing interface_history:dlci column; added some other missing indices as well.

commit 1e77ff262e26344125022153d6992adfd82aa490
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Nov 3 23:37:14 2009 +0000

    modified info_update so that we take a before look at the interfaces on a device before the update, and an "after" look, so that for any
    interface that has changed, we can rebuild the topology graph for those interfaces

commit 4ff8db6af59ca1a3108f55dfa93d7ee646ec9585
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Nov 3 23:33:38 2009 +0000

    Modified discover and get_dp_links with extra (optional) arugments so that you can call those functions on specific interfaces and force them to use only some protocols

commit 97a01f0357ba040183053878b429d3b15e8c94d4
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Sat Oct 31 00:20:36 2009 +0000

    users can add/edit IP attributes through host page; moved Ipblock attributes to the right place in UI; if an RR has a Device pointing to it make it unviewable to users

commit 616cf7d73c241ceaf2e897da88dba7688e2b4f67
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Oct 30 20:01:26 2009 +0000

    Fixed a security hole where unprivileged users can grant themselves any access

commit 2cbeed0c42fc883fd9562d574f786d4b4c3e46e2
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Oct 30 19:48:21 2009 +0000

    Fix for #586 UI bug when searching in UserRight assignment

commit 2aba6169443182202393da358e7f8c8b557505ba
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Oct 25 17:56:42 2009 +0000

    Merging fix from 0.8 branch

commit c332bb5f51350948f95ff6f7232c6bf6d071d5dd
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Oct 24 19:53:14 2009 +0000

    Fixes to make sure that DHCP scope names are in sync with ipblocks.  All DhcpScope naming is done in its own class for consistency

commit 41eb0fd2d29bc8ca31a2172bd38b09581e57799f
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Oct 23 22:12:53 2009 +0000

    rest of the fix for #573 device and ipblock attributes

commit 100c685d6f576aa4618f83df027b2d20313d90c4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Oct 20 23:17:07 2009 +0000

    Fixes in DNS RR validation

commit ba600c19705f68e1f0a71aaf41a5e7b35729413e
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Sat Oct 17 22:55:19 2009 +0000

    partial fix for ticket #573 device and ipblock attributes

commit 6d958b309ab17335f8f7f8eb9bc3199f0856f6bf
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Oct 17 00:02:47 2009 +0000

    Small bug fix in subnet-to-zone assignment

commit b219c4126fcb20a8495d3e04beb7bb84b9908481
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Oct 17 00:02:27 2009 +0000

    Multiple PTR records can exist for the same owner

commit 0b413864952542bf4f1363195f02a1194e1fbe94
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 14 21:35:37 2009 +0000

    Fixed bug in ARP fetching from Cisco firewalls

commit 85b07d6824a570bd713ccb3dd2aed4637327135a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 14 21:10:59 2009 +0000

    Merging fixes from 0.8

commit c8015617f2c296051e3e5d2c7ab3c5474d2f63b2
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Oct 14 20:43:50 2009 +0000

    [text] version was not working, fixed

commit 5e48a304b1e393321117cd018dbcfd0abc9f3fa0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 14 17:51:11 2009 +0000

    Updating oui.txt file

commit 6127695cecf6603ad4cc9a21d2949c9c9825fa2f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 14 17:42:57 2009 +0000

    Merging bug fix from 0.8

commit 16eccb3692ee0a7f92889e2b3298c8c367d21d93
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Mon Oct 12 18:38:15 2009 +0000

    better performance in finding unique pairs in find_duplex_mismatches

commit 66887a0313f81a2e9740f3974ae4db49358e7112
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Oct 9 23:51:29 2009 +0000

    fix for ticket #577 (if an NS record and a zone have the same name then go up one level in zone's name

commit 7efd4c7690c5b3a807d244b6004ff2ae1a1b69f7
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Oct 9 20:13:43 2009 +0000

    fixing javascript that IE does not like

commit 1e151ae464c545772e28d44a80a14037817f7d40
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 8 22:20:01 2009 +0000

    Correction

commit ea959d16cdffdcf47c78bc1827779401db65f719
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 8 22:17:36 2009 +0000

    Fix for #582 (Link to device from host.html)

commit 0699589d53640749afcb12a4760061abe21ce7a6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 8 22:16:14 2009 +0000

    very minor fixes

commit c73588631955b7d8446f0013f2d100faeaabfa22
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Oct 8 21:15:35 2009 +0000

    NOTE: **** SCHEMA CHANGE ****
    
    Multiple fixes and improvements mostly related to DNS records.

commit 3678b287775a4a8d4c6b45131e91f1004c08f7bb
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Oct 7 22:33:44 2009 +0000

    Fixed a problem where links were not appearning correctly when hosts spilled over into more than 1 page.  This might
    also fix other pages that use sortresults.mhtml as their display.

commit 890072bb18119129af4e1331737579fed9bdf296
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 7 21:21:30 2009 +0000

    Bug fixes in Model class

commit 96c28f05912616ead7ddea8e4e345c775bd78930
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Oct 7 21:21:19 2009 +0000

    minor: capitalization

commit 83465fcdd381863668844beefe413296e3527408
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Oct 7 21:07:08 2009 +0000

    Bug fix in host page

commit 32417f9befd5f7a1089ad884582f32e90e608dc8
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Oct 7 20:16:31 2009 +0000

    Fixed problem with bug 579

commit e0ec75aa9599c6af32fc6d260da5c24c5aee280d
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Oct 7 20:15:00 2009 +0000

    Changes related to bug 579

commit 75fcb07b6f7bed354023b4f930a73a58a078b4f1
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Oct 7 18:36:44 2009 +0000

    minor fix for csv display in raw sql results

commit df3f09dd18d859643ee64bd08e9eceafb2971092
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Oct 6 23:09:18 2009 +0000

    Bug fixes related to closets

commit a85aa7f5c4eef365f40c9bb017c1706555f670ac
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Oct 6 22:54:31 2009 +0000

    Fix for #564 (Add support for DS records).  Also improved host.html page and added some input validation for most resource record types.  Reverted to using Net::DNS::ZoneFile::Fast since the HINFO bug has been fixed

commit 60e401689bbb99c0283e0b6e3156823c0db8efd2
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Mon Oct 5 23:18:42 2009 +0000

    fix for #574

commit 9e726b14c4d4b766a88f52d91d07c19fd0a96421
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Oct 2 23:22:34 2009 +0000

    Merging fix from 0.8 branch

commit a507e9ff5f7b7553468f9bf1bffb15ab004c6ed1
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Oct 2 21:56:06 2009 +0000

    partial fix for #574

commit 5bb8c95882fc256cebe45ef54bd1d6a84ecaab56
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Oct 2 18:09:07 2009 +0000

    whoops left DEBUG on!

commit 9322dd369ec195a319a3ae675dc9bbf56f9a402e
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Oct 2 18:07:08 2009 +0000

    Bug fix that allows users to edit chidren addresses/blocks under list view
    (see issue 575)

commit 8e7489b5f2db065a0b76d4683250c76e939ba531
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 30 05:24:56 2009 +0000

    Fixed bug in Device module related to BGP peering info updates

commit b52088f6fbfcf74d1727a43ce00d9fdbc4e744b6
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Sep 14 22:38:18 2009 +0000

    Fixed a small bug where scope.html would throw an ugly error if the page was loaded with an id field
    This happens sometimes if you log out accidently while on the scope.html page.

commit d5ec63ea42907fe25bd8ff37601345983bef05a2
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Sep 14 20:20:06 2009 +0000

    Fixed a minor bug in device.  When you added a device by entering in a hostname, the $id variable wasn't set
    on the first run through.  Because it wasn't set, when you are taken to the newly created device's management
    page, the links to different sections of the page were malformed (i.e management/device.html?id=&view=CIRCUITS)
    If the user clicked on these links they'd be given the confusing error "Device undefined or no name set".

commit 919b175989828dba98f709e6b7d93c8817637b36
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Sep 14 19:20:53 2009 +0000

    Added a list of devices.  Each device name (fully qulified domain name)
    is a link to the management page.  I added a [new] link to the right
    to fit with the standard form of the website, but all it does is take
    you to the new device page.

commit 4ca6e4445b01494226f8fc5d4a5269b529572731
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Sep 11 20:42:07 2009 +0000

    Fix for ticket #570

commit fe9e757a2b0ff0c3fd4c5973c393103e0d5fce10
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Sep 11 18:14:38 2009 +0000

    Some correction on Cable Plant->Closets which is related to ticket #451

commit 78d951ee44363e905de4582dd90ba7dde2d8f520
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Sep 11 17:31:37 2009 +0000

    Fix for ticket #569

commit 3403f73051116db38984885d30e93eb7e5de138f
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Sep 8 17:27:36 2009 +0000

    Minor change to insert allows users to insert devices again
    (the new database change made it impossible to insert devices
    until the default argument for closets was removed)

commit 861a4ff7a8e75a20d51247bdfff4684e06d6e9e4
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Sep 4 21:47:26 2009 +0000

    Fix for ticket #451. Correct the updatedb, remove the column site from closet and change the corresponding code.

commit de096c639a2059892c1c6799deef9859432b103a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 22:46:09 2009 +0000

    Fixing bug in management section of UI

commit 74e6fd5dbebc0371331e444a42ee08cf94429408
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 21:26:47 2009 +0000

    Fix for #566 (Out of band host name too short)

commit 2049f8a6c9a1e998bd29a0469d220acfaa7c6ac7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 20:47:20 2009 +0000

    Fixing indentation

commit 465d839e4f918ddf25d585b6bc131b306533f6e8
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Sep 3 20:43:34 2009 +0000

    reverted one line of the last checkin

commit 3403fc46e5fe4fc0f60c4f32398bd20bc0dd4196
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Sep 3 20:40:08 2009 +0000

    Added a check in the graph generation function build_ip_tree_graph
    that would prevent a method being called on an undefined object,
    which was the cause of the bug in ticket 568.  I'm closing that as
    "can't replicate" since the only ipblock it errored on is not in the
    test database

commit 0c8c634523dbda223ec98365664de7dd34c0b6d9
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Sep 3 16:45:20 2009 +0000

    Update to speed up searching. Search for a specific value first then assume the keywords as regular expression.

commit 21bb6be8c7922744e34c4bc464367504845aa44c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 00:25:37 2009 +0000

    Small cosmetic change in dhcp scope page

commit 24551ceaa50bbad786646c50193f035f287f3b66
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 00:22:09 2009 +0000

    Small fix in management autohandler

commit 16697ff08665d17560ee630ced4f6085f398786c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 00:16:52 2009 +0000

    Do not show option to add NS records if name has A records)

commit 00fac79a5c6ec35bd1e40a5fd171d51f3219ebad
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Sep 3 00:15:16 2009 +0000

    Removing device closet from metadata (leftover from #451)

commit 1c42894bcbe69e2a99e603848621eab891899be8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 23:51:57 2009 +0000

    Host page now includes MX records for unprivileged users, which can also work on all kinds of records if they have permissions on the zone

commit 42534972dca11add09ea56e08c518135397bbbc3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 23:15:20 2009 +0000

    A few corrections to #562 for simplicity

commit 7e83f14b6b05fb1e29b25c1fb99e53c9b960f98f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 22:36:08 2009 +0000

    Adding script to import zone-to-subnet relationships

commit 668342ec2e6b3b7e751c7310012d1aa40445cf62
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 20:29:29 2009 +0000

    Small change in field description

commit cf8c16dbcc3aef8c15209fe5746ecc1abc4abfe8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 20:28:53 2009 +0000

    Small bug fix

commit ca754cc607211a8f3b3f4785a2eccf86a672d964
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 20:28:25 2009 +0000

    Small fix to avoid perl warnings

commit 01b62d992d08f42c76e74969d42a0e14d22a13ea
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Sep 2 17:41:43 2009 +0000

    Small fix to avoid perl warnings

commit ab5601ffe38a083444e4b4f1c265b79d21d4154c
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Sep 2 17:28:55 2009 +0000

    made it so only global scopes see [audit records], made it so the user
    must click a button if they want to see audit records.

commit 05522422a5398ddec094e82b7ab2246c706738c6
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Sep 1 23:21:51 2009 +0000

    Added error checking when retrieveing a list of templates

commit a183a7225db9404a3d0e64051e4135c3498071de
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Sep 1 22:30:55 2009 +0000

    obtain list of templates using the name "template" rather than the number 9

commit b1f051e616d6876691f842b793c4271a7b90673c
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Sep 1 21:40:09 2009 +0000

    Removed debugging lines, made it easier to go back when editing templates,
    fixed some problems with sorting.

commit aab76b4214487d01a825aed093dfece6fe1b67dc
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Sep 1 17:10:52 2009 +0000

    For searching with keywords, first search as a particular value. If there is no result, then regard the input as regular expression.

commit 5db00685bdcc67a9e0ef89147c1ea5d9c2751b72
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Mon Aug 31 21:17:09 2009 +0000

    Fix for ticket #567, it is because there are two wrong restrictions in the sql query.

commit e3c4fbfbb18c7692fd2be033df55f6855715270b
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Aug 31 21:16:51 2009 +0000

    Made changes to form.html to allow it greater flexability
    for displaying information.  You can now exclude items from a form
    and provide aliases for forms, documentation is provided for this
    in the file.  Made changes to scope.html so that only certian fields
    are displayed depending on the type of scope we're viewing.  Created
    a new file called template_edit.html, so now you can only add scopes
    as a template if they are of type template.  See issue 562 for details

commit c7c8b3e08adead3c2fd12c64deb0d0cb3392cc6d
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Mon Aug 31 16:23:05 2009 +0000

    Have some corrections on the last submit. Add some code in updatedb to update the device room field and remove the closet field.

commit 208e92d4a065dde89146dcca485a7e21261196aa
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Aug 28 22:21:29 2009 +0000

    Fix for ticket #451. Correct updatedb and remove site from the closet table.

commit 24d3f9b7f3b75dc0cb63fb586c6e2877d84cc9a9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 28 18:40:45 2009 +0000

    Moving dhcp enable button in subnet page

commit bd61e15407968ec8dc5f81e7a953e22d974f38c7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 28 17:37:12 2009 +0000

    Fix for ticket #565 (Adding a range of dynamic addresses sets status to Static if Auto-generate PTR records is checked)

commit f6f83f31bc8ff32e13e716b7753bbb518af53ed0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 25 21:16:57 2009 +0000

    Some corrections and code reorg

commit f2e1adbc4ac5b2c4f15a6b4b92e7d526f9e4e662
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 25 20:24:03 2009 +0000

    Reorganizing some code in the discover method

commit ce2b8dffcf98db3cc0b9a0365ce656a2ca46d31d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 25 18:13:26 2009 +0000

    Fix for ticket #563 (Add ignore_ip flag in Interface table)

commit 90a88082371c0481ddc25979ebe0f572d576f50f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 25 18:12:23 2009 +0000

    Fixed somebugs in interface page

commit 677a094a474df513912beb03e2459a72b72f4eee
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 25 17:39:31 2009 +0000

    Minor modification to log message, since update devices filters messages based on if they
    have the fully qualified hostname of the device its currently modifying.

commit 43913e86f79bf232e05de8fdeabc0f9870604c65
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 25 17:38:36 2009 +0000

    Modified update device to allow users to "add" devices that
    already exist on the network, but have a different host name.
    This is useful if a device has moved.  See ticket 516 for details

commit b1ce854073c20aa794928f43f10cddcf413c5492
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 25 15:46:43 2009 +0000

    Style modifications, simplified the snmp query.

commit b6a704df4ec8f87977584d4a6ae6589dda082877
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Aug 24 23:54:06 2009 +0000

    Small correction in library documentation

commit 7370f6321ba430c2d1a957ecd1c2d35bef436455
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Aug 24 22:45:41 2009 +0000

    discover now takes into account that devices on the network may have moved, so it checks the serial numeber and mac
    address of the device provided by the user to see if it already exists on the network.  If it does, it modifies
    that existing device rather than throwing an error (like it used to).  See ticket 516 for more details.

commit 457c5554090905658a133327afadc7d280be9ee0
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Mon Aug 24 20:33:45 2009 +0000

    Remove site column from closet table and fix updatedb

commit 5cb25307340d644d231842bab92eef0df866953a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Aug 24 19:54:32 2009 +0000

    Change abbreviation for Ten Gig interfaces

commit aa0c09cb4a2d3a174d72347351b2eeb3b63e39d2
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Mon Aug 24 16:20:11 2009 +0000

    Fix for ticket #451

commit 0b6712e97c45a472750502b77fe225b2861a76d5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Aug 22 21:55:29 2009 +0000

    Bug fixes

commit 7d267d19bb8e859dd257c2af21fb167e5b40e4a1
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 20 17:57:29 2009 +0000

    Finish ticket #560: add the username field.

commit da559dcfb364f69d6abe2d2f2964cbd674ecc78d
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 20 17:51:24 2009 +0000

    Change 'Hints' to 'WARNINGS'.

commit 766cd49653ada56b8877535c666049c654781556
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 20 17:43:31 2009 +0000

    Add username as one of search criteria

commit b726851452a2ce434137d4607b104f69e529c1f9
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 20 17:32:23 2009 +0000

    Finish ticket #559. Pass the special warning to delete.html if neccessary, and set add the default value in /etc/.conf. In this case, you will get a warning to  delete a device under inventory.

commit 7b8b02c5921819ac3f1351ca5181c5273096cdf2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 19 23:19:13 2009 +0000

    Fix for #556 (Multiple problems manipulating ip and ethernet addresses in the host page)

commit a62f47eea2a0d3028fc474b95d3af22571e2d8ce
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 19 22:34:20 2009 +0000

    Do not allow unprivileged users to edit DNS records for Device IPs

commit 142b9fa8c574c52c7ea0970d6f77192d5e08f2e0
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Aug 19 17:41:12 2009 +0000

    delete two unnecessary modifications

commit 5171eb869f9064c1ddab39d4cbf0c68fb8c64672
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Aug 19 17:38:11 2009 +0000

    Fix for ticket #557

commit 84df1c40f8c5aaa5d6ffb66354af8662a1ab0018
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 18 22:36:27 2009 +0000

    Fixed the database calls in the RR section to ignore entries with an expiration date set to the epoch or 0000:00:00, since
    those are both probably unintentional and should be treated as null

commit 83089e7af3deb28ae5f562240438c512e572303e
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 18 22:16:08 2009 +0000

    added a command line option to remove expired
    DNS Resource Records (-R or --rr) see ticket 558

commit 8c671e4818952cfdc3ee869587c7c6454fe2d0c8
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 18 21:30:32 2009 +0000

    Fix ticket #553: only when  = Search or Find, it has a chance to trigger the no_search_criteria component.

commit 80ed93fc9b6345e7ead32453b82b1d466cb93628
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 18 21:02:01 2009 +0000

    Added a circuits tab to the device page.  It removes all null circuits (circuits without id numbers, those came up a lot for some reason) see ticket 520

commit 82847bb3154e3b83dfae02ab64c482158105649f
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 18 20:55:21 2009 +0000

    Fix for ticket #545

commit 83306432670b36ce2947e6efa0bfed9d4f2b66a1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 18 17:39:29 2009 +0000

    Remove debugging line

commit cf4099d1fcdf35ea52a2a30a368163c136157282
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 18 17:20:29 2009 +0000

    Fix for ticket #554 (Add expiration date field in add_host.html)

commit fb6556d764d8bee956e75df40f64ed0320b1b1ab
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 14 23:40:57 2009 +0000

    Extending the audit functionality to include dhcp changes. Audit records are used as stack of pending changes, which are checked by the export libraries to decide if it is necessary to build zone files and dhcp configs.  This is especially helpful when the export routines are run as cron jobs

commit 1d23904864378ca196288d6d2a32221330a32336
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 14 23:37:32 2009 +0000

    Sort subnet addresses numerically

commit 86c9086314ca908127bb0d98eb4d695da7154fa7
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Aug 14 22:07:48 2009 +0000

    spelling errors :p

commit 00a169d7e8e8e634da403b07e833f53f45790223
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Aug 14 22:03:50 2009 +0000

    Added support for Postgres by modifying the rotate_table function and adding a function
    "optomize_table".  Tested it with my own database for the rotate and optomize functions
    and since I didn't touch any of the other sections of the code it should be fine
    though you might want to back up the database if anything important is in there.
    (see ticket 538 for origional information)

commit 859b138da8c55332e6b7e6158dd42fb3708aaac8
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Aug 14 21:54:23 2009 +0000

    Fixed a problem with adding aliases (see issue 552) and cleaned up the error message displayed when a user tries to add an alias that is already in the database

commit 77d407a5bd627cd83460b78a64a1e9c9c54ad075
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Aug 14 16:50:16 2009 +0000

    Cancel one pop out windows for debugging and Refine some comments and naming for csv2. It is more comprehensible now.

commit 15f9febadb472994bfac67d1f0469d4939475d6a
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Aug 14 16:24:40 2009 +0000

    One correction

commit 695171441a74cdd3aa07d55f0fe2c049b9d66a6a
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Aug 14 16:23:47 2009 +0000

    Edit the search component and some relative components a little bit. Use regular expression in perl for searching now.

commit b85797e55b3956a6ef6a4cffa52a15bf6c5cc5a3
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Aug 14 00:06:28 2009 +0000

    Combine jsrs_netdot with  jsrs_retrieve_all_bykw. Now we use jsrs_netdot to do searching by keywords. Extend the function so that jsrs_netdot can do partial matching now. I will add wildcards, regex expression into this component for ticket #549.

commit 45b29d371d28ca1d43edd527c0fb8aaf940dcc7e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 23:16:57 2009 +0000

    Updating field name in query

commit fd75a7a9bb0724153e034b7e980fd1a9dbe7a616
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 23:15:22 2009 +0000

    Adding missing contact field in contactlist page

commit e9508360655881493a487db0e6c1e17cd716ea2a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 23:09:07 2009 +0000

    Adding cancel button and unchecking check box for overwriting records in zone.html, bulk import

commit 0a5c6ca5db5e56da1778eb2595328fc1155e204a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 23:02:09 2009 +0000

    Adding error for invalid zone id

commit c7a02e05e534db6835a6418f06b60c0a518979e1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 22:43:43 2009 +0000

    Bug fixes and enhancements.  Users can now maintain zones even if the address space is not controlled by Netdot

commit 6327749934797198762b6f8852c09782633cd04f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 22:05:49 2009 +0000

    Fixed bug in method that loads user permissions

commit dab228fd89619cc7cbd59de40650099c5c1ad808
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 16:05:33 2009 +0000

    Fix bug in updatedb script

commit 8f71d114852de42cbe3a20b7dc104f80f96c53bc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Aug 13 00:21:57 2009 +0000

    Fix incorrect recommended OS message in device page when editing values

commit 7df028d9f7b008f6c201d62cc26813f323992186
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 12 23:37:13 2009 +0000

    Adding method in Device class to retrieve circuits in all interfaces

commit a9c563d01046a1772607563063324125d96fbb87
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 12 23:23:53 2009 +0000

    Fix for ticket #527 (Change schema to better represent circuits)

commit e411bfb4d1586fd888b7b7ea7d584b346aa4e8c6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 12 22:29:53 2009 +0000

    Avoid going to a different section when viewing list next page

commit 43d6d34fb7bbd837cda2ad69810a82f040826d0d
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Aug 12 21:45:16 2009 +0000

    find one error about creating new access right, and fix it

commit 0620dfb435c8841e1f520f926b1a715e9563b257
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Aug 12 21:28:29 2009 +0000

    Fix for Ticket#547. Some methods are used to set the mid component from visable to invisable. Change them from js to html in order to speed up loading time. Leave two extra toggle parts in contacts/entities unrevised.

commit 2a8af31a81c8198f55524830058cf584f578de80
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Aug 12 21:27:04 2009 +0000

    edit-multiple.html now dosn't require a table argument, but will immediatly throw an error
    if one isn't provided.  I think this error looks better than the one we got in ticket 551

commit ac79fc24a5a619bff16b600b7ab6d9f61f40a970
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Wed Aug 12 21:20:28 2009 +0000

    There was an error when trying to edit DNS Resource Records (see ticket 551 for details)
    the table name wasn't being passed to edit-multiple.html
    
    So now the form contains a hidden value called "table", initially set to nothing
    When the edit button is clicked, a javascript function is called that sets the form action
    and sets the table value to "RR" (the database table we're modifying)
    
    
    -This line, and those below, will be ignored--
    
    M    hostlist.mhtml

commit dd958deeac6b18c472622795b060ecccb5e3fb23
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Aug 12 17:35:48 2009 +0000

    Adding Nagios plugin

commit 3757116ee7d462227e686f64635f3306a60ff45b
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 11 22:36:17 2009 +0000

    added a script that sets the focus to the login field

commit dcb3f508623700f184cbf687c73f5e4961b1aa04
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 11 22:14:14 2009 +0000

    fix for ticket #540

commit 57ec4d57b87b2ff9a1ded939aa7a720a833c3248
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 11 21:52:11 2009 +0000

    Switched  $response .= "1=".$ui->url_encode("Refine search."); to = "0"
    1 is a valid value for some forms, so if the user has "refine search" selected
    when they submit a form, data might be entered into the database unintentionally.

commit ba217ba4fbce255c63116a18d682d95e58823074
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 11 20:38:43 2009 +0000

    one fix for ticket #540

commit 737dc001a62726783db25ed20cd7ab094eb2aad0
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 11 19:21:23 2009 +0000

    Accidently removed "none" from the list of selectable permissions, didn't mean to!

commit fb432710cac31bc329c8340e0294300a602ee06d
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 11 19:03:34 2009 +0000

    fix for Ticket #546

commit cc62176a34c989e1b37b81d96e73183fce5dca29
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Aug 11 18:44:02 2009 +0000

    Merging fix from 0.8

commit fd62daff90354376f471fab07248bec52708a51f
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Tue Aug 11 18:33:06 2009 +0000

    Noticed some weirdness when doing a search for devices.  It turns out I was hitting "Enter" when I wanted to search
    for devices.  However, hitting enter submits the form, which resulted in the cryptic error message "Permissions are null"
    it took me awhile to even notice I was hitting enter sometimes and clicking others, so I tried to change the default
    behavior of enter when the search button is displayed, but this turned out to be pretty difficult.  So, for now, I have
    changed the error messages depending on what the user forgot to submit.
    
    Also, there was a bug with checking if @object_id was defined, for some reason this would return true even if there
    were no entries in the list.  I have fixed it so that the program checks to see if the first element is defined.
    
    Related to @object_id bug, sometimes submitting with no objects selected will grant the user permissions on volcanology-hub1.uoregon.edu
    I have not been able to reporduce this since improving the error correction at the begenning of the submit section.

commit e588ddfa1cc3cab0503c1d560ae7b65b58e29da7
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 11 17:04:55 2009 +0000

    some modifications on Ticket #540

commit edab41f6b015fcf6a6886f2aeb2d5c14de89eae3
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Tue Aug 11 16:46:03 2009 +0000

    fix for ticket #540--button in edit device window not functional. Now the cancel button works

commit b6370f3c926b43a097f368a52ea4f7bc2239c5b8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Aug 10 23:02:46 2009 +0000

    Cleaning up.  Removing links to other resources

commit b912c1edd06569235ac2180e35f5abedb487d685
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Aug 10 22:36:01 2009 +0000

    Added validation in user and group rights assignment.  Added 'none' access right so that a person can be denied access to an object for which his/her group has rights

commit 26f872228b023e2a7289599222fe5f46a5302c65
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Mon Aug 10 21:45:03 2009 +0000

    Moving user_device to user_management folder.

commit 55ca39975786b6b30f0f1630be7053f754bb91f0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Aug 10 20:39:08 2009 +0000

    Small fix in conditional

commit a105345bcf7337c59b2f211c2e5705412f8667c3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Aug 10 20:35:51 2009 +0000

    Fixes and updates in UI access

commit ed3fad82637b3f9b1400d95ae1b7a0c5525a7a36
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Aug 9 02:18:32 2009 +0000

    Delete associated CNAME records when deleting hostname

commit 2ed2889d5f2525fc593e4195951173b24e5ffd5a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Aug 9 02:02:03 2009 +0000

    Remove room number from extra contact info when adding host

commit 2a28c256e4c023a2c172018535c1e6e37322eaa7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Aug 9 01:44:52 2009 +0000

    Removing class and method description from user error messages

commit e3a5363928ea7f7ede5eba8f48b938651158da10
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Aug 9 01:41:50 2009 +0000

    Fixed bug in host creation code (wrong scope container passed to library)

commit 08e271a5f246c952d9e500c7f301b9c967e7c9c3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Aug 9 01:41:20 2009 +0000

    Minor changes in conditionals

commit 9aefc94d8c5cb30ae28c0d523d9c38b66b4ac07d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Aug 9 01:00:58 2009 +0000

    Avoid loading unnecessary objects in management section, host tasks.  If user is searching, the interface for adding hosts is not necessary.  This also speeds up loading time

commit 6630ed682e62a70b03e773f91e6f7b800b64e5f8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 7 23:05:21 2009 +0000

    Merging fix from 0.8

commit 123959602ca169af400066756ae22ef12df76475
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 7 22:47:54 2009 +0000

    Merging Nagios/Sysmon fixes from 0.8 branch

commit 283013dfcc4f1610f1f77bad9865b10bcdb496f0
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Aug 7 20:39:10 2009 +0000

    Adds new user_device page, which is where all users will be directed when they want to view device information.  It only allows them to modify the jack name and description.

commit 0348f4afc93b45edab4e3ee319aeecef19860f1a
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Aug 7 20:37:17 2009 +0000

    Updated to provide for new user_device.html, a special page for users that displays less information
    see ticket 543 for details

commit 336ad863a7a74b168821e14a2ba8791eebfb5b55
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 7 20:04:42 2009 +0000

    Bug fixes in user hostinfo section

commit 271c1601f7e36604e1c307729d9b8a9eaf33dea9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Aug 7 17:33:11 2009 +0000

    Fix for ticket #539 (ugly error if device added with short name)

commit d859d7ef414a11b278bb36b26d7bd0d31efc1e88
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 6 22:28:29 2009 +0000

    solve ticket #510

commit 23c5d41ca1ece87e6ef31b9ea4dc08d9a72e605f
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 6 21:46:20 2009 +0000

    Some comments for ticket #494

commit 67e6d446613e6592a1c174ac69a3b0ecb34ebc91
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 6 21:33:43 2009 +0000

    fix one bug about subnet percentage for ticket#494

commit 0f892fc9c012efc493776e8f1d3185b134c39799
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Aug 6 21:11:01 2009 +0000

    Add csv option for Subnet Listings

commit 9dba6b8c227a6c55aa2d72a1752c61d48e8eaa3f
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Aug 6 20:55:45 2009 +0000

    edited a query on grouprights so it no longer tries to access the "view" column (which does not exist)
    see ticket 542 for details

commit 5fbfbd9acb29d66424fe3f706b124fd7f3f17f6f
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Aug 5 15:50:07 2009 +0000

    fix one bug for ticket #494

commit 544cc37b87039f6aebabaf711d4a2dc6bae21e38
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Mon Aug 3 18:01:52 2009 +0000

    Add csv option for Subnet listings

commit ee8a3f670e7dd6c50e46d1f73a4ba488e45a4eb9
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Jul 31 21:30:15 2009 +0000

    Two revisions on Ticket #537

commit 4ec0bb3059892baf766980c254755430f3959e6f
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Jul 31 20:00:14 2009 +0000

    Fixed it so that if the user trys to use LDAP or RADIUS authorization they will get
    an error message notifying them that this is currently unsupported rather than
    failing silently

commit ef1b2fe6ab6b2a450d695a491f5115f95055f9e4
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Jul 31 19:58:29 2009 +0000

    fixed my previous fix so that not ALL error messages will display "We could not retrieve
    permissions", just the ones that look like "we could not find blah in the person table"

commit 000f6a036d98df13fc806cc91ec1526c1dd1eed9
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Fri Jul 31 18:36:58 2009 +0000

    For ticket #537, add 'Other' option in the drop-down selectbox and change it into a text box

commit 50a28e778eb9a6122df67d544b448e026b554a32
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Fri Jul 31 16:23:04 2009 +0000

    Changed the error message for when a user cannot log in due to permission errors
    now it dosn't tell you the table name in the database.  Also log the user
    out immediatly after we discover they dont have a permission entry, so
    they don't have to clear their cookies to try and log back in

commit e39b1cf52d8c4a59937f0a47658c9a4b8a5c6316
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Jul 30 16:28:59 2009 +0000

    Removed reference to snmp_info since it is no longer part of the program

commit 86b4bbfef1dd0090209486ca1f21d3a22270e843
Author: Clayton (Parker) Coleman <claytonc@network-services.uoregon.edu>
Date:   Thu Jul 30 16:28:17 2009 +0000

    Removed old reference to snmp_info, which is no longer part of the program

commit 1da3edabe582b4fecf24d03260e01c37efc716a4
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Jul 30 15:44:05 2009 +0000

    one change is not included in the previous version, forgot to use svn diff first

commit 9be386af1994eecca63546e044585e5bb458d5ef
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Thu Jul 30 15:39:35 2009 +0000

    send a message to user when the permission is null and avoid user to see the stack trace

commit 8ec44205a40ff624cbb50878d9a9e8450bb03b42
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Jul 29 22:19:59 2009 +0000

    send a short message when users press submit with a null value of permission in the access right webpages

commit 471c60a1dfa80d686706d5d0229a22e2d6ad7495
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Jul 29 20:48:28 2009 +0000

    add a new file for Ticket #528

commit 3426020cbd549668346a57811a3071ead11843f4
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Jul 29 18:25:56 2009 +0000

    Revision on jsrs_retrieve_all for Ticket #528

commit 3c899c9f03897bf2042ae9c482b6624ddc83bc36
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Jul 29 18:20:27 2009 +0000

     Revision on Ticket #528

commit 71ee8a10d274561f05130aee7679f76ff842a43e
Author: Tao Qin <tqin@network-services.uoregon.edu>
Date:   Wed Jul 29 18:05:11 2009 +0000

    Ticket #528, add search box for access right

commit 3b587a225476835047c81a4f153f0075d4ceb897
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jul 29 15:58:02 2009 +0000

    Removing merged conditional which did not apply in newer Ipblock class

commit 931bd5c7a80dc8840864105f216a5f7c7677cf22
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jul 28 22:45:02 2009 +0000

    Merging fixes from 0.8

commit 22550ec72f79159f2607f86b57b53f268eed6afc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jul 28 19:10:10 2009 +0000

    Merging fixes from 0.8

commit 07c473b78fcb4eb772e09efa933e293fe7b504e1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jul 28 01:50:50 2009 +0000

    Merging fixes from 0.8 branch

commit d12be6923625cca5e54f13627809ae882a5f971d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jul 27 16:36:48 2009 +0000

    Removing end user field from Device

commit c1c3ba38171c9d4cc3befbd57e484cce1908661a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 23:06:29 2009 +0000

    Fixes in UI

commit 8f08076c968e3bfbbc81dd1a0875b814658b8f39
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 22:04:52 2009 +0000

    Separating functions in Contacts section

commit f870ef321d25d738eb5182394c96c6a8cd2eac1a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 21:12:28 2009 +0000

    Change order of options in Contacts section

commit 6d379be33501847546a296d63193212a5f681836
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 19:35:49 2009 +0000

    Corrections in BGP peer hyperlinks

commit c23573bfb099409d01a1883d0992db0ddaa2d00a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 19:28:39 2009 +0000

    Standardize calls to Netdot::Util::DNS object

commit a936ce602fa492d2d96501d91b86f4cac1c8f151
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 19:27:53 2009 +0000

    Provide select list of configured communities for device discovery

commit dc436862d5cb18e6c2bd8d420e8ac093372b2430
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sun Jul 26 18:59:02 2009 +0000

    Bumping up version in trunk

commit ece641e310e2be6b06de0ff9bbc1fea91acd3bc0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jul 24 22:57:07 2009 +0000

    Merging fixes from 0.8 branch

commit 6ffdfdf24e0a6093298a3209fea4992c06ecbc39
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jul 20 23:18:16 2009 +0000

    Merging fixes from 0.8

commit fbe01e85fdcdfb34b031b042fba87434baedacce
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jul 16 20:48:47 2009 +0000

    Merging fixes from 0.8 branch

commit 979d3cc1605d52d580fe0f41c2a7853440349c7e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jul 16 20:30:33 2009 +0000

    Merging fixes from 0.8 branch

commit 487b378ed14436477c6773e46890551e9e587281
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jul 16 20:20:14 2009 +0000

    Merging fixes from 0.8 branch

commit bff87e3a2ba79ddbaf4feae535979773f267bda1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jul 14 23:32:57 2009 +0000

    Separate search and add functions in section headers

commit 5595225d02ef4f65a65502859bacbc66b91f6941
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jul 14 20:50:43 2009 +0000

    SRV record import bug fix.  BIND export default TTL fix.  Host page bug fix

commit 39b0d860d68748b05cfb06e87d0c31ad6949d61c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jul 13 23:26:41 2009 +0000

    Do not assume that an IP can have only one PTR record.  Remove PTR records when removing associated A record

commit a04d53260266bc823a709450eeadb8e62c4eb2f7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jul 13 23:02:03 2009 +0000

    Adding some validation for DHCP scopes

commit 3fbf0ca8fe39ef722b8c43deeced8c66091f1d23
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jul 9 22:55:02 2009 +0000

    Simplifying permissions by removing Zone permissions.  Users will have access to records only based on the IP block

commit 741afd25a5ea712da88d504982fb21fdb34d062d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jul 2 16:48:34 2009 +0000

    updating upgrade script

commit d581f84a86c25cbc64bab6a02b4f3b37d09578c6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jul 2 16:46:37 2009 +0000

    Adding custom attributes for MAC addresses

commit b628a58d1e05e22423e071dd75120c6fc36e5177
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jul 1 18:37:23 2009 +0000

    Small correction

commit 72a018c59f5ce4f8107e827a67a8ed8702976ad5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jul 1 18:34:50 2009 +0000

    Adding help item for aliases (cnames)

commit 6c541cb3caa9c3956b48fa0893af99d5ea65357b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jul 1 18:20:44 2009 +0000

    Making CNAMEs easier to add

commit 7a4f0d74883c6697eac423f6800c01b805e98132
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jul 1 16:54:51 2009 +0000

    Updating upgrade script

commit 5313b2f76bcd98552813807b1749570205e73709
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jul 1 16:34:44 2009 +0000

    Making host page a little bit more user friendly

commit 91d9dbbbb1057e1e5492d069f6d2b04d94e1d71f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 30 23:54:16 2009 +0000

    Adding RFC-1918 blocks in default data

commit d2f8903b664a751f46bf3d8a8f0bf8d0c60c7f3b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 30 23:48:56 2009 +0000

    Fix for ticket #508 (Add SiteSubnet join table)

commit fdb55af1fe22d54c6ebcafe0bfb1b9d3832b37cf
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 30 22:38:59 2009 +0000

    Remove all decoration from CSV output

commit e25f5c7436eb59a8ec435040a84e1968bd6c7f3f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 30 22:33:25 2009 +0000

    Adding resource decription for AccessSection rules

commit 15357c667b7a9418240ea9085c1a6d6d0a0b4c68
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 30 22:17:30 2009 +0000

    Adding missing file

commit 24d40c0a1e792d100ae2894fa7ab0472a23c1c1b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 30 22:16:03 2009 +0000

    Improve host listings from zone page

commit dcb17f9332b085b6c3642c26343ce6e959891de4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 29 23:59:44 2009 +0000

    Corrections

commit d89a841aa078047ad2319b01b514a708a5e550c4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 29 23:53:41 2009 +0000

    Corrections

commit 4eaa104424b0ef6a6ed5bdff40b859cd126f568a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 29 23:38:10 2009 +0000

    Zone page now shows only allowed records for unprivileged users

commit b4ffe4995f05b4af46c1381b347f940e67077aab
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 29 23:12:08 2009 +0000

    Another fix in host page

commit 4f2c0641e6953ce0db9aae3af244220b7a33fc63
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 29 22:58:22 2009 +0000

    Fixing multiple issues with DNS host page

commit 1d63244d3adcf402ee6acdcd5726403935be643c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 25 22:32:16 2009 +0000

    Fixing vlan name update bug

commit 38817f254133377ec80e29b93f163a540c0fe247
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 25 20:06:18 2009 +0000

    Fixing multiple issues with DNS UI

commit 4600dcbfdc2a6c7fbffe4961f9ce54b864c8b302
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 24 22:01:43 2009 +0000

    Some bug fixes in ip page

commit e6ec53d58f07a8808406cf6a349b931b361d4a6b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 24 21:36:29 2009 +0000

    Fix searching for zone aliases

commit 854b1c19a3bef0206d82997de3d4c09c5737c08a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 24 21:21:51 2009 +0000

    Minor improvements

commit b8f2f1158df78942fb50af96c3e1a26ad2584ce4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 24 16:09:29 2009 +0000

    Small fix

commit 630d12f87153e0fdb70c41ec733c24ceaa4b5367
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 23:43:43 2009 +0000

    Fix in zone page

commit aa54311d50737cb58944f2d5fcf879e7c533c729
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 23:38:54 2009 +0000

    Adding some extra checks in Model.pm

commit fd5c98f6d53f65009239ac37c71492228dac1b95
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 23:00:40 2009 +0000

    Fix incorrect call to sortresults for device listings

commit 66968e0828bf62c8c60f46eefd7ebd565d64b8b4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 22:27:32 2009 +0000

    Adding some argument checks in RRADDR module

commit 4168de36cf5f8f2a4085a67ac7bbb2cd2d0ec905
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 22:19:10 2009 +0000

    Fix for ticket #526 (Add Radius Timeout parameter in Netdot::Radius)

commit 384b40f163ed654fd20cd499894ff343d6775996
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 22:08:58 2009 +0000

    Allow user to search hosts using IP and MAC as well as hostname

commit d22c192726fe68672e4e31d9997997ac5783ccf1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 21:39:11 2009 +0000

    More UI improvements

commit 09aa2bed80c7c8376d4bf0006558e1d57686eaf1
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 20:32:57 2009 +0000

    Use 2 columns in host page data tables

commit a59d0ca5f617e75c93165aafa5880b3c1aabe42a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 23 20:28:57 2009 +0000

    Improvements in UI for DNS hosts

commit 425ebec417d96b024950140abcdf7843922ed60e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 23:43:40 2009 +0000

    Fixes in ip and host pages

commit 74e0fd1b95a72dad9fe2d90030c9d37e55b6e2f4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 23:11:41 2009 +0000

    More fixes

commit ee195ea30cc1c7ce5bd1fe8e64b07145f39db792
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 21:54:16 2009 +0000

    More fixes

commit bceef89edcf915107e32eca49d095df7b9663079
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 21:41:04 2009 +0000

    More corrections

commit 5f3fa58a02302a04dd5bbbb1a0c0387c69ae4317
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 21:34:39 2009 +0000

    More corrections

commit cc036199f28cb2d66cf05f89d61bb493387ca681
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 21:28:19 2009 +0000

    More corrections

commit 4b9fdfe9333a1675ce691c825ca62ab5f3dee801
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 22 21:20:20 2009 +0000

    A few corrections

commit ecb339dec83238ebfdd480f6196b323b5ef88b5c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jun 19 00:26:09 2009 +0000

    Small fix

commit 87c094876aa4b306d4b112a0ac3a9ca9a412feda
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jun 19 00:03:46 2009 +0000

    Adding missing stuff in upgrade script

commit 077c118f75d81f59cdae895d3c6e860bcb700ec5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 23:44:57 2009 +0000

    Give unpriv users ability to search hosts

commit 8bb1f166dd0303ee8634ecb4c7d12f6af63de505
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 22:58:37 2009 +0000

    More fixes

commit 48c6ea3943bc98480c0e8d7d94d90f654da69f37
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 22:53:39 2009 +0000

    More fixes

commit c7fc672d2183b4fc5d9e62643709e865ba09390f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 22:49:18 2009 +0000

    More fixes

commit fb525612ba600fe16f7529380d78040ad556cda2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 22:46:07 2009 +0000

    Make sure ipblock status is static when importing a A/PTR records for it

commit 83c83d54792a7abab89db160b6ab2a49b5611bd5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 22:38:27 2009 +0000

    More fixes

commit d9af3e46ebbd87ced95755363302b4fecf23075c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 22:15:10 2009 +0000

    Various small fixes

commit 52ba760da06115db50edaba1828b3419951a48bd
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 18:03:40 2009 +0000

    More small fixes

commit a1a283b8dc4d0941629033dc3d605fd4f64751bd
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 17:32:05 2009 +0000

    Fix debugging in Zone import

commit 3a3cf9bf670ef7a0cff3274589edaabe4d05dd27
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 17:27:37 2009 +0000

    Some small fixes

commit 3f5de8ef23ca5533f101f626eb3bd8684e89968c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 16:01:04 2009 +0000

    Adding upgrade documentation

commit 5c8fb813184f05f08a39b93b340881f41c5910b4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 18 00:18:41 2009 +0000

    Adding UPGRADE file

commit 6d2ceb364a9154ce2f8a665b1e6564273178cb3a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 23:44:12 2009 +0000

    Fix in device discovery to prevent ip adress space hierarchy to be rebuilt with every new ip or subnet

commit e883ec9d97c9f7066d60e34f0c4c4163c0e2617c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 23:27:22 2009 +0000

    Updating perl dependency list

commit 4fa6789be7c3b81364637f1c1a3a4a4e3d40d22e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 23:25:36 2009 +0000

    Updating mibs

commit 3a5b660a7c24b3d696802293606b6c1d5d0288f0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 22:20:58 2009 +0000

    Removing old mibs directory

commit f15c03383772b5d26bd54ef2b28656880eee50fc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 22:04:33 2009 +0000

    Fixes in user help

commit 4ddd4842bbe05c179b5a8ba61b99091bfeb06023
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 22:04:23 2009 +0000

    Removing local copy of SNMP::Info

commit 81fbf1abe4479183722970ae7a76c2994fa6b701
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 21:49:06 2009 +0000

    Creating help section for unprivileged users

commit 7f276707feca41b6170968f23268dd9839573b6a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 17 21:21:49 2009 +0000

    Adding bulk DNS import, bulk DHCP host import and other UI fixes and enhancements

commit fbd842770d006fb1cf48b9f7a95357476ad17c29
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 16 23:06:40 2009 +0000

    Some fixes in DNS UI

commit db15168aab31784fa3189c7233714382beed6be9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 16 21:33:08 2009 +0000

    Add RR label restrictions

commit 10f55dca6e9c84623eb2173bd80357336f9fc61b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 16 18:39:26 2009 +0000

    Adding UI sections for DNS/DHCP

commit 34592a4ee97889dd1d3faabded8ec3da1f97aad0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 16 16:29:56 2009 +0000

    Fixes in IP page

commit 96ac8ae771f9b83587465c1bc26d64bb003a571e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 16 16:17:37 2009 +0000

    Improving zone page

commit b9cdd39f8317ceda284a5eafc45d4a8fdb0bce42
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 15 22:01:55 2009 +0000

    A few UI improvements and bug fixes

commit c57a35d3e9f264473c989a0ad10c444d7519eded
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Jun 15 20:27:52 2009 +0000

    Adding argument validation for inserts and updates in DhcpScope class

commit c2da9c9388a03bbfd1517cd04320d790aa60b887
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Jun 12 22:59:37 2009 +0000

    Dhcp Host section

commit 8cfb8bbf7b3bc96b8f2e43fe7e1b5c631b2812e8
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jun 12 20:34:20 2009 +0000

    Adding rules for Contact/Person objects

commit fa8638d7b858ae885e4116f8b77e911832266874
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Jun 12 20:24:53 2009 +0000

    Add new host section, fwd+rev RRPTRs, show/hide more in host page

commit 27e774bd1072936de943df24380116013f964a4d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jun 12 20:14:12 2009 +0000

    SNMP::Info updates

commit 4a71915bcbd47d7930a7e612b4a9c08dd932a2b7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jun 12 16:21:27 2009 +0000

    Some bug fixes in Device discovery

commit 35c37b6108f3b3b3c4e7aaa0d238906ed2f5bfbf
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Jun 12 00:33:22 2009 +0000

    revert an earlier erroneous change

commit eb27c0f63c23a404ef3af5e14579acbc9adac6a3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jun 12 00:32:06 2009 +0000

    Show available contact lists for unpriv users

commit dc2e0e4aa42af813bbba5732cd0596c62b13b06c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 11 20:37:10 2009 +0000

    Remove size limit from a particular dynamic list

commit 439092015570b12dd5813a18b11c41b7e2c49774
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Jun 11 17:35:09 2009 +0000

    Fix interaction between host.html and hostinfo_tasks.html

commit bf208cf37c9bd17980768dadcbb68c33fd76e6fe
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 11 17:17:34 2009 +0000

    Separating BIND-specific export code from Zone class

commit 1d8813c5c2e4f3100b97c14b4ace7e0d0c3a2774
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 11 16:30:19 2009 +0000

    Moving some methods around

commit a8dfd8a99127660ebf016b94fb5c52d4a8d66cb9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 11 00:52:31 2009 +0000

    Some missing tables

commit 117f7adc3a906cb79105878fa5fcf8e0c6f9a7a9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 10 21:06:24 2009 +0000

    By default, update PTR record when inserting/updating record name or IP

commit 4c0ac048aa55c9b087f6c2d717013169e5e11526
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 10 18:09:56 2009 +0000

    Adding option to fail back to local auth when using radius or ldap

commit 80de4fe8c3d7cc8966cf316c068a08867cb95c51
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 10 00:16:14 2009 +0000

    Updating upgrade script with new person fields

commit ff4f265900433412354ebe29633733fa8e6df2d2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jun 10 00:07:18 2009 +0000

    Big push towards multi-level authorization (ticket #12)

commit ad34a936b7082bc33548cae164e983c0c73ea136
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Jun 4 21:27:11 2009 +0000

    Merging script from 0.8 branch

commit d7781bccfc3b530d8908e31ac93e10d6b3134833
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jun 2 00:09:26 2009 +0000

    A few fixes

commit 7d708e5237126d95a4f1d8ded0e215040258f96e
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Mon Jun 1 22:38:51 2009 +0000

    added two way CNAME; \n still need to add delete button and note for FQDN

commit c7a4ba3662ad51470527c868b58d86a286852777
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Sat May 30 01:02:36 2009 +0000

    new Host section

commit 0480d02981b49c105d1579941e809e5cfb397877
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat May 23 00:11:40 2009 +0000

    Correcting some naming problems

commit 7cb6c0536d7ac1920707b3d1e4f0001e4a365efc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 22 23:53:54 2009 +0000

    Adding new tables for authorization

commit e519112eea08936196a0adbd8e4076bc2873f4fa
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 22 22:19:57 2009 +0000

    Adding UserType table in preparation for authorization features

commit 35dcd1293da12ac4907b17512d10b1c88a4b9a27
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 22 21:52:30 2009 +0000

    Fixes in dhcpd config export

commit e1867f17ff0c3f788ba0b49e17ac4ca6c3266df4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 22 17:27:34 2009 +0000

    Fixes in dhcpd config export

commit 4ee8f0060467cd7b75ae00e380002c9bb4b694e0
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu May 21 22:13:21 2009 +0000

    Merging fixes from 0.8 branch

commit 9a1989a8bce072125c2d8be96fb0aa0afb635290
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu May 21 22:12:14 2009 +0000

    Bug fixes in updatedb script

commit 8b2fe3951d6070e6bae9471e8ca39320bf842fdc
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed May 20 17:42:26 2009 +0000

    Correct calls to File::Spec functions that produce warnings

commit dfc2c5216f8a86537ba2436a89e70a7a67ec8e0c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 19 22:44:22 2009 +0000

    Finishing/Improving DHCPD config export

commit 76798412519ef2f59d7e55b70511e2f1284fdfe6
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat May 16 01:58:22 2009 +0000

    updatedb changes to reflect schema changes

commit d245ec298d7786fcf132126551d604ad5b68e86e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat May 16 01:53:23 2009 +0000

    Fix for ticket #190 (When creating a Backbone cable, allow user to enter number of strands to be created)

commit 4e20e4d16aaabd9279a65662ad0e9695c13304e2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 15 23:04:14 2009 +0000

    Merging fixes from 0.8 branch

commit c72b10c6ebd8b4d11dd4595ed8f7df1cbb094658
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 15 23:03:39 2009 +0000

    Make automatic PTR record updates optional

commit 8ba11968e8a43fade0a24e7a9a9bd60d75e4553e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri May 8 22:20:09 2009 +0000

    Adding method to get next free address in given subnet

commit 595cfb486c0720095e311c262ee4cd86141c775e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu May 7 21:38:16 2009 +0000

    Adding custom Zone UI

commit e5cb76951311f2b22afbd26568ae9ae33142f79e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu May 7 18:11:09 2009 +0000

    Get a record count on a given zone

commit a0696801902fef8d569050a6aedd2a43cdcd90d5
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed May 6 22:38:15 2009 +0000

    Auto update DHCP scope name for subnets too

commit eaa9f44f2a7962c5bd19f7832fb261acfa95817b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed May 6 22:37:46 2009 +0000

    Small correction in regex

commit 6ddded6ad4efe2e501dee3d7874f932d4232dd38
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed May 6 21:37:58 2009 +0000

    some reorg of code and minor changes

commit fcc0f1201fda571e8d91256422a97dfc12bfc970
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 23:40:10 2009 +0000

    Added missing options in custom Interface page

commit b8cdd99c398d36e5c328dcb70fae02c20fd18efa
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 23:28:55 2009 +0000

    Increasing field size for username in history records

commit 847d392741626123051bab8337271a8b9e0efed7
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 22:55:58 2009 +0000

    Increasing field size for username in history records

commit 6b42a2fe0ac8d1bd23da9bbb062eaade90fa1f72
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 22:44:18 2009 +0000

    Adding option for Zone serial format

commit fe56e63c47eabb049fc9695978ea2867704b251e
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 22:28:37 2009 +0000

    Small correction

commit 31cb02905e48d305b02babc51dc28c98a2ac9f72
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 22:25:40 2009 +0000

    Improvements in BIND/DHCP exports

commit f50130ce43847e1bccca4f8e5bfc6a7d479afc9d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue May 5 18:03:37 2009 +0000

    Fix bugs in device topology graphs.  Improving web interface.

commit 839b95b3c9de0d3bf2367e35496c405c14d6e6a4
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon May 4 23:00:05 2009 +0000

    Bug fixes merged from 0.8

commit 282d85f8962f8f74cc7ea81a59fabb84a389a006
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat May 2 00:28:14 2009 +0000

    Work on DNS/DHCP integration and merged fixes from 0.8

commit a5473ea6d4446a8fdc390b103a65e3f243d753b2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Apr 28 23:24:40 2009 +0000

    Fixes and enhancements merged from 0.8

commit 35dbdcdbb99d05bcf68c1d8a6c3a371aa6d630da
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Apr 24 21:50:50 2009 +0000

    Fix for ticket #511

commit 5504083a84a706d5e7fa6a313c9551725ac11cce
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Apr 24 21:47:50 2009 +0000

    Fix for ticket #511

commit af16298e200f810510394bbc648b48f9e6bd261b
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Apr 24 19:58:04 2009 +0000

    missed one field in updatedb script

commit 52c9131a4dcd0ba983eb13e3cc41d7e6cc2c4ae1
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Apr 24 18:33:25 2009 +0000

    changing internal variable names when creating a new IP

commit 1ea9519bfd2920a299aeea3239a87951ab2b08b4
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Apr 23 20:39:23 2009 +0000

    update updatedb with updated schema and fix for #509 default timestamp

commit c727bf6102f6b15c14ed389a8cb169587ed48dce
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Apr 21 23:32:38 2009 +0000

    Added plugin for auto-generating DNS records when creating IP ranges (dynamic or static).  Fixed a number of bugs

commit bbafd9f59c84caf0f1298244036e71bffbe09ada
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Apr 21 00:28:29 2009 +0000

    More work on dhcp integration plus some small bug fixes

commit e6d1bcc274dd5699cae9173f502339612073a3d7
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Apr 17 19:02:26 2009 +0000

    support double quotes in exact searches too

commit e1cd6a3ce38eea687a3fd8b14fcf83f5f2b340d2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Apr 17 00:18:33 2009 +0000

    Work on DHCP integration and bug fix merges from 0.8

commit 1209449d571c10d79d5c4fc895b92b79368cbdc8
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Thu Apr 16 20:32:26 2009 +0000

    updatedb script

commit 87d6ce40d1d13c351bee4695faa9f089f4db8e09
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Apr 6 19:28:32 2009 +0000

    Work on DNS/BIND integration and merges from 0.8

commit db734a7042a5b9169c0df0eec4bb9681d983f0b3
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 24 17:04:44 2009 +0000

    Merging fixes from 0.8

commit f98bccd70b6a1daaaad2e30db08b77176ae7adea
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Mar 23 01:38:47 2009 +0000

    Work on DNS, plus fixes from 0.8

commit 598d74e79f6d34fc607f6aa3f9b44c4a3912a52a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Mar 20 17:34:14 2009 +0000

    Updating copyright

commit 4ffedb36832b077978b338807a3c7aa687e1710b
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Mar 18 22:06:23 2009 +0000

    fix #502

commit 18e571e31b31f507af56a0e05b26032ca1e2ceaa
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 17 21:36:23 2009 +0000

    Merging fixes from 0.8 branch

commit 77513439f277eef79d374c1c049d3fada0cb3c57
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Mar 13 19:43:12 2009 +0000

    multiple keyword support for Person search

commit 69f2fbc283e9fe87675e2d3bb66ccb60f2450c1b
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Mar 13 17:42:50 2009 +0000

    Merging changes from 0.8

commit 97bcb36a798b4e0513f814ae74ab7ccc194f5951
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Fri Mar 13 17:24:19 2009 +0000

    add People page

commit 456654c63925209ebcf9721c5b84fcc056b435ed
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Mar 13 00:08:14 2009 +0000

    Merging fixes from 0.8

commit 052113f83c831b6aa1b824fb6d614dfddcf3ab14
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Thu Mar 12 19:59:30 2009 +0000

    Include IP block description in graph node

commit b0adb75ea399c32411d03768b3513c2b5884913f
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 11 23:35:59 2009 +0000

    IP address space tree view (ticket #429)

commit 517c2bce6adb0406ba9115fd46ace4a0cdb2d032
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 11 20:43:17 2009 +0000

    Do not show parenthesis if ipblock description is null

commit 0cf93c41ba3610027c9ba7dd5316a863bd6ec834
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 11 18:11:03 2009 +0000

    Changed to ignore IP addresses from 'admin down' interfaces

commit 7b80bc5c7e1ec525315bdd687d703dfe36e4048c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 11 17:58:16 2009 +0000

    Fixing false assumption that sysname is unique

commit 144c6e7535b53b9c0b2bc1edea66feff5bd75e21
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Mar 11 00:13:38 2009 +0000

    Small addition to device reports

commit 64c945d90c54d2e976b9a71a9df9877b28e00f71
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 10 21:49:02 2009 +0000

    Avoid showing end-node addresses in the root block listings

commit 33b020db5f579ed77c0a22c92cc6415ed634c968
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 10 21:12:50 2009 +0000

    Changing method name to avoid ambiguity

commit 82a6916247f7ff63a2175dc5915ced37523b3a81
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 10 21:12:28 2009 +0000

    Fix detection of Catalyst 6500 with sup32 pisa

commit 26be62834ad791df82b3febf3bb81beff8758474
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 10 17:17:44 2009 +0000

    Trivial updates to snmp-info

commit f5d8ad3e21669be8728ee3658fd4abc9aad821f9
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Mar 10 16:26:52 2009 +0000

    Updates to snmp-info

commit f90cc1d4aeb8c9f489872a2f53c9c34d91dee394
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Mon Mar 9 21:30:14 2009 +0000

    Updates to snmp-info module

commit 7872810ffbf9b9b0399066e54c2cd7a5fe66658a
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Sat Mar 7 00:15:46 2009 +0000

    Merging changes from 0.8 into trunk

commit ca54b37fa24ec555ca172af70493111a658ac323
Author: Dongting Yu <dongting@network-services.uoregon.edu>
Date:   Wed Mar 4 18:55:10 2009 +0000

    Contacts->Entities tab

commit 47e88b6b36f9ada2ab669eb734bd0d7486fcdd22
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Feb 11 01:01:50 2009 +0000

    Merging fixes from 0.8

commit 94d1886ba77b1bf1d52a7faa5831ddf9ed30758c
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jan 23 23:37:13 2009 +0000

    Merging fixes from 0.8

commit 8faba394dabfac7878830b293cd47423ecb6f4c2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Fri Jan 23 22:26:37 2009 +0000

    Merging fixes from 0.8

commit 10990d21dbfc0ebfc710b929f8eeb38df7f067f2
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Wed Jan 14 23:43:00 2009 +0000

    Merging fixes from 0.8 branch

commit a9268387ba67ebb2c233f259fb83417735b86201
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 13 18:07:14 2009 +0000

    Merging fixes from 0.8

commit e76161e8e2badb40dfbdc7c62ff92afb9159722d
Author: Carlos Vincente <cvicente@uoregon.edu>
Date:   Tue Jan 6 21:15:34 2009 +0000

    Merging fixes from 0.8 branch

